import{S as JT,i as ZT,s as QT,e as n,k as p,w,t as a,M as YT,c as r,d as t,m,a as i,x as y,h as s,b as d,G as e,g as _,y as k,q as T,o as $,B as x,v as e$,L as pe}from"../../chunks/vendor-hf-doc-builder.js";import{T as je}from"../../chunks/Tip-hf-doc-builder.js";import{D as F}from"../../chunks/Docstring-hf-doc-builder.js";import{C as se}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as oe}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as de}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as KT}from"../../chunks/PipelineTag-hf-doc-builder.js";function t$(W){let c,v,h,u,b;return u=new se({props:{code:`from transformers import Wav2Vec2Config, Wav2Vec2Model

# Initializing a Wav2Vec2 facebook/wav2vec2-base-960h style configuration
configuration = Wav2Vec2Config()

# Initializing a model (with random weights) from the facebook/wav2vec2-base-960h style configuration
model = Wav2Vec2Model(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Config, Wav2Vec2Model

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Wav2Vec2 facebook/wav2vec2-base-960h style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Wav2Vec2Config()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/wav2vec2-base-960h style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2Model(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function o$(W){let c,v,h,u,b;return u=new se({props:{code:`# Let's see how to retrieve time steps for a model
from transformers import AutoTokenizer, AutoFeatureExtractor, AutoModelForCTC
from datasets import load_dataset
import datasets
import torch

# import model, feature extractor, tokenizer
model = AutoModelForCTC.from_pretrained("facebook/wav2vec2-base-960h")
tokenizer = AutoTokenizer.from_pretrained("facebook/wav2vec2-base-960h")
feature_extractor = AutoFeatureExtractor.from_pretrained("facebook/wav2vec2-base-960h")

# load first sample of English common_voice
dataset = load_dataset("common_voice", "en", split="train", streaming=True)
dataset = dataset.cast_column("audio", datasets.Audio(sampling_rate=16_000))
dataset_iter = iter(dataset)
sample = next(dataset_iter)

# forward sample through model to get greedily predicted transcription ids
input_values = feature_extractor(sample["audio"]["array"], return_tensors="pt").input_values
logits = model(input_values).logits[0]
pred_ids = torch.argmax(logits, axis=-1)

# retrieve word stamps (analogous commands for \`output_char_offsets\`)
outputs = tokenizer.decode(pred_ids, output_word_offsets=True)
# compute \`time_offset\` in seconds as product of downsampling ratio and sampling_rate
time_offset = model.config.inputs_to_logits_ratio / feature_extractor.sampling_rate

word_offsets = [
    {
        "word": d["word"],
        "start_time": round(d["start_offset"] * time_offset, 2),
        "end_time": round(d["end_offset"] * time_offset, 2),
    }
    for d in outputs.word_offsets
]
# compare word offsets with audio \`common_voice_en_100038.mp3\` online on the dataset viewer:
# https://huggingface.co/datasets/common_voice/viewer/en/train
word_offsets[:3]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Let&#x27;s see how to retrieve time steps for a model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AutoFeatureExtractor, AutoModelForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> datasets
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># import model, feature extractor, tokenizer</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCTC.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load first sample of English common_voice</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;common_voice&quot;</span>, <span class="hljs-string">&quot;en&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>, streaming=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.cast_column(<span class="hljs-string">&quot;audio&quot;</span>, datasets.Audio(sampling_rate=<span class="hljs-number">16_000</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset_iter = <span class="hljs-built_in">iter</span>(dataset)
<span class="hljs-meta">&gt;&gt;&gt; </span>sample = <span class="hljs-built_in">next</span>(dataset_iter)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward sample through model to get greedily predicted transcription ids</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = feature_extractor(sample[<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_values
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_values).logits[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred_ids = torch.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve word stamps (analogous commands for \`output_char_offsets\`)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.decode(pred_ids, output_word_offsets=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute \`time_offset\` in seconds as product of downsampling ratio and sampling_rate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>time_offset = model.config.inputs_to_logits_ratio / feature_extractor.sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>word_offsets = [
<span class="hljs-meta">... </span>    {
<span class="hljs-meta">... </span>        <span class="hljs-string">&quot;word&quot;</span>: d[<span class="hljs-string">&quot;word&quot;</span>],
<span class="hljs-meta">... </span>        <span class="hljs-string">&quot;start_time&quot;</span>: <span class="hljs-built_in">round</span>(d[<span class="hljs-string">&quot;start_offset&quot;</span>] * time_offset, <span class="hljs-number">2</span>),
<span class="hljs-meta">... </span>        <span class="hljs-string">&quot;end_time&quot;</span>: <span class="hljs-built_in">round</span>(d[<span class="hljs-string">&quot;end_offset&quot;</span>] * time_offset, <span class="hljs-number">2</span>),
<span class="hljs-meta">... </span>    }
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> d <span class="hljs-keyword">in</span> outputs.word_offsets
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compare word offsets with audio \`common_voice_en_100038.mp3\` online on the dataset viewer:</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># https://huggingface.co/datasets/common_voice/viewer/en/train</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>word_offsets[:<span class="hljs-number">3</span>]
[{<span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;WHY&#x27;</span>, <span class="hljs-string">&#x27;start_time&#x27;</span>: <span class="hljs-number">1.42</span>, <span class="hljs-string">&#x27;end_time&#x27;</span>: <span class="hljs-number">1.54</span>}, {<span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;DOES&#x27;</span>, <span class="hljs-string">&#x27;start_time&#x27;</span>: <span class="hljs-number">1.64</span>, <span class="hljs-string">&#x27;end_time&#x27;</span>: <span class="hljs-number">1.9</span>}, {<span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;MILISANDRA&#x27;</span>, <span class="hljs-string">&#x27;start_time&#x27;</span>: <span class="hljs-number">2.26</span>, <span class="hljs-string">&#x27;end_time&#x27;</span>: <span class="hljs-number">2.9</span>}]`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function a$(W){let c,v,h,u,b,l,f,V;return{c(){c=n("p"),v=a("This class method is simply calling "),h=n("a"),u=a("save_pretrained()"),b=a(` and
`),l=n("a"),f=a("save_pretrained()"),V=a(`. Please refer to the docstrings of the
methods above for more information.`),this.h()},l(A){c=r(A,"P",{});var L=i(c);v=s(L,"This class method is simply calling "),h=r(L,"A",{href:!0});var z=i(h);u=s(z,"save_pretrained()"),z.forEach(t),b=s(L,` and
`),l=r(L,"A",{href:!0});var M=i(l);f=s(M,"save_pretrained()"),M.forEach(t),V=s(L,`. Please refer to the docstrings of the
methods above for more information.`),L.forEach(t),this.h()},h(){d(h,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.save_pretrained"),d(l,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.save_pretrained")},m(A,L){_(A,c,L),e(c,v),e(c,h),e(h,u),e(c,b),e(c,l),e(l,f),e(c,V)},d(A){A&&t(c)}}}function s$(W){let c,v,h,u,b,l,f,V,A,L,z,M,N,E;return{c(){c=n("p"),v=a(`This class method is simply calling Wav2Vec2FeatureExtractor\u2019s
`),h=n("a"),u=a("from_pretrained()"),b=a(`, Wav2Vec2CTCTokenizer\u2019s
`),l=n("a"),f=a("from_pretrained()"),V=a(`, and
`),A=n("code"),L=a("pyctcdecode.BeamSearchDecoderCTC.load_from_hf_hub"),z=a("."),M=p(),N=n("p"),E=a("Please refer to the docstrings of the methods above for more information."),this.h()},l(O){c=r(O,"P",{});var C=i(c);v=s(C,`This class method is simply calling Wav2Vec2FeatureExtractor\u2019s
`),h=r(C,"A",{href:!0});var me=i(h);u=s(me,"from_pretrained()"),me.forEach(t),b=s(C,`, Wav2Vec2CTCTokenizer\u2019s
`),l=r(C,"A",{href:!0});var K=i(l);f=s(K,"from_pretrained()"),K.forEach(t),V=s(C,`, and
`),A=r(C,"CODE",{});var S=i(A);L=s(S,"pyctcdecode.BeamSearchDecoderCTC.load_from_hf_hub"),S.forEach(t),z=s(C,"."),C.forEach(t),M=m(O),N=r(O,"P",{});var he=i(N);E=s(he,"Please refer to the docstrings of the methods above for more information."),he.forEach(t),this.h()},h(){d(h,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.from_pretrained"),d(l,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.from_pretrained")},m(O,C){_(O,c,C),e(c,v),e(c,h),e(h,u),e(c,b),e(c,l),e(l,f),e(c,V),e(c,A),e(A,L),e(c,z),_(O,M,C),_(O,N,C),e(N,E)},d(O){O&&t(c),O&&t(M),O&&t(N)}}}function n$(W){let c,v,h,u,b,l,f,V,A,L,z,M,N,E,O,C,me,K,S,he;return{c(){c=n("p"),v=a(`This function makes use of Python\u2019s multiprocessing. Currently, multiprocessing is available only on Unix
systems (see this `),h=n("a"),u=a("issue"),b=a(")."),l=p(),f=n("p"),V=a("If you are decoding multiple batches, consider creating a "),A=n("code"),L=a("Pool"),z=a(" and passing it to "),M=n("code"),N=a("batch_decode"),E=a(`. Otherwise,
`),O=n("code"),C=a("batch_decode"),me=a(" will be very slow since it will create a fresh "),K=n("code"),S=a("Pool"),he=a(" for each call. See usage example below."),this.h()},l(I){c=r(I,"P",{});var R=i(c);v=s(R,`This function makes use of Python\u2019s multiprocessing. Currently, multiprocessing is available only on Unix
systems (see this `),h=r(R,"A",{href:!0,rel:!0});var De=i(h);u=s(De,"issue"),De.forEach(t),b=s(R,")."),R.forEach(t),l=m(I),f=r(I,"P",{});var X=i(f);V=s(X,"If you are decoding multiple batches, consider creating a "),A=r(X,"CODE",{});var J=i(A);L=s(J,"Pool"),J.forEach(t),z=s(X," and passing it to "),M=r(X,"CODE",{});var Se=i(M);N=s(Se,"batch_decode"),Se.forEach(t),E=s(X,`. Otherwise,
`),O=r(X,"CODE",{});var Ve=i(O);C=s(Ve,"batch_decode"),Ve.forEach(t),me=s(X," will be very slow since it will create a fresh "),K=r(X,"CODE",{});var Z=i(K);S=s(Z,"Pool"),Z.forEach(t),he=s(X," for each call. See usage example below."),X.forEach(t),this.h()},h(){d(h,"href","https://github.com/kensho-technologies/pyctcdecode/issues/65"),d(h,"rel","nofollow")},m(I,R){_(I,c,R),e(c,v),e(c,h),e(h,u),e(c,b),_(I,l,R),_(I,f,R),e(f,V),e(f,A),e(A,L),e(f,z),e(f,M),e(M,N),e(f,E),e(f,O),e(O,C),e(f,me),e(f,K),e(K,S),e(f,he)},d(I){I&&t(c),I&&t(l),I&&t(f)}}}function r$(W){let c,v,h,u,b;return u=new se({props:{code:`# Let's see how to retrieve time steps for a model
from transformers import AutoTokenizer, AutoProcessor, AutoModelForCTC
from datasets import load_dataset
import datasets
import torch

# import model, feature extractor, tokenizer
model = AutoModelForCTC.from_pretrained("patrickvonplaten/wav2vec2-base-100h-with-lm")
processor = AutoProcessor.from_pretrained("patrickvonplaten/wav2vec2-base-100h-with-lm")

# load first sample of English common_voice
dataset = load_dataset("common_voice", "en", split="train", streaming=True)
dataset = dataset.cast_column("audio", datasets.Audio(sampling_rate=16_000))
dataset_iter = iter(dataset)
sample = next(dataset_iter)

# forward sample through model to get greedily predicted transcription ids
input_values = processor(sample["audio"]["array"], return_tensors="pt").input_values
with torch.no_grad():
    logits = model(input_values).logits[0].cpu().numpy()

# retrieve word stamps (analogous commands for \`output_char_offsets\`)
outputs = processor.decode(logits, output_word_offsets=True)
# compute \`time_offset\` in seconds as product of downsampling ratio and sampling_rate
time_offset = model.config.inputs_to_logits_ratio / processor.feature_extractor.sampling_rate

word_offsets = [
    {
        "word": d["word"],
        "start_time": round(d["start_offset"] * time_offset, 2),
        "end_time": round(d["end_offset"] * time_offset, 2),
    }
    for d in outputs.word_offsets
]
# compare word offsets with audio \`common_voice_en_100038.mp3\` online on the dataset viewer:
# https://huggingface.co/datasets/common_voice/viewer/en/train
word_offsets[:4]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Let&#x27;s see how to retrieve time steps for a model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AutoProcessor, AutoModelForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> datasets
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># import model, feature extractor, tokenizer</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCTC.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/wav2vec2-base-100h-with-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/wav2vec2-base-100h-with-lm&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load first sample of English common_voice</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;common_voice&quot;</span>, <span class="hljs-string">&quot;en&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>, streaming=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.cast_column(<span class="hljs-string">&quot;audio&quot;</span>, datasets.Audio(sampling_rate=<span class="hljs-number">16_000</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset_iter = <span class="hljs-built_in">iter</span>(dataset)
<span class="hljs-meta">&gt;&gt;&gt; </span>sample = <span class="hljs-built_in">next</span>(dataset_iter)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward sample through model to get greedily predicted transcription ids</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = processor(sample[<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_values
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(input_values).logits[<span class="hljs-number">0</span>].cpu().numpy()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve word stamps (analogous commands for \`output_char_offsets\`)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.decode(logits, output_word_offsets=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute \`time_offset\` in seconds as product of downsampling ratio and sampling_rate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>time_offset = model.config.inputs_to_logits_ratio / processor.feature_extractor.sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>word_offsets = [
<span class="hljs-meta">... </span>    {
<span class="hljs-meta">... </span>        <span class="hljs-string">&quot;word&quot;</span>: d[<span class="hljs-string">&quot;word&quot;</span>],
<span class="hljs-meta">... </span>        <span class="hljs-string">&quot;start_time&quot;</span>: <span class="hljs-built_in">round</span>(d[<span class="hljs-string">&quot;start_offset&quot;</span>] * time_offset, <span class="hljs-number">2</span>),
<span class="hljs-meta">... </span>        <span class="hljs-string">&quot;end_time&quot;</span>: <span class="hljs-built_in">round</span>(d[<span class="hljs-string">&quot;end_offset&quot;</span>] * time_offset, <span class="hljs-number">2</span>),
<span class="hljs-meta">... </span>    }
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> d <span class="hljs-keyword">in</span> outputs.word_offsets
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compare word offsets with audio \`common_voice_en_100038.mp3\` online on the dataset viewer:</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># https://huggingface.co/datasets/common_voice/viewer/en/train</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>word_offsets[:<span class="hljs-number">4</span>]
[{<span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;WHY&#x27;</span>, <span class="hljs-string">&#x27;start_time&#x27;</span>: <span class="hljs-number">1.42</span>, <span class="hljs-string">&#x27;end_time&#x27;</span>: <span class="hljs-number">1.54</span>}, {<span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;DOES&#x27;</span>, <span class="hljs-string">&#x27;start_time&#x27;</span>: <span class="hljs-number">1.64</span>, <span class="hljs-string">&#x27;end_time&#x27;</span>: <span class="hljs-number">1.88</span>}, {<span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;A&#x27;</span>, <span class="hljs-string">&#x27;start_time&#x27;</span>: <span class="hljs-number">2.12</span>, <span class="hljs-string">&#x27;end_time&#x27;</span>: <span class="hljs-number">2.14</span>}, {<span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;MILE&#x27;</span>, <span class="hljs-string">&#x27;start_time&#x27;</span>: <span class="hljs-number">2.26</span>, <span class="hljs-string">&#x27;end_time&#x27;</span>: <span class="hljs-number">2.46</span>}]`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function i$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function l$(W){let c,v,h,u,b;return u=new se({props:{code:`from transformers import Wav2Vec2Processor, Wav2Vec2Model
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2Processor.from_pretrained("facebook/wav2vec2-base-960h")
model = Wav2Vec2Model.from_pretrained("facebook/wav2vec2-base-960h")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, Wav2Vec2Model
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2Model.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
[<span class="hljs-number">1</span>, <span class="hljs-number">292</span>, <span class="hljs-number">768</span>]`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function c$(W){let c,v;return c=new se({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){w(c.$$.fragment)},l(h){y(c.$$.fragment,h)},m(h,u){k(c,h,u),v=!0},p:pe,i(h){v||(T(c.$$.fragment,h),v=!0)},o(h){$(c.$$.fragment,h),v=!1},d(h){x(c,h)}}}function d$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function p$(W){let c,v,h,u,b;return u=new se({props:{code:`from transformers import Wav2Vec2Processor, Wav2Vec2ForCTC
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

processor = Wav2Vec2Processor.from_pretrained("facebook/wav2vec2-base-960h")
model = Wav2Vec2ForCTC.from_pretrained("facebook/wav2vec2-base-960h")

# audio file is decoded on the fly
inputs = processor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits
predicted_ids = torch.argmax(logits, dim=-1)

# transcribe speech
transcription = processor.batch_decode(predicted_ids)
transcription[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, Wav2Vec2ForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ForCTC.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># transcribe speech</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(predicted_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription[<span class="hljs-number">0</span>]
<span class="hljs-string">&#x27;MISTER QUILTER IS THE APOSTLE OF THE MIDDLE CLASSES AND WE ARE GLAD TO WELCOME HIS GOSPEL&#x27;</span>`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function m$(W){let c,v;return c=new se({props:{code:`inputs["labels"] = processor(text=dataset[0]["text"], return_tensors="pt").input_ids

# compute loss
loss = model(**inputs).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = processor(text=dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;text&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">53.48</span>`}}),{c(){w(c.$$.fragment)},l(h){y(c.$$.fragment,h)},m(h,u){k(c,h,u),v=!0},p:pe,i(h){v||(T(c.$$.fragment,h),v=!0)},o(h){$(c.$$.fragment,h),v=!1},d(h){x(c,h)}}}function h$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function f$(W){let c,v,h,u,b;return u=new se({props:{code:`from transformers import Wav2Vec2FeatureExtractor, Wav2Vec2ForSequenceClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("superb/wav2vec2-base-superb-ks")
model = Wav2Vec2ForSequenceClassification.from_pretrained("superb/wav2vec2-base-superb-ks")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, Wav2Vec2ForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;superb/wav2vec2-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;superb/wav2vec2-base-superb-ks&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
<span class="hljs-string">&#x27;_unknown_&#x27;</span>`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function u$(W){let c,v;return c=new se({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">6.54</span>`}}),{c(){w(c.$$.fragment)},l(h){y(c.$$.fragment,h)},m(h,u){k(c,h,u),v=!0},p:pe,i(h){v||(T(c.$$.fragment,h),v=!0)},o(h){$(c.$$.fragment,h),v=!1},d(h){x(c,h)}}}function g$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function _$(W){let c,v,h,u,b;return u=new se({props:{code:`from transformers import Wav2Vec2FeatureExtractor, Wav2Vec2ForAudioFrameClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("anton-l/wav2vec2-base-superb-sd")
model = Wav2Vec2ForAudioFrameClassification.from_pretrained("anton-l/wav2vec2-base-superb-sd")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, Wav2Vec2ForAudioFrameClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;anton-l/wav2vec2-base-superb-sd&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ForAudioFrameClassification.from_pretrained(<span class="hljs-string">&quot;anton-l/wav2vec2-base-superb-sd&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
[<span class="hljs-number">0</span>, <span class="hljs-number">0</span>]`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function v$(W){let c,v;return c=new se({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){w(c.$$.fragment)},l(h){y(c.$$.fragment,h)},m(h,u){k(c,h,u),v=!0},p:pe,i(h){v||(T(c.$$.fragment,h),v=!0)},o(h){$(c.$$.fragment,h),v=!1},d(h){x(c,h)}}}function b$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function w$(W){let c,v,h,u,b;return u=new se({props:{code:`from transformers import Wav2Vec2FeatureExtractor, Wav2Vec2ForXVector
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("anton-l/wav2vec2-base-superb-sv")
model = Wav2Vec2ForXVector.from_pretrained("anton-l/wav2vec2-base-superb-sv")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, Wav2Vec2ForXVector
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;anton-l/wav2vec2-base-superb-sv&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ForXVector.from_pretrained(<span class="hljs-string">&quot;anton-l/wav2vec2-base-superb-sv&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
<span class="hljs-number">0.98</span>`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function y$(W){let c,v;return c=new se({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){w(c.$$.fragment)},l(h){y(c.$$.fragment,h)},m(h,u){k(c,h,u),v=!0},p:pe,i(h){v||(T(c.$$.fragment,h),v=!0)},o(h){$(c.$$.fragment,h),v=!1},d(h){x(c,h)}}}function k$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function T$(W){let c,v,h,u,b;return u=new se({props:{code:`import torch
from transformers import AutoFeatureExtractor, Wav2Vec2ForPreTraining
from transformers.models.wav2vec2.modeling_wav2vec2 import _compute_mask_indices, _sample_negative_indices
from datasets import load_dataset

feature_extractor = AutoFeatureExtractor.from_pretrained("facebook/wav2vec2-base")
model = Wav2Vec2ForPreTraining.from_pretrained("facebook/wav2vec2-base")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
input_values = feature_extractor(ds[0]["audio"]["array"], return_tensors="pt").input_values  # Batch size 1

# compute masked indices
batch_size, raw_sequence_length = input_values.shape
sequence_length = model._get_feat_extract_output_lengths(raw_sequence_length).item()
mask_time_indices = _compute_mask_indices(
    shape=(batch_size, sequence_length), mask_prob=0.2, mask_length=2
)
sampled_negative_indices = _sample_negative_indices(
    features_shape=(batch_size, sequence_length),
    num_negatives=model.config.num_negatives,
    mask_time_indices=mask_time_indices,
)
mask_time_indices = torch.tensor(data=mask_time_indices, device=input_values.device, dtype=torch.long)
sampled_negative_indices = torch.tensor(
    data=sampled_negative_indices, device=input_values.device, dtype=torch.long
)

with torch.no_grad():
    outputs = model(input_values, mask_time_indices=mask_time_indices)

# compute cosine similarity between predicted (=projected_states) and target (=projected_quantized_states)
cosine_sim = torch.cosine_similarity(outputs.projected_states, outputs.projected_quantized_states, dim=-1)

# show that cosine similarity is much higher than random
cosine_sim[mask_time_indices.to(torch.bool)].mean() > 0.5

# for contrastive loss training model should be put into train mode
model = model.train()
loss = model(
    input_values, mask_time_indices=mask_time_indices, sampled_negative_indices=sampled_negative_indices
).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, Wav2Vec2ForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers.models.wav2vec2.modeling_wav2vec2 <span class="hljs-keyword">import</span> _compute_mask_indices, _sample_negative_indices
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ForPreTraining.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_values  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute masked indices</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>batch_size, raw_sequence_length = input_values.shape
<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_length = model._get_feat_extract_output_lengths(raw_sequence_length).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_time_indices = _compute_mask_indices(
<span class="hljs-meta">... </span>    shape=(batch_size, sequence_length), mask_prob=<span class="hljs-number">0.2</span>, mask_length=<span class="hljs-number">2</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampled_negative_indices = _sample_negative_indices(
<span class="hljs-meta">... </span>    features_shape=(batch_size, sequence_length),
<span class="hljs-meta">... </span>    num_negatives=model.config.num_negatives,
<span class="hljs-meta">... </span>    mask_time_indices=mask_time_indices,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_time_indices = torch.tensor(data=mask_time_indices, device=input_values.device, dtype=torch.long)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampled_negative_indices = torch.tensor(
<span class="hljs-meta">... </span>    data=sampled_negative_indices, device=input_values.device, dtype=torch.long
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(input_values, mask_time_indices=mask_time_indices)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute cosine similarity between predicted (=projected_states) and target (=projected_quantized_states)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim = torch.cosine_similarity(outputs.projected_states, outputs.projected_quantized_states, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># show that cosine similarity is much higher than random</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim[mask_time_indices.to(torch.<span class="hljs-built_in">bool</span>)].mean() &gt; <span class="hljs-number">0.5</span>
tensor(<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># for contrastive loss training model should be put into train mode</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = model.train()
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(
<span class="hljs-meta">... </span>    input_values, mask_time_indices=mask_time_indices, sampled_negative_indices=sampled_negative_indices
<span class="hljs-meta">... </span>).loss`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function $$(W){let c,v,h,u,b,l,f,V,A,L,z,M,N,E,O,C,me,K,S,he,I,R,De,X,J,Se,Ve,Z,et,xt,Ie,D,Q,it,ae,tt,Wt,Fe,Ee,jt,U,Vt,Ce,lt,Te,qe,Pe,Ft,ge,ct,Y,$e,ze,B,Et,ee,Ct,dt;return{c(){c=n("p"),v=a("TensorFlow models and layers in "),h=n("code"),u=a("transformers"),b=a(" accept two formats as input:"),l=p(),f=n("ul"),V=n("li"),A=a("having all inputs as keyword arguments (like PyTorch models), or"),L=p(),z=n("li"),M=a("having all inputs as a list, tuple or dict in the first positional argument."),N=p(),E=n("p"),O=a(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),C=n("code"),me=a("model.fit()"),K=a(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),S=n("code"),he=a("model.fit()"),I=a(` supports! If, however, you want to use the second
format outside of Keras methods like `),R=n("code"),De=a("fit()"),X=a(" and "),J=n("code"),Se=a("predict()"),Ve=a(`, such as when creating your own layers or models with
the Keras `),Z=n("code"),et=a("Functional"),xt=a(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),Ie=p(),D=n("ul"),Q=n("li"),it=a("a single Tensor with "),ae=n("code"),tt=a("input_values"),Wt=a(" only and nothing else: "),Fe=n("code"),Ee=a("model(input_values)"),jt=p(),U=n("li"),Vt=a(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Ce=n("code"),lt=a("model([input_values, attention_mask])"),Te=a(" or "),qe=n("code"),Pe=a("model([input_values, attention_mask, token_type_ids])"),Ft=p(),ge=n("li"),ct=a(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=n("code"),$e=a('model({"input_values": input_values, "token_type_ids": token_type_ids})'),ze=p(),B=n("p"),Et=a(`Note that when creating models and layers with
`),ee=n("a"),Ct=a("subclassing"),dt=a(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(j){c=r(j,"P",{});var q=i(c);v=s(q,"TensorFlow models and layers in "),h=r(q,"CODE",{});var Nt=i(h);u=s(Nt,"transformers"),Nt.forEach(t),b=s(q," accept two formats as input:"),q.forEach(t),l=m(j),f=r(j,"UL",{});var _e=i(f);V=r(_e,"LI",{});var Bt=i(V);A=s(Bt,"having all inputs as keyword arguments (like PyTorch models), or"),Bt.forEach(t),L=m(_e),z=r(_e,"LI",{});var Ne=i(z);M=s(Ne,"having all inputs as a list, tuple or dict in the first positional argument."),Ne.forEach(t),_e.forEach(t),N=m(j),E=r(j,"P",{});var P=i(E);O=s(P,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),C=r(P,"CODE",{});var so=i(C);me=s(so,"model.fit()"),so.forEach(t),K=s(P,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),S=r(P,"CODE",{});var ot=i(S);he=s(ot,"model.fit()"),ot.forEach(t),I=s(P,` supports! If, however, you want to use the second
format outside of Keras methods like `),R=r(P,"CODE",{});var no=i(R);De=s(no,"fit()"),no.forEach(t),X=s(P," and "),J=r(P,"CODE",{});var ro=i(J);Se=s(ro,"predict()"),ro.forEach(t),Ve=s(P,`, such as when creating your own layers or models with
the Keras `),Z=r(P,"CODE",{});var io=i(Z);et=s(io,"Functional"),io.forEach(t),xt=s(P,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),P.forEach(t),Ie=m(j),D=r(j,"UL",{});var H=i(D);Q=r(H,"LI",{});var fe=i(Q);it=s(fe,"a single Tensor with "),ae=r(fe,"CODE",{});var lo=i(ae);tt=s(lo,"input_values"),lo.forEach(t),Wt=s(fe," only and nothing else: "),Fe=r(fe,"CODE",{});var co=i(Fe);Ee=s(co,"model(input_values)"),co.forEach(t),fe.forEach(t),jt=m(H),U=r(H,"LI",{});var ne=i(U);Vt=s(ne,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Ce=r(ne,"CODE",{});var po=i(Ce);lt=s(po,"model([input_values, attention_mask])"),po.forEach(t),Te=s(ne," or "),qe=r(ne,"CODE",{});var mo=i(qe);Pe=s(mo,"model([input_values, attention_mask, token_type_ids])"),mo.forEach(t),ne.forEach(t),Ft=m(H),ge=r(H,"LI",{});var Me=i(ge);ct=s(Me,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=r(Me,"CODE",{});var ho=i(Y);$e=s(ho,'model({"input_values": input_values, "token_type_ids": token_type_ids})'),ho.forEach(t),Me.forEach(t),H.forEach(t),ze=m(j),B=r(j,"P",{});var at=i(B);Et=s(at,`Note that when creating models and layers with
`),ee=r(at,"A",{href:!0,rel:!0});var Rt=i(ee);Ct=s(Rt,"subclassing"),Rt.forEach(t),dt=s(at,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),at.forEach(t),this.h()},h(){d(ee,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(ee,"rel","nofollow")},m(j,q){_(j,c,q),e(c,v),e(c,h),e(h,u),e(c,b),_(j,l,q),_(j,f,q),e(f,V),e(V,A),e(f,L),e(f,z),e(z,M),_(j,N,q),_(j,E,q),e(E,O),e(E,C),e(C,me),e(E,K),e(E,S),e(S,he),e(E,I),e(E,R),e(R,De),e(E,X),e(E,J),e(J,Se),e(E,Ve),e(E,Z),e(Z,et),e(E,xt),_(j,Ie,q),_(j,D,q),e(D,Q),e(Q,it),e(Q,ae),e(ae,tt),e(Q,Wt),e(Q,Fe),e(Fe,Ee),e(D,jt),e(D,U),e(U,Vt),e(U,Ce),e(Ce,lt),e(U,Te),e(U,qe),e(qe,Pe),e(D,Ft),e(D,ge),e(ge,ct),e(ge,Y),e(Y,$e),_(j,ze,q),_(j,B,q),e(B,Et),e(B,ee),e(ee,Ct),e(B,dt)},d(j){j&&t(c),j&&t(l),j&&t(f),j&&t(N),j&&t(E),j&&t(Ie),j&&t(D),j&&t(ze),j&&t(B)}}}function x$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function W$(W){let c,v,h,u,b;return u=new se({props:{code:`from transformers import Wav2Vec2Processor, TFWav2Vec2Model
from datasets import load_dataset
import soundfile as sf

processor = Wav2Vec2Processor.from_pretrained("facebook/wav2vec2-base-960h")
model = TFWav2Vec2Model.from_pretrained("facebook/wav2vec2-base-960h")


def map_to_array(batch):
    speech, _ = sf.read(batch["file"])
    batch["speech"] = speech
    return batch


ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
ds = ds.map(map_to_array)

input_values = processor(ds["speech"][0], return_tensors="tf").input_values  # Batch size 1
hidden_states = model(input_values).last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, TFWav2Vec2Model
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> soundfile <span class="hljs-keyword">as</span> sf

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFWav2Vec2Model.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">map_to_array</span>(<span class="hljs-params">batch</span>):
<span class="hljs-meta">... </span>    speech, _ = sf.read(batch[<span class="hljs-string">&quot;file&quot;</span>])
<span class="hljs-meta">... </span>    batch[<span class="hljs-string">&quot;speech&quot;</span>] = speech
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> batch


<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = ds.<span class="hljs-built_in">map</span>(map_to_array)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = processor(ds[<span class="hljs-string">&quot;speech&quot;</span>][<span class="hljs-number">0</span>], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_values  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>hidden_states = model(input_values).last_hidden_state`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function j$(W){let c,v,h,u,b,l,f,V,A,L,z,M,N,E,O,C,me,K,S,he,I,R,De,X,J,Se,Ve,Z,et,xt,Ie,D,Q,it,ae,tt,Wt,Fe,Ee,jt,U,Vt,Ce,lt,Te,qe,Pe,Ft,ge,ct,Y,$e,ze,B,Et,ee,Ct,dt;return{c(){c=n("p"),v=a("TensorFlow models and layers in "),h=n("code"),u=a("transformers"),b=a(" accept two formats as input:"),l=p(),f=n("ul"),V=n("li"),A=a("having all inputs as keyword arguments (like PyTorch models), or"),L=p(),z=n("li"),M=a("having all inputs as a list, tuple or dict in the first positional argument."),N=p(),E=n("p"),O=a(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),C=n("code"),me=a("model.fit()"),K=a(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),S=n("code"),he=a("model.fit()"),I=a(` supports! If, however, you want to use the second
format outside of Keras methods like `),R=n("code"),De=a("fit()"),X=a(" and "),J=n("code"),Se=a("predict()"),Ve=a(`, such as when creating your own layers or models with
the Keras `),Z=n("code"),et=a("Functional"),xt=a(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),Ie=p(),D=n("ul"),Q=n("li"),it=a("a single Tensor with "),ae=n("code"),tt=a("input_values"),Wt=a(" only and nothing else: "),Fe=n("code"),Ee=a("model(input_values)"),jt=p(),U=n("li"),Vt=a(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Ce=n("code"),lt=a("model([input_values, attention_mask])"),Te=a(" or "),qe=n("code"),Pe=a("model([input_values, attention_mask, token_type_ids])"),Ft=p(),ge=n("li"),ct=a(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=n("code"),$e=a('model({"input_values": input_values, "token_type_ids": token_type_ids})'),ze=p(),B=n("p"),Et=a(`Note that when creating models and layers with
`),ee=n("a"),Ct=a("subclassing"),dt=a(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(j){c=r(j,"P",{});var q=i(c);v=s(q,"TensorFlow models and layers in "),h=r(q,"CODE",{});var Nt=i(h);u=s(Nt,"transformers"),Nt.forEach(t),b=s(q," accept two formats as input:"),q.forEach(t),l=m(j),f=r(j,"UL",{});var _e=i(f);V=r(_e,"LI",{});var Bt=i(V);A=s(Bt,"having all inputs as keyword arguments (like PyTorch models), or"),Bt.forEach(t),L=m(_e),z=r(_e,"LI",{});var Ne=i(z);M=s(Ne,"having all inputs as a list, tuple or dict in the first positional argument."),Ne.forEach(t),_e.forEach(t),N=m(j),E=r(j,"P",{});var P=i(E);O=s(P,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),C=r(P,"CODE",{});var so=i(C);me=s(so,"model.fit()"),so.forEach(t),K=s(P,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),S=r(P,"CODE",{});var ot=i(S);he=s(ot,"model.fit()"),ot.forEach(t),I=s(P,` supports! If, however, you want to use the second
format outside of Keras methods like `),R=r(P,"CODE",{});var no=i(R);De=s(no,"fit()"),no.forEach(t),X=s(P," and "),J=r(P,"CODE",{});var ro=i(J);Se=s(ro,"predict()"),ro.forEach(t),Ve=s(P,`, such as when creating your own layers or models with
the Keras `),Z=r(P,"CODE",{});var io=i(Z);et=s(io,"Functional"),io.forEach(t),xt=s(P,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),P.forEach(t),Ie=m(j),D=r(j,"UL",{});var H=i(D);Q=r(H,"LI",{});var fe=i(Q);it=s(fe,"a single Tensor with "),ae=r(fe,"CODE",{});var lo=i(ae);tt=s(lo,"input_values"),lo.forEach(t),Wt=s(fe," only and nothing else: "),Fe=r(fe,"CODE",{});var co=i(Fe);Ee=s(co,"model(input_values)"),co.forEach(t),fe.forEach(t),jt=m(H),U=r(H,"LI",{});var ne=i(U);Vt=s(ne,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Ce=r(ne,"CODE",{});var po=i(Ce);lt=s(po,"model([input_values, attention_mask])"),po.forEach(t),Te=s(ne," or "),qe=r(ne,"CODE",{});var mo=i(qe);Pe=s(mo,"model([input_values, attention_mask, token_type_ids])"),mo.forEach(t),ne.forEach(t),Ft=m(H),ge=r(H,"LI",{});var Me=i(ge);ct=s(Me,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=r(Me,"CODE",{});var ho=i(Y);$e=s(ho,'model({"input_values": input_values, "token_type_ids": token_type_ids})'),ho.forEach(t),Me.forEach(t),H.forEach(t),ze=m(j),B=r(j,"P",{});var at=i(B);Et=s(at,`Note that when creating models and layers with
`),ee=r(at,"A",{href:!0,rel:!0});var Rt=i(ee);Ct=s(Rt,"subclassing"),Rt.forEach(t),dt=s(at,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),at.forEach(t),this.h()},h(){d(ee,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(ee,"rel","nofollow")},m(j,q){_(j,c,q),e(c,v),e(c,h),e(h,u),e(c,b),_(j,l,q),_(j,f,q),e(f,V),e(V,A),e(f,L),e(f,z),e(z,M),_(j,N,q),_(j,E,q),e(E,O),e(E,C),e(C,me),e(E,K),e(E,S),e(S,he),e(E,I),e(E,R),e(R,De),e(E,X),e(E,J),e(J,Se),e(E,Ve),e(E,Z),e(Z,et),e(E,xt),_(j,Ie,q),_(j,D,q),e(D,Q),e(Q,it),e(Q,ae),e(ae,tt),e(Q,Wt),e(Q,Fe),e(Fe,Ee),e(D,jt),e(D,U),e(U,Vt),e(U,Ce),e(Ce,lt),e(U,Te),e(U,qe),e(qe,Pe),e(D,Ft),e(D,ge),e(ge,ct),e(ge,Y),e(Y,$e),_(j,ze,q),_(j,B,q),e(B,Et),e(B,ee),e(ee,Ct),e(B,dt)},d(j){j&&t(c),j&&t(l),j&&t(f),j&&t(N),j&&t(E),j&&t(Ie),j&&t(D),j&&t(ze),j&&t(B)}}}function V$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function F$(W){let c,v,h,u,b;return u=new se({props:{code:`import tensorflow as tf
from transformers import Wav2Vec2Processor, TFWav2Vec2ForCTC
from datasets import load_dataset
import soundfile as sf

processor = Wav2Vec2Processor.from_pretrained("facebook/wav2vec2-base-960h")
model = TFWav2Vec2ForCTC.from_pretrained("facebook/wav2vec2-base-960h")


def map_to_array(batch):
    speech, _ = sf.read(batch["file"])
    batch["speech"] = speech
    return batch


ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
ds = ds.map(map_to_array)

input_values = processor(ds["speech"][0], return_tensors="tf").input_values  # Batch size 1
logits = model(input_values).logits
predicted_ids = tf.argmax(logits, axis=-1)

transcription = processor.decode(predicted_ids[0])

# compute loss
target_transcription = "A MAN SAID TO THE UNIVERSE SIR I EXIST"

# Pass transcription as \`text\` to encode labels
labels = processor(text=transcription, return_tensors="tf").input_ids

loss = model(input_values, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, TFWav2Vec2ForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> soundfile <span class="hljs-keyword">as</span> sf

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFWav2Vec2ForCTC.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">map_to_array</span>(<span class="hljs-params">batch</span>):
<span class="hljs-meta">... </span>    speech, _ = sf.read(batch[<span class="hljs-string">&quot;file&quot;</span>])
<span class="hljs-meta">... </span>    batch[<span class="hljs-string">&quot;speech&quot;</span>] = speech
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> batch


<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = ds.<span class="hljs-built_in">map</span>(map_to_array)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = processor(ds[<span class="hljs-string">&quot;speech&quot;</span>][<span class="hljs-number">0</span>], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_values  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_values).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_ids = tf.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.decode(predicted_ids[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_transcription = <span class="hljs-string">&quot;A MAN SAID TO THE UNIVERSE SIR I EXIST&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Pass transcription as \`text\` to encode labels</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = processor(text=transcription, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_values, labels=labels).loss`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function E$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function C$(W){let c,v,h,u,b;return u=new se({props:{code:`from transformers import Wav2Vec2Processor, FlaxWav2Vec2Model
from datasets import load_dataset
import soundfile as sf

processor = Wav2Vec2Processor.from_pretrained("facebook/wav2vec2-large-lv60")
model = FlaxWav2Vec2Model.from_pretrained("facebook/wav2vec2-large-lv60")


def map_to_array(batch):
    speech, _ = sf.read(batch["file"])
    batch["speech"] = speech
    return batch


ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
ds = ds.map(map_to_array)

input_values = processor(
    ds["speech"][0], sampling_rate=16_000, return_tensors="np"
).input_values  # Batch size 1
hidden_states = model(input_values).last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, FlaxWav2Vec2Model
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> soundfile <span class="hljs-keyword">as</span> sf

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-large-lv60&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxWav2Vec2Model.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-large-lv60&quot;</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">map_to_array</span>(<span class="hljs-params">batch</span>):
<span class="hljs-meta">... </span>    speech, _ = sf.read(batch[<span class="hljs-string">&quot;file&quot;</span>])
<span class="hljs-meta">... </span>    batch[<span class="hljs-string">&quot;speech&quot;</span>] = speech
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> batch


<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = ds.<span class="hljs-built_in">map</span>(map_to_array)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = processor(
<span class="hljs-meta">... </span>    ds[<span class="hljs-string">&quot;speech&quot;</span>][<span class="hljs-number">0</span>], sampling_rate=<span class="hljs-number">16_000</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>
<span class="hljs-meta">... </span>).input_values  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>hidden_states = model(input_values).last_hidden_state`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function q$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function P$(W){let c,v,h,u,b;return u=new se({props:{code:`import jax.numpy as jnp
from transformers import Wav2Vec2Processor, FlaxWav2Vec2ForCTC
from datasets import load_dataset
import soundfile as sf

processor = Wav2Vec2Processor.from_pretrained("facebook/wav2vec2-large-960h-lv60")
model = FlaxWav2Vec2ForCTC.from_pretrained("facebook/wav2vec2-large-960h-lv60")


def map_to_array(batch):
    speech, _ = sf.read(batch["file"])
    batch["speech"] = speech
    return batch


ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
ds = ds.map(map_to_array)

input_values = processor(
    ds["speech"][0], sampling_rate=16_000, return_tensors="np"
).input_values  # Batch size 1
logits = model(input_values).logits
predicted_ids = jnp.argmax(logits, axis=-1)

transcription = processor.decode(predicted_ids[0])
# should give:  "A MAN SAID TO THE UNIVERSE SIR I EXIST"`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, FlaxWav2Vec2ForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> soundfile <span class="hljs-keyword">as</span> sf

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-large-960h-lv60&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxWav2Vec2ForCTC.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-large-960h-lv60&quot;</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">map_to_array</span>(<span class="hljs-params">batch</span>):
<span class="hljs-meta">... </span>    speech, _ = sf.read(batch[<span class="hljs-string">&quot;file&quot;</span>])
<span class="hljs-meta">... </span>    batch[<span class="hljs-string">&quot;speech&quot;</span>] = speech
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> batch


<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = ds.<span class="hljs-built_in">map</span>(map_to_array)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = processor(
<span class="hljs-meta">... </span>    ds[<span class="hljs-string">&quot;speech&quot;</span>][<span class="hljs-number">0</span>], sampling_rate=<span class="hljs-number">16_000</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>
<span class="hljs-meta">... </span>).input_values  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_values).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_ids = jnp.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.decode(predicted_ids[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># should give:  &quot;A MAN SAID TO THE UNIVERSE SIR I EXIST&quot;</span>`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function z$(W){let c,v,h,u,b;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),u=a("Module"),b=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(f,"CODE",{});var V=i(h);u=s(V,"Module"),V.forEach(t),b=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(l,f){_(l,c,f),e(c,v),e(c,h),e(h,u),e(c,b)},d(l){l&&t(c)}}}function M$(W){let c,v,h,u,b;return u=new se({props:{code:`import optax
import numpy as np
import jax.numpy as jnp
from transformers import Wav2Vec2FeatureExtractor, FlaxWav2Vec2ForPreTraining
from transformers.models.wav2vec2.modeling_flax_wav2vec2 import _compute_mask_indices
from datasets import load_dataset
import soundfile as sf

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("facebook/wav2vec2-large-lv60")
model = FlaxWav2Vec2ForPreTraining.from_pretrained("facebook/wav2vec2-large-lv60")


def map_to_array(batch):
    speech, _ = sf.read(batch["file"])
    batch["speech"] = speech
    return batch


ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
ds = ds.map(map_to_array)

input_values = feature_extractor(ds["speech"][0], return_tensors="np").input_values  # Batch size 1

# compute masked indices
batch_size, raw_sequence_length = input_values.shape
sequence_length = model._get_feat_extract_output_lengths(raw_sequence_length)
mask_time_indices = _compute_mask_indices((batch_size, sequence_length), mask_prob=0.2, mask_length=2)

outputs = model(input_values, mask_time_indices=mask_time_indices)

# compute cosine similarity between predicted (=projected_states) and target (=projected_quantized_states)
cosine_sim = optax.cosine_similarity(outputs.projected_states, outputs.projected_quantized_states)

# show that cosine similarity is much higher than random
assert np.asarray(cosine_sim)[mask_time_indices].mean() > 0.5`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> optax
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, FlaxWav2Vec2ForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers.models.wav2vec2.modeling_flax_wav2vec2 <span class="hljs-keyword">import</span> _compute_mask_indices
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> soundfile <span class="hljs-keyword">as</span> sf

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-large-lv60&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxWav2Vec2ForPreTraining.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-large-lv60&quot;</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">map_to_array</span>(<span class="hljs-params">batch</span>):
<span class="hljs-meta">... </span>    speech, _ = sf.read(batch[<span class="hljs-string">&quot;file&quot;</span>])
<span class="hljs-meta">... </span>    batch[<span class="hljs-string">&quot;speech&quot;</span>] = speech
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> batch


<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = ds.<span class="hljs-built_in">map</span>(map_to_array)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = feature_extractor(ds[<span class="hljs-string">&quot;speech&quot;</span>][<span class="hljs-number">0</span>], return_tensors=<span class="hljs-string">&quot;np&quot;</span>).input_values  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute masked indices</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>batch_size, raw_sequence_length = input_values.shape
<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_length = model._get_feat_extract_output_lengths(raw_sequence_length)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_time_indices = _compute_mask_indices((batch_size, sequence_length), mask_prob=<span class="hljs-number">0.2</span>, mask_length=<span class="hljs-number">2</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_values, mask_time_indices=mask_time_indices)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute cosine similarity between predicted (=projected_states) and target (=projected_quantized_states)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim = optax.cosine_similarity(outputs.projected_states, outputs.projected_quantized_states)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># show that cosine similarity is much higher than random</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> np.asarray(cosine_sim)[mask_time_indices].mean() &gt; <span class="hljs-number">0.5</span>`}}),{c(){c=n("p"),v=a("Example:"),h=p(),w(u.$$.fragment)},l(l){c=r(l,"P",{});var f=i(c);v=s(f,"Example:"),f.forEach(t),h=m(l),y(u.$$.fragment,l)},m(l,f){_(l,c,f),e(c,v),_(l,h,f),k(u,l,f),b=!0},p:pe,i(l){b||(T(u.$$.fragment,l),b=!0)},o(l){$(u.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(h),x(u,l)}}}function A$(W){let c,v,h,u,b,l,f,V,A,L,z,M,N,E,O,C,me,K,S,he,I,R,De,X,J,Se,Ve,Z,et,xt,Ie,D,Q,it,ae,tt,Wt,Fe,Ee,jt,U,Vt,Ce,lt,Te,qe,Pe,Ft,ge,ct,Y,$e,ze,B,Et,ee,Ct,dt,j,q,Nt,_e,Bt,Ne,P,so,ot,no,ro,io,H,fe,lo,co,ne,po,mo,Me,ho,at,Rt,xs,fp,Be,Ws,jh,js,Vh,Fh,Eh,Vs,Ch,Fs,qh,Ph,zh,Es,Mh,Cs,Ah,Lh,Oh,qs,Dh,Ps,Sh,Ih,Nh,Ut,Ai,Bh,Rh,zs,Uh,Hh,Ms,Xh,Gh,up,Li,Kh,gp,Oi,As,Jh,Ls,Zh,Qh,_p,fo,Qo,Ql,Os,Yh,Yl,ef,vp,st,Ds,tf,uo,of,Di,af,sf,Ss,nf,rf,lf,go,cf,Si,df,pf,Ii,mf,hf,ff,Yo,bp,_o,ea,ec,Is,uf,tc,gf,wp,re,Ns,_f,oc,vf,bf,Bs,wf,Ni,yf,kf,Tf,ta,Rs,$f,ac,xf,Wf,Bi,Us,jf,pt,Hs,Vf,sc,Ff,Ef,Xs,Cf,nc,qf,Pf,zf,oa,Mf,aa,Gs,Af,rc,Lf,yp,vo,sa,ic,Ks,Of,lc,Df,kp,nt,Js,Sf,cc,If,Nf,Zs,Bf,Ri,Rf,Uf,Hf,na,Qs,Xf,dc,Gf,Tp,bo,ra,pc,Ys,Kf,mc,Jf,$p,G,en,Zf,hc,Qf,Yf,Re,Ui,eu,tu,Hi,ou,au,Xi,su,nu,tn,fc,ru,iu,lu,Gi,cu,du,pu,ia,on,mu,qt,hu,an,uc,fu,uu,gu,gc,_u,vu,sn,_c,bu,wu,yu,ku,la,nn,Tu,Pt,$u,Ki,xu,Wu,vc,ju,Vu,Ji,Fu,Eu,Cu,Zi,rn,qu,Ht,ln,Pu,cn,zu,Qi,Mu,Au,Lu,ca,Ou,da,dn,Du,pn,Su,Yi,Iu,Nu,Bu,pa,mn,Ru,hn,Uu,el,Hu,Xu,xp,wo,ma,bc,fn,Gu,wc,Ku,Wp,te,un,Ju,yc,Zu,Qu,ha,gn,Yu,zt,eg,_n,kc,tg,og,ag,Tc,sg,ng,vn,$c,rg,ig,lg,cg,fa,bn,dg,Mt,pg,tl,mg,hg,xc,fg,ug,ol,gg,_g,vg,Xt,wn,bg,yn,wg,al,yg,kg,Tg,ua,$g,sl,kn,xg,mt,Tn,Wg,Wc,jg,Vg,ga,Fg,$n,Eg,nl,Cg,qg,Pg,Gt,xn,zg,jc,Mg,Ag,_a,jp,yo,va,Vc,Wn,Lg,Fc,Og,Vp,xe,Dg,rl,Sg,Ig,Ec,Ng,Bg,il,Rg,Ug,ll,Hg,Xg,Cc,Gg,Kg,Fp,jn,Ep,ko,ba,qc,Vn,Jg,Pc,Zg,Cp,To,Fn,Qg,En,Yg,zc,e_,t_,qp,$o,Cn,o_,Mc,a_,Pp,xo,qn,s_,Pn,n_,cl,r_,i_,zp,At,zn,l_,Mn,c_,Ac,d_,p_,m_,wa,An,h_,Lc,f_,Mp,Lt,Ln,u_,On,g_,Oc,__,v_,b_,ya,Dn,w_,Dc,y_,Ap,Wo,ka,Sc,Sn,k_,Ic,T_,Lp,Ae,In,$_,Nn,x_,Bn,W_,j_,V_,Rn,F_,dl,E_,C_,q_,Un,P_,Hn,z_,M_,A_,Ue,Xn,L_,jo,O_,pl,D_,S_,Nc,I_,N_,B_,Ta,R_,$a,U_,xa,Op,Vo,Wa,Bc,Gn,H_,Rc,X_,Dp,Le,Kn,G_,Fo,K_,Uc,J_,Z_,Jn,Q_,Y_,ev,Zn,tv,ml,ov,av,sv,Qn,nv,Yn,rv,iv,lv,He,er,cv,Eo,dv,hl,pv,mv,Hc,hv,fv,uv,ja,gv,Va,_v,Fa,Sp,Co,Ea,Xc,tr,vv,Gc,bv,Ip,ve,or,wv,Kc,yv,kv,ar,Tv,sr,$v,xv,Wv,nr,jv,fl,Vv,Fv,Ev,rr,Cv,ir,qv,Pv,zv,Xe,lr,Mv,qo,Av,ul,Lv,Ov,Jc,Dv,Sv,Iv,Ca,Nv,qa,Bv,Pa,Np,Po,za,Zc,cr,Rv,Qc,Uv,Bp,be,dr,Hv,Yc,Xv,Gv,pr,Kv,mr,Jv,Zv,Qv,hr,Yv,gl,e2,t2,o2,fr,a2,ur,s2,n2,r2,Ge,gr,i2,zo,l2,_l,c2,d2,ed,p2,m2,h2,Ma,f2,Aa,u2,La,Rp,Mo,Oa,td,_r,g2,od,_2,Up,we,vr,v2,ad,b2,w2,br,y2,wr,k2,T2,$2,yr,x2,vl,W2,j2,V2,kr,F2,Tr,E2,C2,q2,Ke,$r,P2,Ao,z2,bl,M2,A2,sd,L2,O2,D2,Da,S2,Sa,I2,Ia,Hp,Lo,Na,nd,xr,N2,rd,B2,Xp,Oe,Wr,R2,Oo,U2,id,H2,X2,jr,G2,K2,J2,Vr,Z2,wl,Q2,Y2,eb,Fr,tb,Er,ob,ab,sb,ht,Cr,nb,Do,rb,yl,ib,lb,ld,cb,db,pb,Ba,mb,Ra,Gp,So,Ua,cd,qr,hb,dd,fb,Kp,ye,Pr,ub,pd,gb,_b,zr,vb,kl,bb,wb,yb,Mr,kb,Ar,Tb,$b,xb,Ha,Wb,ft,Lr,jb,Io,Vb,Tl,Fb,Eb,md,Cb,qb,Pb,Xa,zb,Ga,Jp,No,Ka,hd,Or,Mb,fd,Ab,Zp,ke,Dr,Lb,Sr,Ob,ud,Db,Sb,Ib,Ir,Nb,$l,Bb,Rb,Ub,Nr,Hb,Br,Xb,Gb,Kb,Ja,Jb,ut,Rr,Zb,Bo,Qb,xl,Yb,ew,gd,tw,ow,aw,Za,sw,Qa,Qp,Ro,Ya,_d,Ur,nw,vd,rw,Yp,ie,Hr,iw,Xr,lw,Gr,cw,dw,pw,Kr,mw,Wl,hw,fw,uw,Jr,gw,Zr,_w,vw,bw,bd,ww,yw,Ot,wd,Qr,kw,Tw,yd,Yr,$w,xw,kd,ei,Ww,jw,Td,ti,Vw,Fw,gt,oi,Ew,Uo,Cw,$d,qw,Pw,xd,zw,Mw,Aw,es,Lw,ts,em,Ho,os,Wd,ai,Ow,jd,Dw,tm,le,si,Sw,Xo,Iw,Vd,Nw,Bw,ni,Rw,Uw,Hw,ri,Xw,jl,Gw,Kw,Jw,ii,Zw,li,Qw,Yw,ey,Fd,ty,oy,Dt,Ed,ci,ay,sy,Cd,di,ny,ry,qd,pi,iy,ly,Pd,mi,cy,dy,_t,hi,py,Go,my,zd,hy,fy,Md,uy,gy,_y,as,vy,ss,om,Ko,ns,Ad,fi,by,Ld,wy,am,ce,ui,yy,Jo,ky,Od,Ty,$y,gi,xy,Wy,jy,_i,Vy,Vl,Fy,Ey,Cy,vi,qy,bi,Py,zy,My,Dd,Ay,Ly,St,Sd,wi,Oy,Dy,Id,yi,Sy,Iy,Nd,ki,Ny,By,Bd,Ti,Ry,Uy,vt,$i,Hy,Zo,Xy,Fl,Gy,Ky,Rd,Jy,Zy,Qy,rs,Yy,is,sm;return l=new oe({}),E=new oe({}),B=new oe({}),_e=new KT({props:{pipeline:"audio-classification"}}),xs=new KT({props:{pipeline:"automatic-speech-recognition"}}),Os=new oe({}),Ds=new F({props:{name:"class transformers.Wav2Vec2Config",anchor:"transformers.Wav2Vec2Config",parameters:[{name:"vocab_size",val:" = 32"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout",val:" = 0.1"},{name:"activation_dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.1"},{name:"feat_proj_dropout",val:" = 0.0"},{name:"feat_quantizer_dropout",val:" = 0.0"},{name:"final_dropout",val:" = 0.1"},{name:"layerdrop",val:" = 0.1"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"feat_extract_norm",val:" = 'group'"},{name:"feat_extract_activation",val:" = 'gelu'"},{name:"conv_dim",val:" = (512, 512, 512, 512, 512, 512, 512)"},{name:"conv_stride",val:" = (5, 2, 2, 2, 2, 2, 2)"},{name:"conv_kernel",val:" = (10, 3, 3, 3, 3, 2, 2)"},{name:"conv_bias",val:" = False"},{name:"num_conv_pos_embeddings",val:" = 128"},{name:"num_conv_pos_embedding_groups",val:" = 16"},{name:"do_stable_layer_norm",val:" = False"},{name:"apply_spec_augment",val:" = True"},{name:"mask_time_prob",val:" = 0.05"},{name:"mask_time_length",val:" = 10"},{name:"mask_time_min_masks",val:" = 2"},{name:"mask_feature_prob",val:" = 0.0"},{name:"mask_feature_length",val:" = 10"},{name:"mask_feature_min_masks",val:" = 0"},{name:"num_codevectors_per_group",val:" = 320"},{name:"num_codevector_groups",val:" = 2"},{name:"contrastive_logits_temperature",val:" = 0.1"},{name:"num_negatives",val:" = 100"},{name:"codevector_dim",val:" = 256"},{name:"proj_codevector_dim",val:" = 256"},{name:"diversity_loss_weight",val:" = 0.1"},{name:"ctc_loss_reduction",val:" = 'sum'"},{name:"ctc_zero_infinity",val:" = False"},{name:"use_weighted_layer_sum",val:" = False"},{name:"classifier_proj_size",val:" = 256"},{name:"tdnn_dim",val:" = (512, 512, 512, 512, 1500)"},{name:"tdnn_kernel",val:" = (5, 3, 3, 1, 1)"},{name:"tdnn_dilation",val:" = (1, 2, 3, 1, 1)"},{name:"xvector_output_dim",val:" = 512"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 1"},{name:"eos_token_id",val:" = 2"},{name:"add_adapter",val:" = False"},{name:"adapter_kernel_size",val:" = 3"},{name:"adapter_stride",val:" = 2"},{name:"num_adapter_layers",val:" = 3"},{name:"output_hidden_size",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2Config.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Vocabulary size of the Wav2Vec2 model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Model">Wav2Vec2Model</a> or <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.TFWav2Vec2Model">TFWav2Vec2Model</a>. Vocabulary size of the
model. Defines the different tokens that can be represented by the <em>inputs_ids</em> passed to the forward
method of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Model">Wav2Vec2Model</a>.`,name:"vocab_size"},{anchor:"transformers.Wav2Vec2Config.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.Wav2Vec2Config.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.Wav2Vec2Config.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.Wav2Vec2Config.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.Wav2Vec2Config.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.Wav2Vec2Config.hidden_dropout",description:`<strong>hidden_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout"},{anchor:"transformers.Wav2Vec2Config.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.Wav2Vec2Config.final_dropout",description:`<strong>final_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for the final projection layer of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC">Wav2Vec2ForCTC</a>.`,name:"final_dropout"},{anchor:"transformers.Wav2Vec2Config.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.Wav2Vec2Config.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.Wav2Vec2Config.feat_extract_norm",description:`<strong>feat_extract_norm</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;group&quot;</code>) &#x2014;
The norm to be applied to 1D convolutional layers in feature encoder. One of <code>&quot;group&quot;</code> for group
normalization of only the first 1D convolutional layer or <code>&quot;layer&quot;</code> for layer normalization of all 1D
convolutional layers.`,name:"feat_extract_norm"},{anchor:"transformers.Wav2Vec2Config.feat_proj_dropout",description:`<strong>feat_proj_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for output of the feature encoder.`,name:"feat_proj_dropout"},{anchor:"transformers.Wav2Vec2Config.feat_extract_activation",description:"<strong>feat_extract_activation</strong> (<code>str, </code>optional<code>, defaults to </code>&#x201C;gelu&#x201D;<code>) -- The non-linear activation function (function or string) in the 1D convolutional layers of the feature extractor. If string, </code>&#x201C;gelu&#x201D;<code>, </code>&#x201C;relu&#x201D;<code>, </code>&#x201C;selu&#x201D;<code>and</code>&#x201C;gelu_new&#x201D;` are supported.",name:"feat_extract_activation"},{anchor:"transformers.Wav2Vec2Config.feat_quantizer_dropout",description:`<strong>feat_quantizer_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for quantized feature encoder states.`,name:"feat_quantizer_dropout"},{anchor:"transformers.Wav2Vec2Config.conv_dim",description:`<strong>conv_dim</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(512, 512, 512, 512, 512, 512, 512)</code>) &#x2014;
A tuple of integers defining the number of input and output channels of each 1D convolutional layer in the
feature encoder. The length of <em>conv_dim</em> defines the number of 1D convolutional layers.`,name:"conv_dim"},{anchor:"transformers.Wav2Vec2Config.conv_stride",description:`<strong>conv_stride</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(5, 2, 2, 2, 2, 2, 2)</code>) &#x2014;
A tuple of integers defining the stride of each 1D convolutional layer in the feature encoder. The length
of <em>conv_stride</em> defines the number of convolutional layers and has to match the length of <em>conv_dim</em>.`,name:"conv_stride"},{anchor:"transformers.Wav2Vec2Config.conv_kernel",description:`<strong>conv_kernel</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(10, 3, 3, 3, 3, 3, 3)</code>) &#x2014;
A tuple of integers defining the kernel size of each 1D convolutional layer in the feature encoder. The
length of <em>conv_kernel</em> defines the number of convolutional layers and has to match the length of
<em>conv_dim</em>.`,name:"conv_kernel"},{anchor:"transformers.Wav2Vec2Config.conv_bias",description:`<strong>conv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the 1D convolutional layers have a bias.`,name:"conv_bias"},{anchor:"transformers.Wav2Vec2Config.num_conv_pos_embeddings",description:`<strong>num_conv_pos_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Number of convolutional positional embeddings. Defines the kernel size of 1D convolutional positional
embeddings layer.`,name:"num_conv_pos_embeddings"},{anchor:"transformers.Wav2Vec2Config.num_conv_pos_embedding_groups",description:`<strong>num_conv_pos_embedding_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of groups of 1D convolutional positional embeddings layer.`,name:"num_conv_pos_embedding_groups"},{anchor:"transformers.Wav2Vec2Config.do_stable_layer_norm",description:`<strong>do_stable_layer_norm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to apply <em>stable</em> layer norm architecture of the Transformer encoder. <code>do_stable_layer_norm is True</code> corresponds to applying layer norm before the attention layer, whereas <code>do_stable_layer_norm is False</code> corresponds to applying layer norm after the attention layer.`,name:"do_stable_layer_norm"},{anchor:"transformers.Wav2Vec2Config.apply_spec_augment",description:`<strong>apply_spec_augment</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to apply <em>SpecAugment</em> data augmentation to the outputs of the feature encoder. For reference see
<a href="https://arxiv.org/abs/1904.08779" rel="nofollow">SpecAugment: A Simple Data Augmentation Method for Automatic Speech
Recognition</a>.`,name:"apply_spec_augment"},{anchor:"transformers.Wav2Vec2Config.mask_time_prob",description:`<strong>mask_time_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.05) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the time axis which will be masked. The masking
procecure generates &#x201D;mask_time_prob<em>len(time_axis)/mask_time_length&#x201D; independent masks over the axis. If
reasoning from the propability of each feature vector to be chosen as the start of the vector span to be
masked, </em>mask_time_prob<em> should be \`prob_vector_start</em>mask_time_length<code>. Note that overlap may decrease the actual percentage of masked vectors. This is only relevant if </code>apply_spec_augment is True\`.`,name:"mask_time_prob"},{anchor:"transformers.Wav2Vec2Config.mask_time_length",description:`<strong>mask_time_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the time axis.`,name:"mask_time_length"},{anchor:"transformers.Wav2Vec2Config.mask_time_min_masks",description:`<strong>mask_time_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 2), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the time axis, each time step,
irrespectively of <code>mask_feature_prob</code>. Only relevant if &#x201D;mask_time_prob*len(time_axis)/mask_time_length &lt;
mask_time_min_masks&#x201D;`,name:"mask_time_min_masks"},{anchor:"transformers.Wav2Vec2Config.mask_feature_prob",description:`<strong>mask_feature_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the feature axis which will be masked. The
masking procecure generates &#x201D;mask_feature_prob<em>len(feature_axis)/mask_time_length&#x201D; independent masks over
the axis. If reasoning from the propability of each feature vector to be chosen as the start of the vector
span to be masked, </em>mask_feature_prob<em> should be \`prob_vector_start</em>mask_feature_length<code>. Note that overlap may decrease the actual percentage of masked vectors. This is only relevant if </code>apply_spec_augment is
True\`.`,name:"mask_feature_prob"},{anchor:"transformers.Wav2Vec2Config.mask_feature_length",description:`<strong>mask_feature_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the feature axis.`,name:"mask_feature_length"},{anchor:"transformers.Wav2Vec2Config.mask_feature_min_masks",description:`<strong>mask_feature_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 0), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the feature axis, each time
step, irrespectively of <code>mask_feature_prob</code>. Only relevant if
&#x201D;mask_feature_prob*len(feature_axis)/mask_feature_length &lt; mask_feature_min_masks&#x201D;`,name:"mask_feature_min_masks"},{anchor:"transformers.Wav2Vec2Config.num_codevectors_per_group",description:`<strong>num_codevectors_per_group</strong> (<code>int</code>, <em>optional</em>, defaults to 320) &#x2014;
Number of entries in each quantization codebook (group).`,name:"num_codevectors_per_group"},{anchor:"transformers.Wav2Vec2Config.num_codevector_groups",description:`<strong>num_codevector_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of codevector groups for product codevector quantization.`,name:"num_codevector_groups"},{anchor:"transformers.Wav2Vec2Config.contrastive_logits_temperature",description:`<strong>contrastive_logits_temperature</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The temperature <em>kappa</em> in the contrastive loss.`,name:"contrastive_logits_temperature"},{anchor:"transformers.Wav2Vec2Config.feat_quantizer_dropout",description:`<strong>feat_quantizer_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for the output of the feature encoder that&#x2019;s used by the quantizer.`,name:"feat_quantizer_dropout"},{anchor:"transformers.Wav2Vec2Config.num_negatives",description:`<strong>num_negatives</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Number of negative samples for the contrastive loss.`,name:"num_negatives"},{anchor:"transformers.Wav2Vec2Config.codevector_dim",description:`<strong>codevector_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the quantized feature vectors.`,name:"codevector_dim"},{anchor:"transformers.Wav2Vec2Config.proj_codevector_dim",description:`<strong>proj_codevector_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the final projection of both the quantized and the transformer features.`,name:"proj_codevector_dim"},{anchor:"transformers.Wav2Vec2Config.diversity_loss_weight",description:`<strong>diversity_loss_weight</strong> (<code>int</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The weight of the codebook diversity loss component.`,name:"diversity_loss_weight"},{anchor:"transformers.Wav2Vec2Config.ctc_loss_reduction",description:`<strong>ctc_loss_reduction</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;sum&quot;</code>) &#x2014;
Specifies the reduction to apply to the output of <code>torch.nn.CTCLoss</code>. Only relevant when training an
instance of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC">Wav2Vec2ForCTC</a>.`,name:"ctc_loss_reduction"},{anchor:"transformers.Wav2Vec2Config.ctc_zero_infinity",description:`<strong>ctc_zero_infinity</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to zero infinite losses and the associated gradients of <code>torch.nn.CTCLoss</code>. Infinite losses mainly
occur when the inputs are too short to be aligned to the targets. Only relevant when training an instance
of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC">Wav2Vec2ForCTC</a>.`,name:"ctc_zero_infinity"},{anchor:"transformers.Wav2Vec2Config.use_weighted_layer_sum",description:`<strong>use_weighted_layer_sum</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use a weighted average of layer outputs with learned weights. Only relevant when using an
instance of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForSequenceClassification">Wav2Vec2ForSequenceClassification</a>.`,name:"use_weighted_layer_sum"},{anchor:"transformers.Wav2Vec2Config.classifier_proj_size",description:`<strong>classifier_proj_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the projection before token mean-pooling for classification.`,name:"classifier_proj_size"},{anchor:"transformers.Wav2Vec2Config.tdnn_dim",description:`<strong>tdnn_dim</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(512, 512, 512, 512, 1500)</code>) &#x2014;
A tuple of integers defining the number of output channels of each 1D convolutional layer in the <em>TDNN</em>
module of the <em>XVector</em> model. The length of <em>tdnn_dim</em> defines the number of <em>TDNN</em> layers.`,name:"tdnn_dim"},{anchor:"transformers.Wav2Vec2Config.tdnn_kernel",description:`<strong>tdnn_kernel</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(5, 3, 3, 1, 1)</code>) &#x2014;
A tuple of integers defining the kernel size of each 1D convolutional layer in the <em>TDNN</em> module of the
<em>XVector</em> model. The length of <em>tdnn_kernel</em> has to match the length of <em>tdnn_dim</em>.`,name:"tdnn_kernel"},{anchor:"transformers.Wav2Vec2Config.tdnn_dilation",description:`<strong>tdnn_dilation</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(1, 2, 3, 1, 1)</code>) &#x2014;
A tuple of integers defining the dilation factor of each 1D convolutional layer in <em>TDNN</em> module of the
<em>XVector</em> model. The length of <em>tdnn_dilation</em> has to match the length of <em>tdnn_dim</em>.`,name:"tdnn_dilation"},{anchor:"transformers.Wav2Vec2Config.xvector_output_dim",description:`<strong>xvector_output_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimensionality of the <em>XVector</em> embedding vectors.`,name:"xvector_output_dim"},{anchor:"transformers.Wav2Vec2Config.add_adapter",description:`<strong>add_adapter</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether a convolutional network should be stacked on top of the Wav2Vec2 Encoder. Can be very useful for
warm-starting Wav2Vec2 for SpeechEncoderDecoder models.`,name:"add_adapter"},{anchor:"transformers.Wav2Vec2Config.adapter_kernel_size",description:`<strong>adapter_kernel_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Kernel size of the convolutional layers in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"adapter_kernel_size"},{anchor:"transformers.Wav2Vec2Config.adapter_stride",description:`<strong>adapter_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Stride of the convolutional layers in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"adapter_stride"},{anchor:"transformers.Wav2Vec2Config.num_adapter_layers",description:`<strong>num_adapter_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Number of convolutional layers that should be used in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"num_adapter_layers"},{anchor:"transformers.Wav2Vec2Config.output_hidden_size",description:`<strong>output_hidden_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Dimensionality of the encoder output layer. If not defined, this defaults to <em>hidden-size</em>. Only relevant
if <code>add_adapter is True</code>.`,name:"output_hidden_size"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/configuration_wav2vec2.py#L32"}}),Yo=new de({props:{anchor:"transformers.Wav2Vec2Config.example",$$slots:{default:[t$]},$$scope:{ctx:W}}}),Is=new oe({}),Ns=new F({props:{name:"class transformers.Wav2Vec2CTCTokenizer",anchor:"transformers.Wav2Vec2CTCTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"word_delimiter_token",val:" = '|'"},{name:"replace_word_delimiter_char",val:" = ' '"},{name:"do_lower_case",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2CTCTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
File containing the vocabulary.`,name:"vocab_file"},{anchor:"transformers.Wav2Vec2CTCTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sentence token.`,name:"bos_token"},{anchor:"transformers.Wav2Vec2CTCTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sentence token.`,name:"eos_token"},{anchor:"transformers.Wav2Vec2CTCTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.Wav2Vec2CTCTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.Wav2Vec2CTCTokenizer.word_delimiter_token",description:`<strong>word_delimiter_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;|&quot;</code>) &#x2014;
The token used for defining the end of a word.`,name:"word_delimiter_token"},{anchor:"transformers.Wav2Vec2CTCTokenizer.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to accept lowercase input and lowercase the output when decoding.</p>
<p>**kwargs &#x2014;
Additional keyword arguments passed along to <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>`,name:"do_lower_case"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/tokenization_wav2vec2.py#L127"}}),Rs=new F({props:{name:"__call__",anchor:"transformers.Wav2Vec2CTCTokenizer.__call__",parameters:[{name:"text",val:": typing.Union[str, typing.List[str], typing.List[typing.List[str]]] = None"},{name:"text_pair",val:": typing.Union[str, typing.List[str], typing.List[typing.List[str]], NoneType] = None"},{name:"text_target",val:": typing.Union[str, typing.List[str], typing.List[typing.List[str]]] = None"},{name:"text_pair_target",val:": typing.Union[str, typing.List[str], typing.List[typing.List[str]], NoneType] = None"},{name:"add_special_tokens",val:": bool = True"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = False"},{name:"truncation",val:": typing.Union[bool, str, transformers.tokenization_utils_base.TruncationStrategy] = None"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"stride",val:": int = 0"},{name:"is_split_into_words",val:": bool = False"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"return_token_type_ids",val:": typing.Optional[bool] = None"},{name:"return_attention_mask",val:": typing.Optional[bool] = None"},{name:"return_overflowing_tokens",val:": bool = False"},{name:"return_special_tokens_mask",val:": bool = False"},{name:"return_offsets_mapping",val:": bool = False"},{name:"return_length",val:": bool = False"},{name:"verbose",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.text",description:`<strong>text</strong> (<code>str</code>, <code>List[str]</code>, <code>List[List[str]]</code>, <em>optional</em>) &#x2014;
The sequence or batch of sequences to be encoded. Each sequence can be a string or a list of strings
(pretokenized string). If the sequences are provided as list of strings (pretokenized), you must set
<code>is_split_into_words=True</code> (to lift the ambiguity with a batch of sequences).`,name:"text"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.text_pair",description:`<strong>text_pair</strong> (<code>str</code>, <code>List[str]</code>, <code>List[List[str]]</code>, <em>optional</em>) &#x2014;
The sequence or batch of sequences to be encoded. Each sequence can be a string or a list of strings
(pretokenized string). If the sequences are provided as list of strings (pretokenized), you must set
<code>is_split_into_words=True</code> (to lift the ambiguity with a batch of sequences).`,name:"text_pair"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.text_target",description:`<strong>text_target</strong> (<code>str</code>, <code>List[str]</code>, <code>List[List[str]]</code>, <em>optional</em>) &#x2014;
The sequence or batch of sequences to be encoded as target texts. Each sequence can be a string or a
list of strings (pretokenized string). If the sequences are provided as list of strings (pretokenized),
you must set <code>is_split_into_words=True</code> (to lift the ambiguity with a batch of sequences).`,name:"text_target"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.text_pair_target",description:`<strong>text_pair_target</strong> (<code>str</code>, <code>List[str]</code>, <code>List[List[str]]</code>, <em>optional</em>) &#x2014;
The sequence or batch of sequences to be encoded as target texts. Each sequence can be a string or a
list of strings (pretokenized string). If the sequences are provided as list of strings (pretokenized),
you must set <code>is_split_into_words=True</code> (to lift the ambiguity with a batch of sequences).`,name:"text_pair_target"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.add_special_tokens",description:`<strong>add_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to encode the sequences with the special tokens relative to their model.`,name:"add_special_tokens"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls padding. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code>: Pad to the longest sequence in the batch (or no padding if only a single
sequence if provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code> (default): No padding (i.e., can output a batch with sequences of different
lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.tokenization_utils_base.TruncationStrategy">TruncationStrategy</a>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls truncation. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;longest_first&apos;</code>: Truncate to a maximum length specified with the argument <code>max_length</code> or
to the maximum acceptable input length for the model if that argument is not provided. This will
truncate token by token, removing a token from the longest sequence in the pair if a pair of
sequences (or a batch of pairs) is provided.</li>
<li><code>&apos;only_first&apos;</code>: Truncate to a maximum length specified with the argument <code>max_length</code> or to the
maximum acceptable input length for the model if that argument is not provided. This will only
truncate the first sequence of a pair if a pair of sequences (or a batch of pairs) is provided.</li>
<li><code>&apos;only_second&apos;</code>: Truncate to a maximum length specified with the argument <code>max_length</code> or to the
maximum acceptable input length for the model if that argument is not provided. This will only
truncate the second sequence of a pair if a pair of sequences (or a batch of pairs) is provided.</li>
<li><code>False</code> or <code>&apos;do_not_truncate&apos;</code> (default): No truncation (i.e., can output batch with sequence lengths
greater than the model maximum admissible input size).</li>
</ul>`,name:"truncation"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Controls the maximum length to use by one of the truncation/padding parameters.</p>
<p>If left unset or set to <code>None</code>, this will use the predefined model maximum length if a maximum length
is required by one of the truncation/padding parameters. If the model has no specific maximum input
length (like XLNet) truncation/padding to a maximum length will be deactivated.`,name:"max_length"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.stride",description:`<strong>stride</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
If set to a number along with <code>max_length</code>, the overflowing tokens returned when
<code>return_overflowing_tokens=True</code> will contain some tokens from the end of the truncated sequence
returned to provide some overlap between truncated and overflowing sequences. The value of this
argument defines the number of overlapping tokens.`,name:"stride"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.is_split_into_words",description:`<strong>is_split_into_words</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the input is already pre-tokenized (e.g., split into words). If set to <code>True</code>, the
tokenizer assumes the input is already split into words (for instance, by splitting it on whitespace)
which it will tokenize. This is useful for NER or token classification.`,name:"is_split_into_words"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value. This is especially useful to enable
the use of Tensor Cores on NVIDIA hardware with compute capability &gt;= 7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.TensorType">TensorType</a>, <em>optional</em>) &#x2014;
If set, will return tensors instead of list of python integers. Acceptable values are:</p>
<ul>
<li><code>&apos;tf&apos;</code>: Return TensorFlow <code>tf.constant</code> objects.</li>
<li><code>&apos;pt&apos;</code>: Return PyTorch <code>torch.Tensor</code> objects.</li>
<li><code>&apos;np&apos;</code>: Return Numpy <code>np.ndarray</code> objects.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.return_token_type_ids",description:`<strong>return_token_type_ids</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to return token type IDs. If left to the default, will return the token type IDs according to
the specific tokenizer&#x2019;s default, defined by the <code>return_outputs</code> attribute.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"return_token_type_ids"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.return_attention_mask",description:`<strong>return_attention_mask</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to return the attention mask. If left to the default, will return the attention mask according
to the specific tokenizer&#x2019;s default, defined by the <code>return_outputs</code> attribute.</p>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"return_attention_mask"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.return_overflowing_tokens",description:`<strong>return_overflowing_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return overflowing token sequences. If a pair of sequences of input ids (or a batch
of pairs) is provided with <code>truncation_strategy = longest_first</code> or <code>True</code>, an error is raised instead
of returning overflowing tokens.`,name:"return_overflowing_tokens"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.return_special_tokens_mask",description:`<strong>return_special_tokens_mask</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return special tokens mask information.`,name:"return_special_tokens_mask"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.return_offsets_mapping",description:`<strong>return_offsets_mapping</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return <code>(char_start, char_end)</code> for each token.</p>
<p>This is only available on fast tokenizers inheriting from <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>, if using
Python&#x2019;s tokenizer, this method will raise <code>NotImplementedError</code>.`,name:"return_offsets_mapping"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.return_length",description:`<strong>return_length</strong>  (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return the lengths of the encoded inputs.`,name:"return_length"},{anchor:"transformers.Wav2Vec2CTCTokenizer.__call__.verbose",description:`<strong>verbose</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to print more information and warnings.
**kwargs &#x2014; passed to the <code>self.tokenize()</code> method`,name:"verbose"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L2414",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/tokenizer#transformers.BatchEncoding"
>BatchEncoding</a> with the following fields:</p>
<ul>
<li>
<p><strong>input_ids</strong> \u2014 List of token ids to be fed to a model.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
</li>
<li>
<p><strong>token_type_ids</strong> \u2014 List of token type ids to be fed to a model (when <code>return_token_type_ids=True</code> or
if <em>\u201Ctoken_type_ids\u201D</em> is in <code>self.model_input_names</code>).</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a></p>
</li>
<li>
<p><strong>attention_mask</strong> \u2014 List of indices specifying which tokens should be attended to by the model (when
<code>return_attention_mask=True</code> or if <em>\u201Cattention_mask\u201D</em> is in <code>self.model_input_names</code>).</p>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
</li>
<li>
<p><strong>overflowing_tokens</strong> \u2014 List of overflowing tokens sequences (when a <code>max_length</code> is specified and
<code>return_overflowing_tokens=True</code>).</p>
</li>
<li>
<p><strong>num_truncated_tokens</strong> \u2014 Number of tokens truncated (when a <code>max_length</code> is specified and
<code>return_overflowing_tokens=True</code>).</p>
</li>
<li>
<p><strong>special_tokens_mask</strong> \u2014 List of 0s and 1s, with 1 specifying added special tokens and 0 specifying
regular sequence tokens (when <code>add_special_tokens=True</code> and <code>return_special_tokens_mask=True</code>).</p>
</li>
<li>
<p><strong>length</strong> \u2014 The length of the inputs (when <code>return_length=True</code>)</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/tokenizer#transformers.BatchEncoding"
>BatchEncoding</a></p>
`}}),Us=new F({props:{name:"save_vocabulary",anchor:"transformers.Wav2Vec2CTCTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/tokenization_wav2vec2.py#L595"}}),Hs=new F({props:{name:"decode",anchor:"transformers.Wav2Vec2CTCTokenizer.decode",parameters:[{name:"token_ids",val:": typing.Union[int, typing.List[int], ForwardRef('np.ndarray'), ForwardRef('torch.Tensor'), ForwardRef('tf.Tensor')]"},{name:"skip_special_tokens",val:": bool = False"},{name:"clean_up_tokenization_spaces",val:": bool = True"},{name:"output_char_offsets",val:": bool = False"},{name:"output_word_offsets",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2CTCTokenizer.decode.token_ids",description:`<strong>token_ids</strong> (<code>Union[int, List[int], np.ndarray, torch.Tensor, tf.Tensor]</code>) &#x2014;
List of tokenized input ids. Can be obtained using the <code>__call__</code> method.`,name:"token_ids"},{anchor:"transformers.Wav2Vec2CTCTokenizer.decode.skip_special_tokens",description:`<strong>skip_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to remove special tokens in the decoding.`,name:"skip_special_tokens"},{anchor:"transformers.Wav2Vec2CTCTokenizer.decode.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to clean up the tokenization spaces.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.Wav2Vec2CTCTokenizer.decode.output_char_offsets",description:`<strong>output_char_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to output character offsets. Character offsets can be used in combination with the
sampling rate and model downsampling rate to compute the time-stamps of transcribed characters.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Please take a look at the example below to better understand how to make use of <code>output_char_offsets</code>.</p>

					</div>`,name:"output_char_offsets"},{anchor:"transformers.Wav2Vec2CTCTokenizer.decode.output_word_offsets",description:`<strong>output_word_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to output word offsets. Word offsets can be used in combination with the sampling rate
and model downsampling rate to compute the time-stamps of transcribed words.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Please take a look at the example below to better understand how to make use of <code>output_word_offsets</code>.</p>

					</div>`,name:"output_word_offsets"},{anchor:"transformers.Wav2Vec2CTCTokenizer.decode.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Will be passed to the underlying model specific decode method.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/tokenization_wav2vec2.py#L490",returnDescription:`
<p>The list of decoded
sentences. Will be a <code>Wav2Vec2CTCTokenizerOutput</code> when
<code>output_char_offsets == True</code> or <code>output_word_offsets == True</code>.</p>
`,returnType:`
<p><code>str</code> or <code>Wav2Vec2CTCTokenizerOutput</code></p>
`}}),oa=new de({props:{anchor:"transformers.Wav2Vec2CTCTokenizer.decode.example",$$slots:{default:[o$]},$$scope:{ctx:W}}}),Gs=new F({props:{name:"batch_decode",anchor:"transformers.Wav2Vec2CTCTokenizer.batch_decode",parameters:[{name:"sequences",val:": typing.Union[typing.List[int], typing.List[typing.List[int]], ForwardRef('np.ndarray'), ForwardRef('torch.Tensor'), ForwardRef('tf.Tensor')]"},{name:"skip_special_tokens",val:": bool = False"},{name:"clean_up_tokenization_spaces",val:": bool = True"},{name:"output_char_offsets",val:": bool = False"},{name:"output_word_offsets",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2CTCTokenizer.batch_decode.sequences",description:`<strong>sequences</strong> (<code>Union[List[int], List[List[int]], np.ndarray, torch.Tensor, tf.Tensor]</code>) &#x2014;
List of tokenized input ids. Can be obtained using the <code>__call__</code> method.`,name:"sequences"},{anchor:"transformers.Wav2Vec2CTCTokenizer.batch_decode.skip_special_tokens",description:`<strong>skip_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to remove special tokens in the decoding.`,name:"skip_special_tokens"},{anchor:"transformers.Wav2Vec2CTCTokenizer.batch_decode.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to clean up the tokenization spaces.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.Wav2Vec2CTCTokenizer.batch_decode.output_char_offsets",description:`<strong>output_char_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to output character offsets. Character offsets can be used in combination with the
sampling rate and model downsampling rate to compute the time-stamps of transcribed characters.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Please take a look at the Example of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer.decode">decode()</a> to better understand how to make
use of <code>output_char_offsets</code>. <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer.batch_decode">batch_decode()</a> works the same way with batched
output.</p>

					</div>`,name:"output_char_offsets"},{anchor:"transformers.Wav2Vec2CTCTokenizer.batch_decode.output_word_offsets",description:`<strong>output_word_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to output word offsets. Word offsets can be used in combination with the sampling rate
and model downsampling rate to compute the time-stamps of transcribed words.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Please take a look at the Example of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer.decode">decode()</a> to better understand how to make
use of <code>output_word_offsets</code>. <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer.batch_decode">batch_decode()</a> works the same way with batched
output.</p>

					</div>`,name:"output_word_offsets"},{anchor:"transformers.Wav2Vec2CTCTokenizer.batch_decode.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Will be passed to the underlying model specific decode method.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/tokenization_wav2vec2.py#L420",returnDescription:`
<p>The list of decoded
sentences. Will be a <code>Wav2Vec2CTCTokenizerOutput</code> when
<code>output_char_offsets == True</code> or <code>output_word_offsets == True</code>.</p>
`,returnType:`
<p><code>List[str]</code> or <code>Wav2Vec2CTCTokenizerOutput</code></p>
`}}),Ks=new oe({}),Js=new F({props:{name:"class transformers.Wav2Vec2FeatureExtractor",anchor:"transformers.Wav2Vec2FeatureExtractor",parameters:[{name:"feature_size",val:" = 1"},{name:"sampling_rate",val:" = 16000"},{name:"padding_value",val:" = 0.0"},{name:"return_attention_mask",val:" = False"},{name:"do_normalize",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2FeatureExtractor.feature_size",description:`<strong>feature_size</strong> (<code>int</code>, defaults to 1) &#x2014;
The feature dimension of the extracted features.`,name:"feature_size"},{anchor:"transformers.Wav2Vec2FeatureExtractor.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, defaults to 16000) &#x2014;
The sampling rate at which the audio files should be digitalized expressed in Hertz per second (Hz).`,name:"sampling_rate"},{anchor:"transformers.Wav2Vec2FeatureExtractor.padding_value",description:`<strong>padding_value</strong> (<code>float</code>, defaults to 0.0) &#x2014;
The value that is used to fill the padding values.`,name:"padding_value"},{anchor:"transformers.Wav2Vec2FeatureExtractor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to zero-mean unit-variance normalize the input. Normalizing can help to significantly
improve the performance for some models, <em>e.g.</em>,
<a href="https://huggingface.co/models?search=lv60" rel="nofollow">wav2vec2-lv60</a>.`,name:"do_normalize"},{anchor:"transformers.Wav2Vec2FeatureExtractor.return_attention_mask",description:`<strong>return_attention_mask</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor.__call__"><strong>call</strong>()</a> should return <code>attention_mask</code>.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Wav2Vec2 models that have set <code>config.feat_extract_norm == &quot;group&quot;</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, have <strong>not</strong> been trained using
<code>attention_mask</code>. For such models, <code>input_values</code> should simply be padded with 0 and no <code>attention_mask</code>
should be passed.</p>
<p>For Wav2Vec2 models that have set <code>config.feat_extract_norm == &quot;layer&quot;</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-large-960h-lv60-self" rel="nofollow">wav2vec2-lv60</a>, <code>attention_mask</code> should be
passed for batched inference.</p>

					</div>`,name:"return_attention_mask"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/feature_extraction_wav2vec2.py#L31"}}),Qs=new F({props:{name:"__call__",anchor:"transformers.Wav2Vec2FeatureExtractor.__call__",parameters:[{name:"raw_speech",val:": typing.Union[numpy.ndarray, typing.List[float], typing.List[numpy.ndarray], typing.List[typing.List[float]]]"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = False"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"truncation",val:": bool = False"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_attention_mask",val:": typing.Optional[bool] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"sampling_rate",val:": typing.Optional[int] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.raw_speech",description:`<strong>raw_speech</strong> (<code>np.ndarray</code>, <code>List[float]</code>, <code>List[np.ndarray]</code>, <code>List[List[float]]</code>) &#x2014;
The sequence or batch of sequences to be padded. Each sequence can be a numpy array, a list of float
values, a list of numpy arrays or a list of list of float values.`,name:"raw_speech"},{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding
index) among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code>: Pad to the longest sequence in the batch (or no padding if only a single
sequence if provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code> (default): No padding (i.e., can output a batch with sequences of different
lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>) &#x2014;
Activates truncation to cut input sequences longer than <em>max_length</em> to <em>max_length</em>.`,name:"truncation"},{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability</p>
<blockquote>
<p>= 7.5 (Volta), or on TPUs which benefit from having sequence lengths be a multiple of 128.</p>
</blockquote>`,name:"pad_to_multiple_of"},{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.return_attention_mask",description:`<strong>return_attention_mask</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to return the attention mask. If left to the default, will return the attention mask according
to the specific feature_extractor&#x2019;s default.</p>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Wav2Vec2 models that have set <code>config.feat_extract_norm == &quot;group&quot;</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, have <strong>not</strong> been trained using
<code>attention_mask</code>. For such models, <code>input_values</code> should simply be padded with 0 and no
<code>attention_mask</code> should be passed.</p>
<p>For Wav2Vec2 models that have set <code>config.feat_extract_norm == &quot;layer&quot;</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-large-960h-lv60-self" rel="nofollow">wav2vec2-lv60</a>, <code>attention_mask</code> should
be passed for batched inference.</p>

					</div>`,name:"return_attention_mask"},{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.TensorType">TensorType</a>, <em>optional</em>) &#x2014;
If set, will return tensors instead of list of python integers. Acceptable values are:</p>
<ul>
<li><code>&apos;tf&apos;</code>: Return TensorFlow <code>tf.constant</code> objects.</li>
<li><code>&apos;pt&apos;</code>: Return PyTorch <code>torch.Tensor</code> objects.</li>
<li><code>&apos;np&apos;</code>: Return Numpy <code>np.ndarray</code> objects.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The sampling rate at which the <code>raw_speech</code> input was sampled. It is strongly recommended to pass
<code>sampling_rate</code> at the forward call to prevent silent errors.`,name:"sampling_rate"},{anchor:"transformers.Wav2Vec2FeatureExtractor.__call__.padding_value",description:"<strong>padding_value</strong> (<code>float</code>, defaults to 0.0) &#x2014;",name:"padding_value"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/feature_extraction_wav2vec2.py#L102"}}),Ys=new oe({}),en=new F({props:{name:"class transformers.Wav2Vec2Processor",anchor:"transformers.Wav2Vec2Processor",parameters:[{name:"feature_extractor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2Processor.feature_extractor",description:`<strong>feature_extractor</strong> (<code>Wav2Vec2FeatureExtractor</code>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor">Wav2Vec2FeatureExtractor</a>. The feature extractor is a required input.`,name:"feature_extractor"},{anchor:"transformers.Wav2Vec2Processor.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
An instance of <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>. The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/processing_wav2vec2.py#L26"}}),on=new F({props:{name:"__call__",anchor:"transformers.Wav2Vec2Processor.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/processing_wav2vec2.py#L67"}}),nn=new F({props:{name:"pad",anchor:"transformers.Wav2Vec2Processor.pad",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/processing_wav2vec2.py#L105"}}),rn=new F({props:{name:"from_pretrained",anchor:"transformers.Wav2Vec2Processor.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/processing_wav2vec2.py#L48"}}),ln=new F({props:{name:"save_pretrained",anchor:"transformers.Wav2Vec2Processor.save_pretrained",parameters:[{name:"save_directory",val:""},{name:"push_to_hub",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2Processor.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory where the feature extractor JSON file and the tokenizer files will be saved (directory will
be created if it does not exist).`,name:"save_directory"},{anchor:"transformers.Wav2Vec2Processor.save_pretrained.push_to_hub",description:`<strong>push_to_hub</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to push your model to the Hugging Face model hub after saving it. You can specify the
repository you want to push to with <code>repo_id</code> (will default to the name of <code>save_directory</code> in your
namespace).
kwargs &#x2014;
Additional key word arguments passed along to the <a href="/docs/transformers/main/en/internal/image_processing_utils#transformers.ImageProcessingMixin.push_to_hub">push_to_hub()</a> method.`,name:"push_to_hub"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/processing_utils.py#L95"}}),ca=new je({props:{$$slots:{default:[a$]},$$scope:{ctx:W}}}),dn=new F({props:{name:"batch_decode",anchor:"transformers.Wav2Vec2Processor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/processing_wav2vec2.py#L135"}}),mn=new F({props:{name:"decode",anchor:"transformers.Wav2Vec2Processor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/processing_wav2vec2.py#L142"}}),fn=new oe({}),un=new F({props:{name:"class transformers.Wav2Vec2ProcessorWithLM",anchor:"transformers.Wav2Vec2ProcessorWithLM",parameters:[{name:"feature_extractor",val:": FeatureExtractionMixin"},{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"decoder",val:": BeamSearchDecoderCTC"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ProcessorWithLM.feature_extractor",description:`<strong>feature_extractor</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor">Wav2Vec2FeatureExtractor</a>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor">Wav2Vec2FeatureExtractor</a>. The feature extractor is a required input.`,name:"feature_extractor"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer">Wav2Vec2CTCTokenizer</a>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer">Wav2Vec2CTCTokenizer</a>. The tokenizer is a required input.`,name:"tokenizer"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decoder",description:`<strong>decoder</strong> (<code>pyctcdecode.BeamSearchDecoderCTC</code>) &#x2014;
An instance of <code>pyctcdecode.BeamSearchDecoderCTC</code>. The decoder is a required input.`,name:"decoder"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_with_lm/processing_wav2vec2_with_lm.py#L67"}}),gn=new F({props:{name:"__call__",anchor:"transformers.Wav2Vec2ProcessorWithLM.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_with_lm/processing_wav2vec2_with_lm.py#L214"}}),bn=new F({props:{name:"pad",anchor:"transformers.Wav2Vec2ProcessorWithLM.pad",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_with_lm/processing_wav2vec2_with_lm.py#L253"}}),wn=new F({props:{name:"from_pretrained",anchor:"transformers.Wav2Vec2ProcessorWithLM.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ProcessorWithLM.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
This can be either:</p>
<ul>
<li>a string, the <em>model id</em> of a pretrained feature_extractor hosted inside a model repo on
huggingface.co. Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or
namespaced under a user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>a path to a <em>directory</em> containing a feature extractor file saved using the
<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.save_pretrained">save_pretrained()</a> method, e.g., <code>./my_model_directory/</code>.</li>
<li>a path or url to a saved feature extractor JSON <em>file</em>, e.g.,
<code>./my_model_directory/preprocessor_config.json</code>.
**kwargs &#x2014;
Additional keyword arguments passed along to both <a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.SequenceFeatureExtractor">SequenceFeatureExtractor</a> and
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a></li>
</ul>`,name:"pretrained_model_name_or_path"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_with_lm/processing_wav2vec2_with_lm.py#L112"}}),ua=new je({props:{$$slots:{default:[s$]},$$scope:{ctx:W}}}),kn=new F({props:{name:"save_pretrained",anchor:"transformers.Wav2Vec2ProcessorWithLM.save_pretrained",parameters:[{name:"save_directory",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_with_lm/processing_wav2vec2_with_lm.py#L108"}}),Tn=new F({props:{name:"batch_decode",anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode",parameters:[{name:"logits",val:": ndarray"},{name:"pool",val:": typing.Union[<bound method BaseContext.Pool of <multiprocessing.context.DefaultContext object at 0x7fa0e41c7790>>, NoneType] = None"},{name:"num_processes",val:": typing.Optional[int] = None"},{name:"beam_width",val:": typing.Optional[int] = None"},{name:"beam_prune_logp",val:": typing.Optional[float] = None"},{name:"token_min_logp",val:": typing.Optional[float] = None"},{name:"hotwords",val:": typing.Optional[typing.Iterable[str]] = None"},{name:"hotword_weight",val:": typing.Optional[float] = None"},{name:"alpha",val:": typing.Optional[float] = None"},{name:"beta",val:": typing.Optional[float] = None"},{name:"unk_score_offset",val:": typing.Optional[float] = None"},{name:"lm_score_boundary",val:": typing.Optional[bool] = None"},{name:"output_word_offsets",val:": bool = False"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.logits",description:`<strong>logits</strong> (<code>np.ndarray</code>) &#x2014;
The logits output vector of the model representing the log probabilities for each token.`,name:"logits"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.pool",description:`<strong>pool</strong> (<code>multiprocessing.Pool</code>, <em>optional</em>) &#x2014;
An optional user-managed pool. If not set, one will be automatically created and closed. The pool
should be instantiated <em>after</em> <code>Wav2Vec2ProcessorWithLM</code>. Otherwise, the LM won&#x2019;t be available to the
pool&#x2019;s sub-processes.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Currently, only pools created with a &#x2018;fork&#x2019; context can be used. If a &#x2018;spawn&#x2019; pool is passed, it will
be ignored and sequential decoding will be used instead.</p>

					</div>`,name:"pool"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.num_processes",description:`<strong>num_processes</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If <code>pool</code> is not set, number of processes on which the function should be parallelized over. Defaults
to the number of available CPUs.`,name:"num_processes"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.beam_width",description:`<strong>beam_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum number of beams at each step in decoding. Defaults to pyctcdecode&#x2019;s DEFAULT_BEAM_WIDTH.`,name:"beam_width"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.beam_prune_logp",description:`<strong>beam_prune_logp</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Beams that are much worse than best beam will be pruned Defaults to pyctcdecode&#x2019;s DEFAULT_PRUNE_LOGP.`,name:"beam_prune_logp"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.token_min_logp",description:`<strong>token_min_logp</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Tokens below this logp are skipped unless they are argmax of frame Defaults to pyctcdecode&#x2019;s
DEFAULT_MIN_TOKEN_LOGP.`,name:"token_min_logp"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.hotwords",description:`<strong>hotwords</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
List of words with extra importance, can be OOV for LM`,name:"hotwords"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.hotword_weight",description:`<strong>hotword_weight</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Weight factor for hotword importance Defaults to pyctcdecode&#x2019;s DEFAULT_HOTWORD_WEIGHT.`,name:"hotword_weight"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.alpha",description:`<strong>alpha</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Weight for language model during shallow fusion`,name:"alpha"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.beta",description:`<strong>beta</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Weight for length score adjustment of during scoring`,name:"beta"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.unk_score_offset",description:`<strong>unk_score_offset</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Amount of log score offset for unknown tokens`,name:"unk_score_offset"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.lm_score_boundary",description:`<strong>lm_score_boundary</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to have kenlm respect boundaries when scoring`,name:"lm_score_boundary"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.batch_decode.output_word_offsets",description:`<strong>output_word_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to output word offsets. Word offsets can be used in combination with the sampling rate
and model downsampling rate to compute the time-stamps of transcribed words.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Please take a look at the Example of <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM.decode">decode()</a> to better understand how to
make use of <code>output_word_offsets</code>. <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM.batch_decode">batch_decode()</a> works the same way with
batched output.</p>

					</div>`,name:"output_word_offsets"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_with_lm/processing_wav2vec2_with_lm.py#L284",returnDescription:`
<p><code>~models.wav2vec2.Wav2Vec2DecoderWithLMOutput</code>.</p>
`}}),ga=new je({props:{$$slots:{default:[n$]},$$scope:{ctx:W}}}),xn=new F({props:{name:"decode",anchor:"transformers.Wav2Vec2ProcessorWithLM.decode",parameters:[{name:"logits",val:": ndarray"},{name:"beam_width",val:": typing.Optional[int] = None"},{name:"beam_prune_logp",val:": typing.Optional[float] = None"},{name:"token_min_logp",val:": typing.Optional[float] = None"},{name:"hotwords",val:": typing.Optional[typing.Iterable[str]] = None"},{name:"hotword_weight",val:": typing.Optional[float] = None"},{name:"alpha",val:": typing.Optional[float] = None"},{name:"beta",val:": typing.Optional[float] = None"},{name:"unk_score_offset",val:": typing.Optional[float] = None"},{name:"lm_score_boundary",val:": typing.Optional[bool] = None"},{name:"output_word_offsets",val:": bool = False"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.logits",description:`<strong>logits</strong> (<code>np.ndarray</code>) &#x2014;
The logits output vector of the model representing the log probabilities for each token.`,name:"logits"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.beam_width",description:`<strong>beam_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum number of beams at each step in decoding. Defaults to pyctcdecode&#x2019;s DEFAULT_BEAM_WIDTH.`,name:"beam_width"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.beam_prune_logp",description:`<strong>beam_prune_logp</strong> (<code>int</code>, <em>optional</em>) &#x2014;
A threshold to prune beams with log-probs less than best_beam_logp + beam_prune_logp. The value should
be &lt;= 0. Defaults to pyctcdecode&#x2019;s DEFAULT_PRUNE_LOGP.`,name:"beam_prune_logp"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.token_min_logp",description:`<strong>token_min_logp</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Tokens with log-probs below token_min_logp are skipped unless they are have the maximum log-prob for an
utterance. Defaults to pyctcdecode&#x2019;s DEFAULT_MIN_TOKEN_LOGP.`,name:"token_min_logp"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.hotwords",description:`<strong>hotwords</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
List of words with extra importance which can be missing from the LM&#x2019;s vocabulary, e.g. [&#x201C;huggingface&#x201D;]`,name:"hotwords"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.hotword_weight",description:`<strong>hotword_weight</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Weight multiplier that boosts hotword scores. Defaults to pyctcdecode&#x2019;s DEFAULT_HOTWORD_WEIGHT.`,name:"hotword_weight"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.alpha",description:`<strong>alpha</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Weight for language model during shallow fusion`,name:"alpha"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.beta",description:`<strong>beta</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Weight for length score adjustment of during scoring`,name:"beta"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.unk_score_offset",description:`<strong>unk_score_offset</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Amount of log score offset for unknown tokens`,name:"unk_score_offset"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.lm_score_boundary",description:`<strong>lm_score_boundary</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to have kenlm respect boundaries when scoring`,name:"lm_score_boundary"},{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.output_word_offsets",description:`<strong>output_word_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to output word offsets. Word offsets can be used in combination with the sampling rate
and model downsampling rate to compute the time-stamps of transcribed words.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>Please take a look at the example below to better understand how to make use of <code>output_word_offsets</code>.</p>

					</div>`,name:"output_word_offsets"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_with_lm/processing_wav2vec2_with_lm.py#L440",returnDescription:`
<p><code>~models.wav2vec2.Wav2Vec2DecoderWithLMOutput</code>.</p>
`}}),_a=new de({props:{anchor:"transformers.Wav2Vec2ProcessorWithLM.decode.example",$$slots:{default:[r$]},$$scope:{ctx:W}}}),Wn=new oe({}),jn=new se({props:{code:`# Let's see how to use a user-managed pool for batch decoding multiple audios
from multiprocessing import get_context
from transformers import AutoTokenizer, AutoProcessor, AutoModelForCTC
from datasets import load_dataset
import datasets
import torch

# import model, feature extractor, tokenizer
model = AutoModelForCTC.from_pretrained("patrickvonplaten/wav2vec2-base-100h-with-lm").to("cuda")
processor = AutoProcessor.from_pretrained("patrickvonplaten/wav2vec2-base-100h-with-lm")

# load example dataset
dataset = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
dataset = dataset.cast_column("audio", datasets.Audio(sampling_rate=16_000))


def map_to_array(batch):
    batch["speech"] = batch["audio"]["array"]
    return batch


# prepare speech data for batch inference
dataset = dataset.map(map_to_array, remove_columns=["audio"])


def map_to_pred(batch, pool):
    inputs = processor(batch["speech"], sampling_rate=16_000, padding=True, return_tensors="pt")
    inputs = {k: v.to("cuda") for k, v in inputs.items()}

    with torch.no_grad():
        logits = model(**inputs).logits

    transcription = processor.batch_decode(logits.cpu().numpy(), pool).text
    batch["transcription"] = transcription
    return batch


# note: pool should be instantiated *after* \`Wav2Vec2ProcessorWithLM\`.
#       otherwise, the LM won't be available to the pool's sub-processes
# select number of processes and batch_size based on number of CPU cores available and on dataset size
with get_context("fork").Pool(processes=2) as pool:
    result = dataset.map(
        map_to_pred, batched=True, batch_size=2, fn_kwargs={"pool": pool}, remove_columns=["speech"]
    )

result["transcription"][:2]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Let&#x27;s see how to use a user-managed pool for batch decoding multiple audios</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> multiprocessing <span class="hljs-keyword">import</span> get_context
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AutoProcessor, AutoModelForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> datasets
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># import model, feature extractor, tokenizer</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCTC.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/wav2vec2-base-100h-with-lm&quot;</span>).to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;patrickvonplaten/wav2vec2-base-100h-with-lm&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load example dataset</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.cast_column(<span class="hljs-string">&quot;audio&quot;</span>, datasets.Audio(sampling_rate=<span class="hljs-number">16_000</span>))


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">map_to_array</span>(<span class="hljs-params">batch</span>):
<span class="hljs-meta">... </span>    batch[<span class="hljs-string">&quot;speech&quot;</span>] = batch[<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>]
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> batch


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># prepare speech data for batch inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.<span class="hljs-built_in">map</span>(map_to_array, remove_columns=[<span class="hljs-string">&quot;audio&quot;</span>])


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">map_to_pred</span>(<span class="hljs-params">batch, pool</span>):
<span class="hljs-meta">... </span>    inputs = processor(batch[<span class="hljs-string">&quot;speech&quot;</span>], sampling_rate=<span class="hljs-number">16_000</span>, padding=<span class="hljs-literal">True</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">... </span>    inputs = {k: v.to(<span class="hljs-string">&quot;cuda&quot;</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items()}

<span class="hljs-meta">... </span>    <span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>        logits = model(**inputs).logits

<span class="hljs-meta">... </span>    transcription = processor.batch_decode(logits.cpu().numpy(), pool).text
<span class="hljs-meta">... </span>    batch[<span class="hljs-string">&quot;transcription&quot;</span>] = transcription
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> batch


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># note: pool should be instantiated *after* \`Wav2Vec2ProcessorWithLM\`.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment">#       otherwise, the LM won&#x27;t be available to the pool&#x27;s sub-processes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># select number of processes and batch_size based on number of CPU cores available and on dataset size</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> get_context(<span class="hljs-string">&quot;fork&quot;</span>).Pool(processes=<span class="hljs-number">2</span>) <span class="hljs-keyword">as</span> pool:
<span class="hljs-meta">... </span>    result = dataset.<span class="hljs-built_in">map</span>(
<span class="hljs-meta">... </span>        map_to_pred, batched=<span class="hljs-literal">True</span>, batch_size=<span class="hljs-number">2</span>, fn_kwargs={<span class="hljs-string">&quot;pool&quot;</span>: pool}, remove_columns=[<span class="hljs-string">&quot;speech&quot;</span>]
<span class="hljs-meta">... </span>    )

<span class="hljs-meta">&gt;&gt;&gt; </span>result[<span class="hljs-string">&quot;transcription&quot;</span>][:<span class="hljs-number">2</span>]
[<span class="hljs-string">&#x27;MISTER QUILTER IS THE APOSTLE OF THE MIDDLE CLASSES AND WE ARE GLAD TO WELCOME HIS GOSPEL&#x27;</span>, <span class="hljs-string">&quot;NOR IS MISTER COULTER&#x27;S MANNER LESS INTERESTING THAN HIS MATTER&quot;</span>]`}}),Vn=new oe({}),Fn=new F({props:{name:"class transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput",anchor:"transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput",parameters:[{name:"text",val:": typing.Union[typing.List[str], str]"},{name:"logit_score",val:": typing.Union[typing.List[float], float] = None"},{name:"lm_score",val:": typing.Union[typing.List[float], float] = None"},{name:"word_offsets",val:": typing.Union[typing.List[typing.List[typing.Dict[str, typing.Union[int, str]]]], typing.List[typing.Dict[str, typing.Union[int, str]]]] = None"}],parametersDescription:[{anchor:"transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput.text",description:`<strong>text</strong> (list of <code>str</code> or <code>str</code>) &#x2014;
Decoded logits in text from. Usually the speech transcription.`,name:"text"},{anchor:"transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput.logit_score",description:`<strong>logit_score</strong> (list of <code>float</code> or <code>float</code>) &#x2014;
Total logit score of the beam associated with produced text.`,name:"logit_score"},{anchor:"transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput.lm_score",description:`<strong>lm_score</strong> (list of <code>float</code>) &#x2014;
Fused lm_score of the beam associated with produced text.`,name:"lm_score"},{anchor:"transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput.word_offsets",description:`<strong>word_offsets</strong> (list of <code>List[Dict[str, Union[int, str]]]</code> or <code>List[Dict[str, Union[int, str]]]</code>) &#x2014;
Offsets of the decoded words. In combination with sampling rate and model downsampling rate word offsets
can be used to compute time stamps for each word.`,name:"word_offsets"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_with_lm/processing_wav2vec2_with_lm.py#L45"}}),Cn=new F({props:{name:"class transformers.modeling_outputs.Wav2Vec2BaseModelOutput",anchor:"transformers.modeling_outputs.Wav2Vec2BaseModelOutput",parameters:[{name:"last_hidden_state",val:": FloatTensor = None"},{name:"extract_features",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.modeling_outputs.Wav2Vec2BaseModelOutput.last_hidden_state",description:`<strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) &#x2014;
Sequence of hidden-states at the output of the last layer of the model.`,name:"last_hidden_state"},{anchor:"transformers.modeling_outputs.Wav2Vec2BaseModelOutput.extract_features",description:`<strong>extract_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, conv_dim[-1])</code>) &#x2014;
Sequence of extracted feature vectors of the last convolutional layer of the model.`,name:"extract_features"},{anchor:"transformers.modeling_outputs.Wav2Vec2BaseModelOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.modeling_outputs.Wav2Vec2BaseModelOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/modeling_outputs.py#L1208"}}),qn=new F({props:{name:"class transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput",anchor:"transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"projected_states",val:": FloatTensor = None"},{name:"projected_quantized_states",val:": FloatTensor = None"},{name:"codevector_perplexity",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"contrastive_loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"diversity_loss",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput.loss",description:`<strong>loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official
paper</a> . (classification) loss.`,name:"loss"},{anchor:"transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput.projected_states",description:`<strong>projected_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.`,name:"projected_states"},{anchor:"transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput.projected_quantized_states",description:`<strong>projected_quantized_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.`,name:"projected_quantized_states"},{anchor:"transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"},{anchor:"transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput.contrastive_loss",description:`<strong>contrastive_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
The contrastive loss (L_m) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official paper</a> .`,name:"contrastive_loss"},{anchor:"transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput.diversity_loss",description:`<strong>diversity_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
The diversity loss (L_d) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official paper</a> .`,name:"diversity_loss"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L94"}}),zn=new F({props:{name:"class transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput",anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput",parameters:[{name:"last_hidden_state",val:": ndarray = None"},{name:"extract_features",val:": ndarray = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[jax._src.numpy.ndarray.ndarray]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[jax._src.numpy.ndarray.ndarray]] = None"}],parametersDescription:[{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput.last_hidden_state",description:`<strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) &#x2014;
Sequence of hidden-states at the output of the last layer of the model.`,name:"last_hidden_state"},{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput.extract_features",description:`<strong>extract_features</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, last_conv_dim)</code>) &#x2014;
Sequence of extracted feature vectors of the last convolutional layer of the model with <code>last_conv_dim</code>
being the dimension of the last convolutional layer.`,name:"extract_features"},{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_flax_wav2vec2.py#L46"}}),An=new F({props:{name:"replace",anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/flax/struct.py#L108"}}),Ln=new F({props:{name:"class transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput",anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput",parameters:[{name:"projected_states",val:": ndarray = None"},{name:"projected_quantized_states",val:": ndarray = None"},{name:"codevector_perplexity",val:": ndarray = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[jax._src.numpy.ndarray.ndarray]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[jax._src.numpy.ndarray.ndarray]] = None"}],parametersDescription:[{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput.loss",description:`<strong>loss</strong> (<em>optional</em>, returned when model is in train mode, <code>jnp.ndarray</code> of shape <code>(1,)</code>) &#x2014;
Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official
paper</a> . (classification) loss.`,name:"loss"},{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput.projected_states",description:`<strong>projected_states</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.`,name:"projected_states"},{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput.projected_quantized_states",description:`<strong>projected_quantized_states</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.`,name:"projected_quantized_states"},{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_flax_wav2vec2.py#L76"}}),Dn=new F({props:{name:"replace",anchor:"transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/flax/struct.py#L108"}}),Sn=new oe({}),In=new F({props:{name:"class transformers.Wav2Vec2Model",anchor:"transformers.Wav2Vec2Model",parameters:[{name:"config",val:": Wav2Vec2Config"}],parametersDescription:[{anchor:"transformers.Wav2Vec2Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1187"}}),Xn=new F({props:{name:"forward",anchor:"transformers.Wav2Vec2Model.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"mask_time_indices",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2Model.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2Model.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2Model.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2Model.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2Model.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1273",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Wav2Vec2BaseModelOutput"
>transformers.modeling_outputs.Wav2Vec2BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config"
>Wav2Vec2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>extract_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, conv_dim[-1])</code>) \u2014 Sequence of extracted feature vectors of the last convolutional layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Wav2Vec2BaseModelOutput"
>transformers.modeling_outputs.Wav2Vec2BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ta=new je({props:{$$slots:{default:[i$]},$$scope:{ctx:W}}}),$a=new de({props:{anchor:"transformers.Wav2Vec2Model.forward.example",$$slots:{default:[l$]},$$scope:{ctx:W}}}),xa=new de({props:{anchor:"transformers.Wav2Vec2Model.forward.example-2",$$slots:{default:[c$]},$$scope:{ctx:W}}}),Gn=new oe({}),Kn=new F({props:{name:"class transformers.Wav2Vec2ForCTC",anchor:"transformers.Wav2Vec2ForCTC",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForCTC.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1608"}}),er=new F({props:{name:"forward",anchor:"transformers.Wav2Vec2ForCTC.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForCTC.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ForCTC.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ForCTC.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ForCTC.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ForCTC.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ForCTC.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_length)</code>, <em>optional</em>) &#x2014;
Labels for connectionist temporal classification. Note that <code>target_length</code> has to be smaller or equal to
the sequence length of the output logits. Indices are selected in <code>[-100, 0, ..., config.vocab_size - 1]</code>.
All labels set to <code>-100</code> are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1649",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config"
>Wav2Vec2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ja=new je({props:{$$slots:{default:[d$]},$$scope:{ctx:W}}}),Va=new de({props:{anchor:"transformers.Wav2Vec2ForCTC.forward.example",$$slots:{default:[p$]},$$scope:{ctx:W}}}),Fa=new de({props:{anchor:"transformers.Wav2Vec2ForCTC.forward.example-2",$$slots:{default:[m$]},$$scope:{ctx:W}}}),tr=new oe({}),or=new F({props:{name:"class transformers.Wav2Vec2ForSequenceClassification",anchor:"transformers.Wav2Vec2ForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1738"}}),lr=new F({props:{name:"forward",anchor:"transformers.Wav2Vec2ForSequenceClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForSequenceClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1783",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config"
>Wav2Vec2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ca=new je({props:{$$slots:{default:[h$]},$$scope:{ctx:W}}}),qa=new de({props:{anchor:"transformers.Wav2Vec2ForSequenceClassification.forward.example",$$slots:{default:[f$]},$$scope:{ctx:W}}}),Pa=new de({props:{anchor:"transformers.Wav2Vec2ForSequenceClassification.forward.example-2",$$slots:{default:[u$]},$$scope:{ctx:W}}}),cr=new oe({}),dr=new F({props:{name:"class transformers.Wav2Vec2ForAudioFrameClassification",anchor:"transformers.Wav2Vec2ForAudioFrameClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1861"}}),gr=new F({props:{name:"forward",anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1905",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config"
>Wav2Vec2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ma=new je({props:{$$slots:{default:[g$]},$$scope:{ctx:W}}}),Aa=new de({props:{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward.example",$$slots:{default:[_$]},$$scope:{ctx:W}}}),La=new de({props:{anchor:"transformers.Wav2Vec2ForAudioFrameClassification.forward.example-2",$$slots:{default:[v$]},$$scope:{ctx:W}}}),_r=new oe({}),vr=new F({props:{name:"class transformers.Wav2Vec2ForXVector",anchor:"transformers.Wav2Vec2ForXVector",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForXVector.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L2023"}}),$r=new F({props:{name:"forward",anchor:"transformers.Wav2Vec2ForXVector.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForXVector.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ForXVector.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ForXVector.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ForXVector.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ForXVector.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ForXVector.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L2085",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.XVectorOutput"
>transformers.modeling_outputs.XVectorOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config"
>Wav2Vec2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.xvector_output_dim)</code>) \u2014 Classification hidden states before AMSoftmax.</p>
</li>
<li>
<p><strong>embeddings</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.xvector_output_dim)</code>) \u2014 Utterance embeddings used for vector similarity-based retrieval.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.XVectorOutput"
>transformers.modeling_outputs.XVectorOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Da=new je({props:{$$slots:{default:[b$]},$$scope:{ctx:W}}}),Sa=new de({props:{anchor:"transformers.Wav2Vec2ForXVector.forward.example",$$slots:{default:[w$]},$$scope:{ctx:W}}}),Ia=new de({props:{anchor:"transformers.Wav2Vec2ForXVector.forward.example-2",$$slots:{default:[y$]},$$scope:{ctx:W}}}),xr=new oe({}),Wr=new F({props:{name:"class transformers.Wav2Vec2ForPreTraining",anchor:"transformers.Wav2Vec2ForPreTraining",parameters:[{name:"config",val:": Wav2Vec2Config"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1336"}}),Cr=new F({props:{name:"forward",anchor:"transformers.Wav2Vec2ForPreTraining.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"mask_time_indices",val:": typing.Optional[torch.BoolTensor] = None"},{name:"sampled_negative_indices",val:": typing.Optional[torch.BoolTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ForPreTraining.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ForPreTraining.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ForPreTraining.forward.mask_time_indices",description:`<strong>mask_time_indices</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices to mask extracted features for contrastive loss. When in training mode, model learns to predict
masked extracted features in <em>config.proj_codevector_dim</em> space.`,name:"mask_time_indices"},{anchor:"transformers.Wav2Vec2ForPreTraining.forward.sampled_negative_indices",description:`<strong>sampled_negative_indices</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length, num_negatives)</code>, <em>optional</em>) &#x2014;
Indices indicating which quantized target vectors are used as negative sampled vectors in contrastive loss.
Required input for pre-training.`,name:"sampled_negative_indices"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_wav2vec2.py#L1397",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput"
>transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config"
>Wav2Vec2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official
paper</a> . (classification) loss.</p>
</li>
<li>
<p><strong>projected_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.</p>
</li>
<li>
<p><strong>projected_quantized_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>contrastive_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 The contrastive loss (L_m) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official paper</a> .</p>
</li>
<li>
<p><strong>diversity_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 The diversity loss (L_d) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official paper</a> .</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput"
>transformers.models.wav2vec2.modeling_wav2vec2.Wav2Vec2ForPreTrainingOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ba=new je({props:{$$slots:{default:[k$]},$$scope:{ctx:W}}}),Ra=new de({props:{anchor:"transformers.Wav2Vec2ForPreTraining.forward.example",$$slots:{default:[T$]},$$scope:{ctx:W}}}),qr=new oe({}),Pr=new F({props:{name:"class transformers.TFWav2Vec2Model",anchor:"transformers.TFWav2Vec2Model",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFWav2Vec2Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_tf_wav2vec2.py#L1461"}}),Ha=new je({props:{$$slots:{default:[$$]},$$scope:{ctx:W}}}),Lr=new F({props:{name:"call",anchor:"transformers.TFWav2Vec2Model.call",parameters:[{name:"input_values",val:": Tensor"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFWav2Vec2Model.call.input_values",description:`<strong>input_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_values"},{anchor:"transformers.TFWav2Vec2Model.call.attention_mask",description:`<strong>attention_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFWav2Vec2Model.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFWav2Vec2Model.call.position_ids",description:`<strong>position_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFWav2Vec2Model.call.head_mask",description:`<strong>head_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFWav2Vec2Model.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_values</code> you can choose to directly pass an embedded representation.
This is useful if you want more control over how to convert <code>input_values</code> indices into associated vectors
than the model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFWav2Vec2Model.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFWav2Vec2Model.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFWav2Vec2Model.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFWav2Vec2Model.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to \`False&#x201C;) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_tf_wav2vec2.py#L1467",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutput"
>transformers.modeling_tf_outputs.TFBaseModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config"
>Wav2Vec2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutput"
>transformers.modeling_tf_outputs.TFBaseModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Xa=new je({props:{$$slots:{default:[x$]},$$scope:{ctx:W}}}),Ga=new de({props:{anchor:"transformers.TFWav2Vec2Model.call.example",$$slots:{default:[W$]},$$scope:{ctx:W}}}),Or=new oe({}),Dr=new F({props:{name:"class transformers.TFWav2Vec2ForCTC",anchor:"transformers.TFWav2Vec2ForCTC",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFWav2Vec2ForCTC.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_tf_wav2vec2.py#L1564"}}),Ja=new je({props:{$$slots:{default:[j$]},$$scope:{ctx:W}}}),Rr=new F({props:{name:"call",anchor:"transformers.TFWav2Vec2ForCTC.call",parameters:[{name:"input_values",val:": Tensor"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFWav2Vec2ForCTC.call.input_values",description:`<strong>input_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_values"},{anchor:"transformers.TFWav2Vec2ForCTC.call.attention_mask",description:`<strong>attention_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFWav2Vec2ForCTC.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFWav2Vec2ForCTC.call.position_ids",description:`<strong>position_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFWav2Vec2ForCTC.call.head_mask",description:`<strong>head_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFWav2Vec2ForCTC.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_values</code> you can choose to directly pass an embedded representation.
This is useful if you want more control over how to convert <code>input_values</code> indices into associated vectors
than the model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFWav2Vec2ForCTC.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFWav2Vec2ForCTC.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFWav2Vec2ForCTC.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFWav2Vec2ForCTC.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to \`False&#x201C;) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFWav2Vec2ForCTC.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_values</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked),
the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_tf_wav2vec2.py#L1591",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutput"
>transformers.modeling_tf_outputs.TFCausalLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config"
>Wav2Vec2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutput"
>transformers.modeling_tf_outputs.TFCausalLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Za=new je({props:{$$slots:{default:[V$]},$$scope:{ctx:W}}}),Qa=new de({props:{anchor:"transformers.TFWav2Vec2ForCTC.call.example",$$slots:{default:[F$]},$$scope:{ctx:W}}}),Ur=new oe({}),Hr=new F({props:{name:"class transformers.FlaxWav2Vec2Model",anchor:"transformers.FlaxWav2Vec2Model",parameters:[{name:"config",val:": Wav2Vec2Config"},{name:"input_shape",val:": typing.Tuple = (1, 1024)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxWav2Vec2Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxWav2Vec2Model.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_flax_wav2vec2.py#L1058"}}),oi=new F({props:{name:"__call__",anchor:"transformers.FlaxWav2Vec2Model.__call__",parameters:[{name:"input_values",val:""},{name:"attention_mask",val:" = None"},{name:"mask_time_indices",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"freeze_feature_encoder",val:": bool = False"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxWav2Vec2Model.__call__.input_values",description:`<strong>input_values</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>jnp.ndarray</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.FlaxWav2Vec2Model.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a> .. warning:: <code>attention_mask</code> should only be passed
if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor
has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.`,name:"attention_mask"},{anchor:"transformers.FlaxWav2Vec2Model.__call__.mask_time_indices",description:`<strong>mask_time_indices</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices to mask extracted features for contrastive loss. When in training mode, model learns to predict
masked extracted features in <em>config.proj_codevector_dim</em> space.`,name:"mask_time_indices"},{anchor:"transformers.FlaxWav2Vec2Model.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxWav2Vec2Model.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxWav2Vec2Model.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_flax_wav2vec2.py#L890",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput"
>transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.wav2vec2.configuration_wav2vec2.Wav2Vec2Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>extract_features</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, last_conv_dim)</code>) \u2014 Sequence of extracted feature vectors of the last convolutional layer of the model with <code>last_conv_dim</code>
being the dimension of the last convolutional layer.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput"
>transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),es=new je({props:{$$slots:{default:[E$]},$$scope:{ctx:W}}}),ts=new de({props:{anchor:"transformers.FlaxWav2Vec2Model.__call__.example",$$slots:{default:[C$]},$$scope:{ctx:W}}}),ai=new oe({}),si=new F({props:{name:"class transformers.FlaxWav2Vec2ForCTC",anchor:"transformers.FlaxWav2Vec2ForCTC",parameters:[{name:"config",val:": Wav2Vec2Config"},{name:"input_shape",val:": typing.Tuple = (1, 1024)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxWav2Vec2ForCTC.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxWav2Vec2ForCTC.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_flax_wav2vec2.py#L1176"}}),hi=new F({props:{name:"__call__",anchor:"transformers.FlaxWav2Vec2ForCTC.__call__",parameters:[{name:"input_values",val:""},{name:"attention_mask",val:" = None"},{name:"mask_time_indices",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"freeze_feature_encoder",val:": bool = False"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxWav2Vec2ForCTC.__call__.input_values",description:`<strong>input_values</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>jnp.ndarray</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.FlaxWav2Vec2ForCTC.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a> .. warning:: <code>attention_mask</code> should only be passed
if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor
has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.`,name:"attention_mask"},{anchor:"transformers.FlaxWav2Vec2ForCTC.__call__.mask_time_indices",description:`<strong>mask_time_indices</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices to mask extracted features for contrastive loss. When in training mode, model learns to predict
masked extracted features in <em>config.proj_codevector_dim</em> space.`,name:"mask_time_indices"},{anchor:"transformers.FlaxWav2Vec2ForCTC.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxWav2Vec2ForCTC.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxWav2Vec2ForCTC.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_flax_wav2vec2.py#L890",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.wav2vec2.configuration_wav2vec2.Wav2Vec2Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),as=new je({props:{$$slots:{default:[q$]},$$scope:{ctx:W}}}),ss=new de({props:{anchor:"transformers.FlaxWav2Vec2ForCTC.__call__.example",$$slots:{default:[P$]},$$scope:{ctx:W}}}),fi=new oe({}),ui=new F({props:{name:"class transformers.FlaxWav2Vec2ForPreTraining",anchor:"transformers.FlaxWav2Vec2ForPreTraining",parameters:[{name:"config",val:": Wav2Vec2Config"},{name:"input_shape",val:": typing.Tuple = (1, 1024)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxWav2Vec2ForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Config">Wav2Vec2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxWav2Vec2ForPreTraining.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_flax_wav2vec2.py#L1322"}}),$i=new F({props:{name:"__call__",anchor:"transformers.FlaxWav2Vec2ForPreTraining.__call__",parameters:[{name:"input_values",val:""},{name:"attention_mask",val:" = None"},{name:"mask_time_indices",val:" = None"},{name:"gumbel_temperature",val:": int = 1"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"gumbel_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"freeze_feature_encoder",val:": bool = False"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxWav2Vec2ForPreTraining.__call__.input_values",description:`<strong>input_values</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>jnp.ndarray</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.FlaxWav2Vec2ForPreTraining.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a> .. warning:: <code>attention_mask</code> should only be passed
if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor
has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-base-960h" rel="nofollow">wav2vec2-base</a>, <code>attention_mask</code> should <strong>not</strong> be
passed to avoid degraded performance when doing batched inference. For such models <code>input_values</code> should
simply be padded with 0 and passed without <code>attention_mask</code>. Be aware that these models also yield slightly
different results depending on whether <code>input_values</code> is padded or not.`,name:"attention_mask"},{anchor:"transformers.FlaxWav2Vec2ForPreTraining.__call__.mask_time_indices",description:`<strong>mask_time_indices</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices to mask extracted features for contrastive loss. When in training mode, model learns to predict
masked extracted features in <em>config.proj_codevector_dim</em> space.`,name:"mask_time_indices"},{anchor:"transformers.FlaxWav2Vec2ForPreTraining.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxWav2Vec2ForPreTraining.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxWav2Vec2ForPreTraining.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2/modeling_flax_wav2vec2.py#L1325",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput"
>transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.wav2vec2.configuration_wav2vec2.Wav2Vec2Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<em>optional</em>, returned when model is in train mode, <code>jnp.ndarray</code> of shape <code>(1,)</code>) \u2014 Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official
paper</a> . (classification) loss.</p>
</li>
<li>
<p><strong>projected_states</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.</p>
</li>
<li>
<p><strong>projected_quantized_states</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput"
>transformers.models.wav2vec2.modeling_flax_wav2vec2.FlaxWav2Vec2ForPreTrainingOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),rs=new je({props:{$$slots:{default:[z$]},$$scope:{ctx:W}}}),is=new de({props:{anchor:"transformers.FlaxWav2Vec2ForPreTraining.__call__.example",$$slots:{default:[M$]},$$scope:{ctx:W}}}),{c(){c=n("meta"),v=p(),h=n("h1"),u=n("a"),b=n("span"),w(l.$$.fragment),f=p(),V=n("span"),A=a("Wav2Vec2"),L=p(),z=n("h2"),M=n("a"),N=n("span"),w(E.$$.fragment),O=p(),C=n("span"),me=a("Overview"),K=p(),S=n("p"),he=a("The Wav2Vec2 model was proposed in "),I=n("a"),R=a("wav2vec 2.0: A Framework for Self-Supervised Learning of Speech Representations"),De=a(" by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael Auli."),X=p(),J=n("p"),Se=a("The abstract from the paper is the following:"),Ve=p(),Z=n("p"),et=n("em"),xt=a(`We show for the first time that learning powerful representations from speech audio alone followed by fine-tuning on
transcribed speech can outperform the best semi-supervised methods while being conceptually simpler. wav2vec 2.0 masks
the speech input in the latent space and solves a contrastive task defined over a quantization of the latent
representations which are jointly learned. Experiments using all labeled data of Librispeech achieve 1.8/3.3 WER on the
clean/other test sets. When lowering the amount of labeled data to one hour, wav2vec 2.0 outperforms the previous state
of the art on the 100 hour subset while using 100 times less labeled data. Using just ten minutes of labeled data and
pre-training on 53k hours of unlabeled data still achieves 4.8/8.2 WER. This demonstrates the feasibility of speech
recognition with limited amounts of labeled data.`),Ie=p(),D=n("p"),Q=a("Tips:"),it=p(),ae=n("ul"),tt=n("li"),Wt=a("Wav2Vec2 is a speech model that accepts a float array corresponding to the raw waveform of the speech signal."),Fe=p(),Ee=n("li"),jt=a(`Wav2Vec2 model was trained using connectionist temporal classification (CTC) so the model output has to be decoded
using `),U=n("a"),Vt=a("Wav2Vec2CTCTokenizer"),Ce=a("."),lt=p(),Te=n("p"),qe=a("This model was contributed by "),Pe=n("a"),Ft=a("patrickvonplaten"),ge=a("."),ct=p(),Y=n("h2"),$e=n("a"),ze=n("span"),w(B.$$.fragment),Et=p(),ee=n("span"),Ct=a("Resources"),dt=p(),j=n("p"),q=a("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with Wav2Vec2. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Nt=p(),w(_e.$$.fragment),Bt=p(),Ne=n("ul"),P=n("li"),so=a("A notebook on how to "),ot=n("a"),no=a("leverage a pretrained Wav2Vec2 model for emotion classification"),ro=a(". \u{1F30E}"),io=p(),H=n("li"),fe=n("a"),lo=a("Wav2Vec2ForCTC"),co=a(" is supported by this "),ne=n("a"),po=a("example script"),mo=a(" and "),Me=n("a"),ho=a("notebook"),at=a("."),Rt=p(),w(xs.$$.fragment),fp=p(),Be=n("ul"),Ws=n("li"),jh=a("A blog post on "),js=n("a"),Vh=a("boosting Wav2Vec2 with n-grams in \u{1F917} Transformers"),Fh=a("."),Eh=p(),Vs=n("li"),Ch=a("A blog post on how to "),Fs=n("a"),qh=a("finetune Wav2Vec2 for English ASR with \u{1F917} Transformers"),Ph=a("."),zh=p(),Es=n("li"),Mh=a("A blog post on "),Cs=n("a"),Ah=a("finetuning XLS-R for Multi-Lingual ASR with \u{1F917} Transformers"),Lh=a("."),Oh=p(),qs=n("li"),Dh=a("A notebook on how to "),Ps=n("a"),Sh=a("create YouTube captions from any video by transcribing audio with Wav2Vec2"),Ih=a(". \u{1F30E}"),Nh=p(),Ut=n("li"),Ai=n("a"),Bh=a("Wav2Vec2ForCTC"),Rh=a(" is supported by a notebook on "),zs=n("a"),Uh=a("how to finetune a speech recognition model in English"),Hh=a(", and "),Ms=n("a"),Xh=a("how to finetune a speech recognition model in any language"),Gh=a("."),up=p(),Li=n("p"),Kh=a("\u{1F680} Deploy"),gp=p(),Oi=n("ul"),As=n("li"),Jh=a("A blog post on how to deploy Wav2Vec2 for "),Ls=n("a"),Zh=a("Automatic Speech Recogntion with Hugging Face\u2019s Transformers & Amazon SageMaker"),Qh=a("."),_p=p(),fo=n("h2"),Qo=n("a"),Ql=n("span"),w(Os.$$.fragment),Yh=p(),Yl=n("span"),ef=a("Wav2Vec2Config"),vp=p(),st=n("div"),w(Ds.$$.fragment),tf=p(),uo=n("p"),of=a("This is the configuration class to store the configuration of a "),Di=n("a"),af=a("Wav2Vec2Model"),sf=a(`. It is used to instantiate an
Wav2Vec2 model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the Wav2Vec2
`),Ss=n("a"),nf=a("facebook/wav2vec2-base-960h"),rf=a(" architecture."),lf=p(),go=n("p"),cf=a("Configuration objects inherit from "),Si=n("a"),df=a("PretrainedConfig"),pf=a(` and can be used to control the model outputs. Read the
documentation from `),Ii=n("a"),mf=a("PretrainedConfig"),hf=a(" for more information."),ff=p(),w(Yo.$$.fragment),bp=p(),_o=n("h2"),ea=n("a"),ec=n("span"),w(Is.$$.fragment),uf=p(),tc=n("span"),gf=a("Wav2Vec2CTCTokenizer"),wp=p(),re=n("div"),w(Ns.$$.fragment),_f=p(),oc=n("p"),vf=a("Constructs a Wav2Vec2CTC tokenizer."),bf=p(),Bs=n("p"),wf=a("This tokenizer inherits from "),Ni=n("a"),yf=a("PreTrainedTokenizer"),kf=a(` which contains some of the main methods. Users should refer to
the superclass for more information regarding such methods.`),Tf=p(),ta=n("div"),w(Rs.$$.fragment),$f=p(),ac=n("p"),xf=a(`Main method to tokenize and prepare for the model one or several sequence(s) or one or several pair(s) of
sequences.`),Wf=p(),Bi=n("div"),w(Us.$$.fragment),jf=p(),pt=n("div"),w(Hs.$$.fragment),Vf=p(),sc=n("p"),Ff=a(`Converts a sequence of ids in a string, using the tokenizer and vocabulary with options to remove special
tokens and clean up tokenization spaces.`),Ef=p(),Xs=n("p"),Cf=a("Similar to doing "),nc=n("code"),qf=a("self.convert_tokens_to_string(self.convert_ids_to_tokens(token_ids))"),Pf=a("."),zf=p(),w(oa.$$.fragment),Mf=p(),aa=n("div"),w(Gs.$$.fragment),Af=p(),rc=n("p"),Lf=a("Convert a list of lists of token ids into a list of strings by calling decode."),yp=p(),vo=n("h2"),sa=n("a"),ic=n("span"),w(Ks.$$.fragment),Of=p(),lc=n("span"),Df=a("Wav2Vec2FeatureExtractor"),kp=p(),nt=n("div"),w(Js.$$.fragment),Sf=p(),cc=n("p"),If=a("Constructs a Wav2Vec2 feature extractor."),Nf=p(),Zs=n("p"),Bf=a("This feature extractor inherits from "),Ri=n("a"),Rf=a("SequenceFeatureExtractor"),Uf=a(` which contains
most of the main methods. Users should refer to this superclass for more information regarding those methods.`),Hf=p(),na=n("div"),w(Qs.$$.fragment),Xf=p(),dc=n("p"),Gf=a("Main method to featurize and prepare for the model one or several sequence(s)."),Tp=p(),bo=n("h2"),ra=n("a"),pc=n("span"),w(Ys.$$.fragment),Kf=p(),mc=n("span"),Jf=a("Wav2Vec2Processor"),$p=p(),G=n("div"),w(en.$$.fragment),Zf=p(),hc=n("p"),Qf=a(`Constructs a Wav2Vec2 processor which wraps a Wav2Vec2 feature extractor and a Wav2Vec2 CTC tokenizer into a single
processor.`),Yf=p(),Re=n("p"),Ui=n("a"),eu=a("Wav2Vec2Processor"),tu=a(" offers all the functionalities of "),Hi=n("a"),ou=a("Wav2Vec2FeatureExtractor"),au=a(" and "),Xi=n("a"),su=a("PreTrainedTokenizer"),nu=a(`.
See the docstring of `),tn=n("a"),fc=n("strong"),ru=a("call"),iu=a("()"),lu=a(" and "),Gi=n("a"),cu=a("decode()"),du=a(" for more information."),pu=p(),ia=n("div"),w(on.$$.fragment),mu=p(),qt=n("p"),hu=a(`When used in normal mode, this method forwards all its arguments to Wav2Vec2FeatureExtractor\u2019s
`),an=n("a"),uc=n("strong"),fu=a("call"),uu=a("()"),gu=a(` and returns its output. If used in the context
`),gc=n("code"),_u=a("as_target_processor()"),vu=a(` this method forwards all its arguments to PreTrainedTokenizer\u2019s
`),sn=n("a"),_c=n("strong"),bu=a("call"),wu=a("()"),yu=a(". Please refer to the docstring of the above two methods for more information."),ku=p(),la=n("div"),w(nn.$$.fragment),Tu=p(),Pt=n("p"),$u=a(`When used in normal mode, this method forwards all its arguments to Wav2Vec2FeatureExtractor\u2019s
`),Ki=n("a"),xu=a("pad()"),Wu=a(` and returns its output. If used in the context
`),vc=n("code"),ju=a("as_target_processor()"),Vu=a(` this method forwards all its arguments to PreTrainedTokenizer\u2019s
`),Ji=n("a"),Fu=a("pad()"),Eu=a(". Please refer to the docstring of the above two methods for more information."),Cu=p(),Zi=n("div"),w(rn.$$.fragment),qu=p(),Ht=n("div"),w(ln.$$.fragment),Pu=p(),cn=n("p"),zu=a(`Saves the attributes of this processor (feature extractor, tokenizer\u2026) in the specified directory so that it
can be reloaded using the `),Qi=n("a"),Mu=a("from_pretrained()"),Au=a(" method."),Lu=p(),w(ca.$$.fragment),Ou=p(),da=n("div"),w(dn.$$.fragment),Du=p(),pn=n("p"),Su=a("This method forwards all its arguments to PreTrainedTokenizer\u2019s "),Yi=n("a"),Iu=a("batch_decode()"),Nu=a(`. Please
refer to the docstring of this method for more information.`),Bu=p(),pa=n("div"),w(mn.$$.fragment),Ru=p(),hn=n("p"),Uu=a("This method forwards all its arguments to PreTrainedTokenizer\u2019s "),el=n("a"),Hu=a("decode()"),Xu=a(`. Please refer
to the docstring of this method for more information.`),xp=p(),wo=n("h2"),ma=n("a"),bc=n("span"),w(fn.$$.fragment),Gu=p(),wc=n("span"),Ku=a("Wav2Vec2ProcessorWithLM"),Wp=p(),te=n("div"),w(un.$$.fragment),Ju=p(),yc=n("p"),Zu=a(`Constructs a Wav2Vec2 processor which wraps a Wav2Vec2 feature extractor, a Wav2Vec2 CTC tokenizer and a decoder
with language model support into a single processor for language model boosted speech recognition decoding.`),Qu=p(),ha=n("div"),w(gn.$$.fragment),Yu=p(),zt=n("p"),eg=a(`When used in normal mode, this method forwards all its arguments to Wav2Vec2FeatureExtractor\u2019s
`),_n=n("a"),kc=n("strong"),tg=a("call"),og=a("()"),ag=a(` and returns its output. If used in the context
`),Tc=n("code"),sg=a("as_target_processor()"),ng=a(` this method forwards all its arguments to
Wav2Vec2CTCTokenizer\u2019s `),vn=n("a"),$c=n("strong"),rg=a("call"),ig=a("()"),lg=a(`. Please refer to the docstring of the above two
methods for more information.`),cg=p(),fa=n("div"),w(bn.$$.fragment),dg=p(),Mt=n("p"),pg=a(`When used in normal mode, this method forwards all its arguments to Wav2Vec2FeatureExtractor\u2019s
`),tl=n("a"),mg=a("pad()"),hg=a(` and returns its output. If used in the context
`),xc=n("code"),fg=a("as_target_processor()"),ug=a(` this method forwards all its arguments to
Wav2Vec2CTCTokenizer\u2019s `),ol=n("a"),gg=a("pad()"),_g=a(`. Please refer to the docstring of the above two methods
for more information.`),vg=p(),Xt=n("div"),w(wn.$$.fragment),bg=p(),yn=n("p"),wg=a("Instantiate a "),al=n("a"),yg=a("Wav2Vec2ProcessorWithLM"),kg=a(" from a pretrained Wav2Vec2 processor."),Tg=p(),w(ua.$$.fragment),$g=p(),sl=n("div"),w(kn.$$.fragment),xg=p(),mt=n("div"),w(Tn.$$.fragment),Wg=p(),Wc=n("p"),jg=a("Batch decode output logits to audio transcription with language model support."),Vg=p(),w(ga.$$.fragment),Fg=p(),$n=n("p"),Eg=a(`Example:
See `),nl=n("a"),Cg=a("Decoding multiple audios"),qg=a("."),Pg=p(),Gt=n("div"),w(xn.$$.fragment),zg=p(),jc=n("p"),Mg=a("Decode output logits to audio transcription with language model support."),Ag=p(),w(_a.$$.fragment),jp=p(),yo=n("h3"),va=n("a"),Vc=n("span"),w(Wn.$$.fragment),Lg=p(),Fc=n("span"),Og=a("Decoding multiple audios"),Vp=p(),xe=n("p"),Dg=a("If you are planning to decode multiple batches of audios, you should consider using "),rl=n("a"),Sg=a("batch_decode()"),Ig=a(" and passing an instantiated "),Ec=n("code"),Ng=a("multiprocessing.Pool"),Bg=a(`.
Otherwise, `),il=n("a"),Rg=a("batch_decode()"),Ug=a(" performance will be slower than calling "),ll=n("a"),Hg=a("decode()"),Xg=a(" for each audio individually, as it internally instantiates a new "),Cc=n("code"),Gg=a("Pool"),Kg=a(" for every call. See the example below:"),Fp=p(),w(jn.$$.fragment),Ep=p(),ko=n("h2"),ba=n("a"),qc=n("span"),w(Vn.$$.fragment),Jg=p(),Pc=n("span"),Zg=a("Wav2Vec2 specific outputs"),Cp=p(),To=n("div"),w(Fn.$$.fragment),Qg=p(),En=n("p"),Yg=a("Output type of "),zc=n("code"),e_=a("Wav2Vec2DecoderWithLM"),t_=a(", with transcription."),qp=p(),$o=n("div"),w(Cn.$$.fragment),o_=p(),Mc=n("p"),a_=a("Base class for models that have been trained with the Wav2Vec2 loss objective."),Pp=p(),xo=n("div"),w(qn.$$.fragment),s_=p(),Pn=n("p"),n_=a("Output type of "),cl=n("a"),r_=a("Wav2Vec2ForPreTraining"),i_=a(", with potential hidden states and attentions."),zp=p(),At=n("div"),w(zn.$$.fragment),l_=p(),Mn=n("p"),c_=a("Output type of "),Ac=n("code"),d_=a("FlaxWav2Vec2BaseModelOutput"),p_=a(", with potential hidden states and attentions."),m_=p(),wa=n("div"),w(An.$$.fragment),h_=p(),Lc=n("p"),f_=a("\u201CReturns a new object replacing the specified fields with new values."),Mp=p(),Lt=n("div"),w(Ln.$$.fragment),u_=p(),On=n("p"),g_=a("Output type of "),Oc=n("code"),__=a("FlaxWav2Vec2ForPreTrainingOutput"),v_=a(", with potential hidden states and attentions."),b_=p(),ya=n("div"),w(Dn.$$.fragment),w_=p(),Dc=n("p"),y_=a("\u201CReturns a new object replacing the specified fields with new values."),Ap=p(),Wo=n("h2"),ka=n("a"),Sc=n("span"),w(Sn.$$.fragment),k_=p(),Ic=n("span"),T_=a("Wav2Vec2Model"),Lp=p(),Ae=n("div"),w(In.$$.fragment),$_=p(),Nn=n("p"),x_=a(`The bare Wav2Vec2 Model transformer outputting raw hidden-states without any specific head on top.
Wav2Vec2 was proposed in `),Bn=n("a"),W_=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),j_=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),V_=p(),Rn=n("p"),F_=a("This model inherits from "),dl=n("a"),E_=a("PreTrainedModel"),C_=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),q_=p(),Un=n("p"),P_=a("This model is a PyTorch "),Hn=n("a"),z_=a("torch.nn.Module"),M_=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),A_=p(),Ue=n("div"),w(Xn.$$.fragment),L_=p(),jo=n("p"),O_=a("The "),pl=n("a"),D_=a("Wav2Vec2Model"),S_=a(" forward method, overrides the "),Nc=n("code"),I_=a("__call__"),N_=a(" special method."),B_=p(),w(Ta.$$.fragment),R_=p(),w($a.$$.fragment),U_=p(),w(xa.$$.fragment),Op=p(),Vo=n("h2"),Wa=n("a"),Bc=n("span"),w(Gn.$$.fragment),H_=p(),Rc=n("span"),X_=a("Wav2Vec2ForCTC"),Dp=p(),Le=n("div"),w(Kn.$$.fragment),G_=p(),Fo=n("p"),K_=a("Wav2Vec2 Model with a "),Uc=n("code"),J_=a("language modeling"),Z_=a(` head on top for Connectionist Temporal Classification (CTC).
Wav2Vec2 was proposed in `),Jn=n("a"),Q_=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Y_=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),ev=p(),Zn=n("p"),tv=a("This model inherits from "),ml=n("a"),ov=a("PreTrainedModel"),av=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),sv=p(),Qn=n("p"),nv=a("This model is a PyTorch "),Yn=n("a"),rv=a("torch.nn.Module"),iv=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),lv=p(),He=n("div"),w(er.$$.fragment),cv=p(),Eo=n("p"),dv=a("The "),hl=n("a"),pv=a("Wav2Vec2ForCTC"),mv=a(" forward method, overrides the "),Hc=n("code"),hv=a("__call__"),fv=a(" special method."),uv=p(),w(ja.$$.fragment),gv=p(),w(Va.$$.fragment),_v=p(),w(Fa.$$.fragment),Sp=p(),Co=n("h2"),Ea=n("a"),Xc=n("span"),w(tr.$$.fragment),vv=p(),Gc=n("span"),bv=a("Wav2Vec2ForSequenceClassification"),Ip=p(),ve=n("div"),w(or.$$.fragment),wv=p(),Kc=n("p"),yv=a(`Wav2Vec2 Model with a sequence classification head on top (a linear layer over the pooled output) for tasks like
SUPERB Keyword Spotting.`),kv=p(),ar=n("p"),Tv=a("Wav2Vec2 was proposed in "),sr=n("a"),$v=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),xv=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Wv=p(),nr=n("p"),jv=a("This model inherits from "),fl=n("a"),Vv=a("PreTrainedModel"),Fv=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ev=p(),rr=n("p"),Cv=a("This model is a PyTorch "),ir=n("a"),qv=a("torch.nn.Module"),Pv=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),zv=p(),Xe=n("div"),w(lr.$$.fragment),Mv=p(),qo=n("p"),Av=a("The "),ul=n("a"),Lv=a("Wav2Vec2ForSequenceClassification"),Ov=a(" forward method, overrides the "),Jc=n("code"),Dv=a("__call__"),Sv=a(" special method."),Iv=p(),w(Ca.$$.fragment),Nv=p(),w(qa.$$.fragment),Bv=p(),w(Pa.$$.fragment),Np=p(),Po=n("h2"),za=n("a"),Zc=n("span"),w(cr.$$.fragment),Rv=p(),Qc=n("span"),Uv=a("Wav2Vec2ForAudioFrameClassification"),Bp=p(),be=n("div"),w(dr.$$.fragment),Hv=p(),Yc=n("p"),Xv=a("Wav2Vec2 Model with a frame classification head on top for tasks like Speaker Diarization."),Gv=p(),pr=n("p"),Kv=a("Wav2Vec2 was proposed in "),mr=n("a"),Jv=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Zv=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Qv=p(),hr=n("p"),Yv=a("This model inherits from "),gl=n("a"),e2=a("PreTrainedModel"),t2=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),o2=p(),fr=n("p"),a2=a("This model is a PyTorch "),ur=n("a"),s2=a("torch.nn.Module"),n2=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),r2=p(),Ge=n("div"),w(gr.$$.fragment),i2=p(),zo=n("p"),l2=a("The "),_l=n("a"),c2=a("Wav2Vec2ForAudioFrameClassification"),d2=a(" forward method, overrides the "),ed=n("code"),p2=a("__call__"),m2=a(" special method."),h2=p(),w(Ma.$$.fragment),f2=p(),w(Aa.$$.fragment),u2=p(),w(La.$$.fragment),Rp=p(),Mo=n("h2"),Oa=n("a"),td=n("span"),w(_r.$$.fragment),g2=p(),od=n("span"),_2=a("Wav2Vec2ForXVector"),Up=p(),we=n("div"),w(vr.$$.fragment),v2=p(),ad=n("p"),b2=a("Wav2Vec2 Model with an XVector feature extraction head on top for tasks like Speaker Verification."),w2=p(),br=n("p"),y2=a("Wav2Vec2 was proposed in "),wr=n("a"),k2=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),T2=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),$2=p(),yr=n("p"),x2=a("This model inherits from "),vl=n("a"),W2=a("PreTrainedModel"),j2=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),V2=p(),kr=n("p"),F2=a("This model is a PyTorch "),Tr=n("a"),E2=a("torch.nn.Module"),C2=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),q2=p(),Ke=n("div"),w($r.$$.fragment),P2=p(),Ao=n("p"),z2=a("The "),bl=n("a"),M2=a("Wav2Vec2ForXVector"),A2=a(" forward method, overrides the "),sd=n("code"),L2=a("__call__"),O2=a(" special method."),D2=p(),w(Da.$$.fragment),S2=p(),w(Sa.$$.fragment),I2=p(),w(Ia.$$.fragment),Hp=p(),Lo=n("h2"),Na=n("a"),nd=n("span"),w(xr.$$.fragment),N2=p(),rd=n("span"),B2=a("Wav2Vec2ForPreTraining"),Xp=p(),Oe=n("div"),w(Wr.$$.fragment),R2=p(),Oo=n("p"),U2=a("Wav2Vec2 Model with a quantizer and "),id=n("code"),H2=a("VQ"),X2=a(` head on top.
Wav2Vec2 was proposed in `),jr=n("a"),G2=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),K2=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),J2=p(),Vr=n("p"),Z2=a("This model inherits from "),wl=n("a"),Q2=a("PreTrainedModel"),Y2=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),eb=p(),Fr=n("p"),tb=a("This model is a PyTorch "),Er=n("a"),ob=a("torch.nn.Module"),ab=a(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),sb=p(),ht=n("div"),w(Cr.$$.fragment),nb=p(),Do=n("p"),rb=a("The "),yl=n("a"),ib=a("Wav2Vec2ForPreTraining"),lb=a(" forward method, overrides the "),ld=n("code"),cb=a("__call__"),db=a(" special method."),pb=p(),w(Ba.$$.fragment),mb=p(),w(Ra.$$.fragment),Gp=p(),So=n("h2"),Ua=n("a"),cd=n("span"),w(qr.$$.fragment),hb=p(),dd=n("span"),fb=a("TFWav2Vec2Model"),Kp=p(),ye=n("div"),w(Pr.$$.fragment),ub=p(),pd=n("p"),gb=a("The bare TFWav2Vec2 Model transformer outputing raw hidden-states without any specific head on top."),_b=p(),zr=n("p"),vb=a("This model inherits from "),kl=n("a"),bb=a("TFPreTrainedModel"),wb=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),yb=p(),Mr=n("p"),kb=a("This model is also a "),Ar=n("a"),Tb=a("tf.keras.Model"),$b=a(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),xb=p(),w(Ha.$$.fragment),Wb=p(),ft=n("div"),w(Lr.$$.fragment),jb=p(),Io=n("p"),Vb=a("The "),Tl=n("a"),Fb=a("TFWav2Vec2Model"),Eb=a(" forward method, overrides the "),md=n("code"),Cb=a("__call__"),qb=a(" special method."),Pb=p(),w(Xa.$$.fragment),zb=p(),w(Ga.$$.fragment),Jp=p(),No=n("h2"),Ka=n("a"),hd=n("span"),w(Or.$$.fragment),Mb=p(),fd=n("span"),Ab=a("TFWav2Vec2ForCTC"),Zp=p(),ke=n("div"),w(Dr.$$.fragment),Lb=p(),Sr=n("p"),Ob=a("TFWav2Vec2 Model with a "),ud=n("code"),Db=a("language modeling"),Sb=a(" head on top for Connectionist Temporal Classification (CTC)."),Ib=p(),Ir=n("p"),Nb=a("This model inherits from "),$l=n("a"),Bb=a("TFPreTrainedModel"),Rb=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ub=p(),Nr=n("p"),Hb=a("This model is also a "),Br=n("a"),Xb=a("tf.keras.Model"),Gb=a(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Kb=p(),w(Ja.$$.fragment),Jb=p(),ut=n("div"),w(Rr.$$.fragment),Zb=p(),Bo=n("p"),Qb=a("The "),xl=n("a"),Yb=a("TFWav2Vec2ForCTC"),ew=a(" forward method, overrides the "),gd=n("code"),tw=a("__call__"),ow=a(" special method."),aw=p(),w(Za.$$.fragment),sw=p(),w(Qa.$$.fragment),Qp=p(),Ro=n("h2"),Ya=n("a"),_d=n("span"),w(Ur.$$.fragment),nw=p(),vd=n("span"),rw=a("FlaxWav2Vec2Model"),Yp=p(),ie=n("div"),w(Hr.$$.fragment),iw=p(),Xr=n("p"),lw=a(`The bare Wav2Vec2 Model transformer outputting raw hidden-states without any specific head on top.
Wav2Vec2 was proposed in `),Gr=n("a"),cw=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),dw=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),pw=p(),Kr=n("p"),mw=a("This model inherits from "),Wl=n("a"),hw=a("FlaxPreTrainedModel"),fw=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),uw=p(),Jr=n("p"),gw=a(`This model is also a Flax Linen
`),Zr=n("a"),_w=a("flax.nn.Module"),vw=a(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),bw=p(),bd=n("p"),ww=a("Finally, this model supports inherent JAX features such as:"),yw=p(),Ot=n("ul"),wd=n("li"),Qr=n("a"),kw=a("Just-In-Time (JIT) compilation"),Tw=p(),yd=n("li"),Yr=n("a"),$w=a("Automatic Differentiation"),xw=p(),kd=n("li"),ei=n("a"),Ww=a("Vectorization"),jw=p(),Td=n("li"),ti=n("a"),Vw=a("Parallelization"),Fw=p(),gt=n("div"),w(oi.$$.fragment),Ew=p(),Uo=n("p"),Cw=a("The "),$d=n("code"),qw=a("FlaxWav2Vec2PreTrainedModel"),Pw=a(" forward method, overrides the "),xd=n("code"),zw=a("__call__"),Mw=a(" special method."),Aw=p(),w(es.$$.fragment),Lw=p(),w(ts.$$.fragment),em=p(),Ho=n("h2"),os=n("a"),Wd=n("span"),w(ai.$$.fragment),Ow=p(),jd=n("span"),Dw=a("FlaxWav2Vec2ForCTC"),tm=p(),le=n("div"),w(si.$$.fragment),Sw=p(),Xo=n("p"),Iw=a("Wav2Vec2 Model with a "),Vd=n("code"),Nw=a("language modeling"),Bw=a(` head on top for Connectionist Temporal Classification (CTC).
Wav2Vec2 was proposed in `),ni=n("a"),Rw=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Uw=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Hw=p(),ri=n("p"),Xw=a("This model inherits from "),jl=n("a"),Gw=a("FlaxPreTrainedModel"),Kw=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jw=p(),ii=n("p"),Zw=a(`This model is also a Flax Linen
`),li=n("a"),Qw=a("flax.nn.Module"),Yw=a(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),ey=p(),Fd=n("p"),ty=a("Finally, this model supports inherent JAX features such as:"),oy=p(),Dt=n("ul"),Ed=n("li"),ci=n("a"),ay=a("Just-In-Time (JIT) compilation"),sy=p(),Cd=n("li"),di=n("a"),ny=a("Automatic Differentiation"),ry=p(),qd=n("li"),pi=n("a"),iy=a("Vectorization"),ly=p(),Pd=n("li"),mi=n("a"),cy=a("Parallelization"),dy=p(),_t=n("div"),w(hi.$$.fragment),py=p(),Go=n("p"),my=a("The "),zd=n("code"),hy=a("FlaxWav2Vec2PreTrainedModel"),fy=a(" forward method, overrides the "),Md=n("code"),uy=a("__call__"),gy=a(" special method."),_y=p(),w(as.$$.fragment),vy=p(),w(ss.$$.fragment),om=p(),Ko=n("h2"),ns=n("a"),Ad=n("span"),w(fi.$$.fragment),by=p(),Ld=n("span"),wy=a("FlaxWav2Vec2ForPreTraining"),am=p(),ce=n("div"),w(ui.$$.fragment),yy=p(),Jo=n("p"),ky=a("Wav2Vec2 Model with a quantizer and "),Od=n("code"),Ty=a("VQ"),$y=a(` head on top.
Wav2Vec2 was proposed in `),gi=n("a"),xy=a(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Wy=a(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),jy=p(),_i=n("p"),Vy=a("This model inherits from "),Vl=n("a"),Fy=a("FlaxPreTrainedModel"),Ey=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cy=p(),vi=n("p"),qy=a(`This model is also a Flax Linen
`),bi=n("a"),Py=a("flax.nn.Module"),zy=a(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),My=p(),Dd=n("p"),Ay=a("Finally, this model supports inherent JAX features such as:"),Ly=p(),St=n("ul"),Sd=n("li"),wi=n("a"),Oy=a("Just-In-Time (JIT) compilation"),Dy=p(),Id=n("li"),yi=n("a"),Sy=a("Automatic Differentiation"),Iy=p(),Nd=n("li"),ki=n("a"),Ny=a("Vectorization"),By=p(),Bd=n("li"),Ti=n("a"),Ry=a("Parallelization"),Uy=p(),vt=n("div"),w($i.$$.fragment),Hy=p(),Zo=n("p"),Xy=a("The "),Fl=n("a"),Gy=a("FlaxWav2Vec2ForPreTraining"),Ky=a(" forward method, overrides the "),Rd=n("code"),Jy=a("__call__"),Zy=a(" special method."),Qy=p(),w(rs.$$.fragment),Yy=p(),w(is.$$.fragment),this.h()},l(o){const g=YT('[data-svelte="svelte-1phssyn"]',document.head);c=r(g,"META",{name:!0,content:!0}),g.forEach(t),v=m(o),h=r(o,"H1",{class:!0});var xi=i(h);u=r(xi,"A",{id:!0,class:!0,href:!0});var Ud=i(u);b=r(Ud,"SPAN",{});var Hd=i(b);y(l.$$.fragment,Hd),Hd.forEach(t),Ud.forEach(t),f=m(xi),V=r(xi,"SPAN",{});var Xd=i(V);A=s(Xd,"Wav2Vec2"),Xd.forEach(t),xi.forEach(t),L=m(o),z=r(o,"H2",{class:!0});var Wi=i(z);M=r(Wi,"A",{id:!0,class:!0,href:!0});var Gd=i(M);N=r(Gd,"SPAN",{});var Kd=i(N);y(E.$$.fragment,Kd),Kd.forEach(t),Gd.forEach(t),O=m(Wi),C=r(Wi,"SPAN",{});var Jd=i(C);me=s(Jd,"Overview"),Jd.forEach(t),Wi.forEach(t),K=m(o),S=r(o,"P",{});var ji=i(S);he=s(ji,"The Wav2Vec2 model was proposed in "),I=r(ji,"A",{href:!0,rel:!0});var Zd=i(I);R=s(Zd,"wav2vec 2.0: A Framework for Self-Supervised Learning of Speech Representations"),Zd.forEach(t),De=s(ji," by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael Auli."),ji.forEach(t),X=m(o),J=r(o,"P",{});var Qd=i(J);Se=s(Qd,"The abstract from the paper is the following:"),Qd.forEach(t),Ve=m(o),Z=r(o,"P",{});var Yd=i(Z);et=r(Yd,"EM",{});var ep=i(et);xt=s(ep,`We show for the first time that learning powerful representations from speech audio alone followed by fine-tuning on
transcribed speech can outperform the best semi-supervised methods while being conceptually simpler. wav2vec 2.0 masks
the speech input in the latent space and solves a contrastive task defined over a quantization of the latent
representations which are jointly learned. Experiments using all labeled data of Librispeech achieve 1.8/3.3 WER on the
clean/other test sets. When lowering the amount of labeled data to one hour, wav2vec 2.0 outperforms the previous state
of the art on the 100 hour subset while using 100 times less labeled data. Using just ten minutes of labeled data and
pre-training on 53k hours of unlabeled data still achieves 4.8/8.2 WER. This demonstrates the feasibility of speech
recognition with limited amounts of labeled data.`),ep.forEach(t),Yd.forEach(t),Ie=m(o),D=r(o,"P",{});var tp=i(D);Q=s(tp,"Tips:"),tp.forEach(t),it=m(o),ae=r(o,"UL",{});var Vi=i(ae);tt=r(Vi,"LI",{});var op=i(tt);Wt=s(op,"Wav2Vec2 is a speech model that accepts a float array corresponding to the raw waveform of the speech signal."),op.forEach(t),Fe=m(Vi),Ee=r(Vi,"LI",{});var Fi=i(Ee);jt=s(Fi,`Wav2Vec2 model was trained using connectionist temporal classification (CTC) so the model output has to be decoded
using `),U=r(Fi,"A",{href:!0});var ap=i(U);Vt=s(ap,"Wav2Vec2CTCTokenizer"),ap.forEach(t),Ce=s(Fi,"."),Fi.forEach(t),Vi.forEach(t),lt=m(o),Te=r(o,"P",{});var Ei=i(Te);qe=s(Ei,"This model was contributed by "),Pe=r(Ei,"A",{href:!0,rel:!0});var sp=i(Pe);Ft=s(sp,"patrickvonplaten"),sp.forEach(t),ge=s(Ei,"."),Ei.forEach(t),ct=m(o),Y=r(o,"H2",{class:!0});var Ci=i(Y);$e=r(Ci,"A",{id:!0,class:!0,href:!0});var np=i($e);ze=r(np,"SPAN",{});var rp=i(ze);y(B.$$.fragment,rp),rp.forEach(t),np.forEach(t),Et=m(Ci),ee=r(Ci,"SPAN",{});var ip=i(ee);Ct=s(ip,"Resources"),ip.forEach(t),Ci.forEach(t),dt=m(o),j=r(o,"P",{});var lp=i(j);q=s(lp,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with Wav2Vec2. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),lp.forEach(t),Nt=m(o),y(_e.$$.fragment,o),Bt=m(o),Ne=r(o,"UL",{});var qi=i(Ne);P=r(qi,"LI",{});var Pi=i(P);so=s(Pi,"A notebook on how to "),ot=r(Pi,"A",{href:!0,rel:!0});var cp=i(ot);no=s(cp,"leverage a pretrained Wav2Vec2 model for emotion classification"),cp.forEach(t),ro=s(Pi,". \u{1F30E}"),Pi.forEach(t),io=m(qi),H=r(qi,"LI",{});var Kt=i(H);fe=r(Kt,"A",{href:!0});var dp=i(fe);lo=s(dp,"Wav2Vec2ForCTC"),dp.forEach(t),co=s(Kt," is supported by this "),ne=r(Kt,"A",{href:!0,rel:!0});var pp=i(ne);po=s(pp,"example script"),pp.forEach(t),mo=s(Kt," and "),Me=r(Kt,"A",{href:!0,rel:!0});var mp=i(Me);ho=s(mp,"notebook"),mp.forEach(t),at=s(Kt,"."),Kt.forEach(t),qi.forEach(t),Rt=m(o),y(xs.$$.fragment,o),fp=m(o),Be=r(o,"UL",{});var rt=i(Be);Ws=r(rt,"LI",{});var zi=i(Ws);jh=s(zi,"A blog post on "),js=r(zi,"A",{href:!0,rel:!0});var hp=i(js);Vh=s(hp,"boosting Wav2Vec2 with n-grams in \u{1F917} Transformers"),hp.forEach(t),Fh=s(zi,"."),zi.forEach(t),Eh=m(rt),Vs=r(rt,"LI",{});var nm=i(Vs);Ch=s(nm,"A blog post on how to "),Fs=r(nm,"A",{href:!0,rel:!0});var nk=i(Fs);qh=s(nk,"finetune Wav2Vec2 for English ASR with \u{1F917} Transformers"),nk.forEach(t),Ph=s(nm,"."),nm.forEach(t),zh=m(rt),Es=r(rt,"LI",{});var rm=i(Es);Mh=s(rm,"A blog post on "),Cs=r(rm,"A",{href:!0,rel:!0});var rk=i(Cs);Ah=s(rk,"finetuning XLS-R for Multi-Lingual ASR with \u{1F917} Transformers"),rk.forEach(t),Lh=s(rm,"."),rm.forEach(t),Oh=m(rt),qs=r(rt,"LI",{});var im=i(qs);Dh=s(im,"A notebook on how to "),Ps=r(im,"A",{href:!0,rel:!0});var ik=i(Ps);Sh=s(ik,"create YouTube captions from any video by transcribing audio with Wav2Vec2"),ik.forEach(t),Ih=s(im,". \u{1F30E}"),im.forEach(t),Nh=m(rt),Ut=r(rt,"LI",{});var Mi=i(Ut);Ai=r(Mi,"A",{href:!0});var lk=i(Ai);Bh=s(lk,"Wav2Vec2ForCTC"),lk.forEach(t),Rh=s(Mi," is supported by a notebook on "),zs=r(Mi,"A",{href:!0,rel:!0});var ck=i(zs);Uh=s(ck,"how to finetune a speech recognition model in English"),ck.forEach(t),Hh=s(Mi,", and "),Ms=r(Mi,"A",{href:!0,rel:!0});var dk=i(Ms);Xh=s(dk,"how to finetune a speech recognition model in any language"),dk.forEach(t),Gh=s(Mi,"."),Mi.forEach(t),rt.forEach(t),up=m(o),Li=r(o,"P",{});var pk=i(Li);Kh=s(pk,"\u{1F680} Deploy"),pk.forEach(t),gp=m(o),Oi=r(o,"UL",{});var mk=i(Oi);As=r(mk,"LI",{});var lm=i(As);Jh=s(lm,"A blog post on how to deploy Wav2Vec2 for "),Ls=r(lm,"A",{href:!0,rel:!0});var hk=i(Ls);Zh=s(hk,"Automatic Speech Recogntion with Hugging Face\u2019s Transformers & Amazon SageMaker"),hk.forEach(t),Qh=s(lm,"."),lm.forEach(t),mk.forEach(t),_p=m(o),fo=r(o,"H2",{class:!0});var cm=i(fo);Qo=r(cm,"A",{id:!0,class:!0,href:!0});var fk=i(Qo);Ql=r(fk,"SPAN",{});var uk=i(Ql);y(Os.$$.fragment,uk),uk.forEach(t),fk.forEach(t),Yh=m(cm),Yl=r(cm,"SPAN",{});var gk=i(Yl);ef=s(gk,"Wav2Vec2Config"),gk.forEach(t),cm.forEach(t),vp=m(o),st=r(o,"DIV",{class:!0});var ls=i(st);y(Ds.$$.fragment,ls),tf=m(ls),uo=r(ls,"P",{});var El=i(uo);of=s(El,"This is the configuration class to store the configuration of a "),Di=r(El,"A",{href:!0});var _k=i(Di);af=s(_k,"Wav2Vec2Model"),_k.forEach(t),sf=s(El,`. It is used to instantiate an
Wav2Vec2 model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the Wav2Vec2
`),Ss=r(El,"A",{href:!0,rel:!0});var vk=i(Ss);nf=s(vk,"facebook/wav2vec2-base-960h"),vk.forEach(t),rf=s(El," architecture."),El.forEach(t),lf=m(ls),go=r(ls,"P",{});var Cl=i(go);cf=s(Cl,"Configuration objects inherit from "),Si=r(Cl,"A",{href:!0});var bk=i(Si);df=s(bk,"PretrainedConfig"),bk.forEach(t),pf=s(Cl,` and can be used to control the model outputs. Read the
documentation from `),Ii=r(Cl,"A",{href:!0});var wk=i(Ii);mf=s(wk,"PretrainedConfig"),wk.forEach(t),hf=s(Cl," for more information."),Cl.forEach(t),ff=m(ls),y(Yo.$$.fragment,ls),ls.forEach(t),bp=m(o),_o=r(o,"H2",{class:!0});var dm=i(_o);ea=r(dm,"A",{id:!0,class:!0,href:!0});var yk=i(ea);ec=r(yk,"SPAN",{});var kk=i(ec);y(Is.$$.fragment,kk),kk.forEach(t),yk.forEach(t),uf=m(dm),tc=r(dm,"SPAN",{});var Tk=i(tc);gf=s(Tk,"Wav2Vec2CTCTokenizer"),Tk.forEach(t),dm.forEach(t),wp=m(o),re=r(o,"DIV",{class:!0});var Je=i(re);y(Ns.$$.fragment,Je),_f=m(Je),oc=r(Je,"P",{});var $k=i(oc);vf=s($k,"Constructs a Wav2Vec2CTC tokenizer."),$k.forEach(t),bf=m(Je),Bs=r(Je,"P",{});var pm=i(Bs);wf=s(pm,"This tokenizer inherits from "),Ni=r(pm,"A",{href:!0});var xk=i(Ni);yf=s(xk,"PreTrainedTokenizer"),xk.forEach(t),kf=s(pm,` which contains some of the main methods. Users should refer to
the superclass for more information regarding such methods.`),pm.forEach(t),Tf=m(Je),ta=r(Je,"DIV",{class:!0});var mm=i(ta);y(Rs.$$.fragment,mm),$f=m(mm),ac=r(mm,"P",{});var Wk=i(ac);xf=s(Wk,`Main method to tokenize and prepare for the model one or several sequence(s) or one or several pair(s) of
sequences.`),Wk.forEach(t),mm.forEach(t),Wf=m(Je),Bi=r(Je,"DIV",{class:!0});var jk=i(Bi);y(Us.$$.fragment,jk),jk.forEach(t),jf=m(Je),pt=r(Je,"DIV",{class:!0});var cs=i(pt);y(Hs.$$.fragment,cs),Vf=m(cs),sc=r(cs,"P",{});var Vk=i(sc);Ff=s(Vk,`Converts a sequence of ids in a string, using the tokenizer and vocabulary with options to remove special
tokens and clean up tokenization spaces.`),Vk.forEach(t),Ef=m(cs),Xs=r(cs,"P",{});var hm=i(Xs);Cf=s(hm,"Similar to doing "),nc=r(hm,"CODE",{});var Fk=i(nc);qf=s(Fk,"self.convert_tokens_to_string(self.convert_ids_to_tokens(token_ids))"),Fk.forEach(t),Pf=s(hm,"."),hm.forEach(t),zf=m(cs),y(oa.$$.fragment,cs),cs.forEach(t),Mf=m(Je),aa=r(Je,"DIV",{class:!0});var fm=i(aa);y(Gs.$$.fragment,fm),Af=m(fm),rc=r(fm,"P",{});var Ek=i(rc);Lf=s(Ek,"Convert a list of lists of token ids into a list of strings by calling decode."),Ek.forEach(t),fm.forEach(t),Je.forEach(t),yp=m(o),vo=r(o,"H2",{class:!0});var um=i(vo);sa=r(um,"A",{id:!0,class:!0,href:!0});var Ck=i(sa);ic=r(Ck,"SPAN",{});var qk=i(ic);y(Ks.$$.fragment,qk),qk.forEach(t),Ck.forEach(t),Of=m(um),lc=r(um,"SPAN",{});var Pk=i(lc);Df=s(Pk,"Wav2Vec2FeatureExtractor"),Pk.forEach(t),um.forEach(t),kp=m(o),nt=r(o,"DIV",{class:!0});var ds=i(nt);y(Js.$$.fragment,ds),Sf=m(ds),cc=r(ds,"P",{});var zk=i(cc);If=s(zk,"Constructs a Wav2Vec2 feature extractor."),zk.forEach(t),Nf=m(ds),Zs=r(ds,"P",{});var gm=i(Zs);Bf=s(gm,"This feature extractor inherits from "),Ri=r(gm,"A",{href:!0});var Mk=i(Ri);Rf=s(Mk,"SequenceFeatureExtractor"),Mk.forEach(t),Uf=s(gm,` which contains
most of the main methods. Users should refer to this superclass for more information regarding those methods.`),gm.forEach(t),Hf=m(ds),na=r(ds,"DIV",{class:!0});var _m=i(na);y(Qs.$$.fragment,_m),Xf=m(_m),dc=r(_m,"P",{});var Ak=i(dc);Gf=s(Ak,"Main method to featurize and prepare for the model one or several sequence(s)."),Ak.forEach(t),_m.forEach(t),ds.forEach(t),Tp=m(o),bo=r(o,"H2",{class:!0});var vm=i(bo);ra=r(vm,"A",{id:!0,class:!0,href:!0});var Lk=i(ra);pc=r(Lk,"SPAN",{});var Ok=i(pc);y(Ys.$$.fragment,Ok),Ok.forEach(t),Lk.forEach(t),Kf=m(vm),mc=r(vm,"SPAN",{});var Dk=i(mc);Jf=s(Dk,"Wav2Vec2Processor"),Dk.forEach(t),vm.forEach(t),$p=m(o),G=r(o,"DIV",{class:!0});var ue=i(G);y(en.$$.fragment,ue),Zf=m(ue),hc=r(ue,"P",{});var Sk=i(hc);Qf=s(Sk,`Constructs a Wav2Vec2 processor which wraps a Wav2Vec2 feature extractor and a Wav2Vec2 CTC tokenizer into a single
processor.`),Sk.forEach(t),Yf=m(ue),Re=r(ue,"P",{});var It=i(Re);Ui=r(It,"A",{href:!0});var Ik=i(Ui);eu=s(Ik,"Wav2Vec2Processor"),Ik.forEach(t),tu=s(It," offers all the functionalities of "),Hi=r(It,"A",{href:!0});var Nk=i(Hi);ou=s(Nk,"Wav2Vec2FeatureExtractor"),Nk.forEach(t),au=s(It," and "),Xi=r(It,"A",{href:!0});var Bk=i(Xi);su=s(Bk,"PreTrainedTokenizer"),Bk.forEach(t),nu=s(It,`.
See the docstring of `),tn=r(It,"A",{href:!0});var ek=i(tn);fc=r(ek,"STRONG",{});var Rk=i(fc);ru=s(Rk,"call"),Rk.forEach(t),iu=s(ek,"()"),ek.forEach(t),lu=s(It," and "),Gi=r(It,"A",{href:!0});var Uk=i(Gi);cu=s(Uk,"decode()"),Uk.forEach(t),du=s(It," for more information."),It.forEach(t),pu=m(ue),ia=r(ue,"DIV",{class:!0});var bm=i(ia);y(on.$$.fragment,bm),mu=m(bm),qt=r(bm,"P",{});var ps=i(qt);hu=s(ps,`When used in normal mode, this method forwards all its arguments to Wav2Vec2FeatureExtractor\u2019s
`),an=r(ps,"A",{href:!0});var tk=i(an);uc=r(tk,"STRONG",{});var Hk=i(uc);fu=s(Hk,"call"),Hk.forEach(t),uu=s(tk,"()"),tk.forEach(t),gu=s(ps,` and returns its output. If used in the context
`),gc=r(ps,"CODE",{});var Xk=i(gc);_u=s(Xk,"as_target_processor()"),Xk.forEach(t),vu=s(ps,` this method forwards all its arguments to PreTrainedTokenizer\u2019s
`),sn=r(ps,"A",{href:!0});var ok=i(sn);_c=r(ok,"STRONG",{});var Gk=i(_c);bu=s(Gk,"call"),Gk.forEach(t),wu=s(ok,"()"),ok.forEach(t),yu=s(ps,". Please refer to the docstring of the above two methods for more information."),ps.forEach(t),bm.forEach(t),ku=m(ue),la=r(ue,"DIV",{class:!0});var wm=i(la);y(nn.$$.fragment,wm),Tu=m(wm),Pt=r(wm,"P",{});var ms=i(Pt);$u=s(ms,`When used in normal mode, this method forwards all its arguments to Wav2Vec2FeatureExtractor\u2019s
`),Ki=r(ms,"A",{href:!0});var Kk=i(Ki);xu=s(Kk,"pad()"),Kk.forEach(t),Wu=s(ms,` and returns its output. If used in the context
`),vc=r(ms,"CODE",{});var Jk=i(vc);ju=s(Jk,"as_target_processor()"),Jk.forEach(t),Vu=s(ms,` this method forwards all its arguments to PreTrainedTokenizer\u2019s
`),Ji=r(ms,"A",{href:!0});var Zk=i(Ji);Fu=s(Zk,"pad()"),Zk.forEach(t),Eu=s(ms,". Please refer to the docstring of the above two methods for more information."),ms.forEach(t),wm.forEach(t),Cu=m(ue),Zi=r(ue,"DIV",{class:!0});var Qk=i(Zi);y(rn.$$.fragment,Qk),Qk.forEach(t),qu=m(ue),Ht=r(ue,"DIV",{class:!0});var ql=i(Ht);y(ln.$$.fragment,ql),Pu=m(ql),cn=r(ql,"P",{});var ym=i(cn);zu=s(ym,`Saves the attributes of this processor (feature extractor, tokenizer\u2026) in the specified directory so that it
can be reloaded using the `),Qi=r(ym,"A",{href:!0});var Yk=i(Qi);Mu=s(Yk,"from_pretrained()"),Yk.forEach(t),Au=s(ym," method."),ym.forEach(t),Lu=m(ql),y(ca.$$.fragment,ql),ql.forEach(t),Ou=m(ue),da=r(ue,"DIV",{class:!0});var km=i(da);y(dn.$$.fragment,km),Du=m(km),pn=r(km,"P",{});var Tm=i(pn);Su=s(Tm,"This method forwards all its arguments to PreTrainedTokenizer\u2019s "),Yi=r(Tm,"A",{href:!0});var e1=i(Yi);Iu=s(e1,"batch_decode()"),e1.forEach(t),Nu=s(Tm,`. Please
refer to the docstring of this method for more information.`),Tm.forEach(t),km.forEach(t),Bu=m(ue),pa=r(ue,"DIV",{class:!0});var $m=i(pa);y(mn.$$.fragment,$m),Ru=m($m),hn=r($m,"P",{});var xm=i(hn);Uu=s(xm,"This method forwards all its arguments to PreTrainedTokenizer\u2019s "),el=r(xm,"A",{href:!0});var t1=i(el);Hu=s(t1,"decode()"),t1.forEach(t),Xu=s(xm,`. Please refer
to the docstring of this method for more information.`),xm.forEach(t),$m.forEach(t),ue.forEach(t),xp=m(o),wo=r(o,"H2",{class:!0});var Wm=i(wo);ma=r(Wm,"A",{id:!0,class:!0,href:!0});var o1=i(ma);bc=r(o1,"SPAN",{});var a1=i(bc);y(fn.$$.fragment,a1),a1.forEach(t),o1.forEach(t),Gu=m(Wm),wc=r(Wm,"SPAN",{});var s1=i(wc);Ku=s(s1,"Wav2Vec2ProcessorWithLM"),s1.forEach(t),Wm.forEach(t),Wp=m(o),te=r(o,"DIV",{class:!0});var We=i(te);y(un.$$.fragment,We),Ju=m(We),yc=r(We,"P",{});var n1=i(yc);Zu=s(n1,`Constructs a Wav2Vec2 processor which wraps a Wav2Vec2 feature extractor, a Wav2Vec2 CTC tokenizer and a decoder
with language model support into a single processor for language model boosted speech recognition decoding.`),n1.forEach(t),Qu=m(We),ha=r(We,"DIV",{class:!0});var jm=i(ha);y(gn.$$.fragment,jm),Yu=m(jm),zt=r(jm,"P",{});var hs=i(zt);eg=s(hs,`When used in normal mode, this method forwards all its arguments to Wav2Vec2FeatureExtractor\u2019s
`),_n=r(hs,"A",{href:!0});var ak=i(_n);kc=r(ak,"STRONG",{});var r1=i(kc);tg=s(r1,"call"),r1.forEach(t),og=s(ak,"()"),ak.forEach(t),ag=s(hs,` and returns its output. If used in the context
`),Tc=r(hs,"CODE",{});var i1=i(Tc);sg=s(i1,"as_target_processor()"),i1.forEach(t),ng=s(hs,` this method forwards all its arguments to
Wav2Vec2CTCTokenizer\u2019s `),vn=r(hs,"A",{href:!0});var sk=i(vn);$c=r(sk,"STRONG",{});var l1=i($c);rg=s(l1,"call"),l1.forEach(t),ig=s(sk,"()"),sk.forEach(t),lg=s(hs,`. Please refer to the docstring of the above two
methods for more information.`),hs.forEach(t),jm.forEach(t),cg=m(We),fa=r(We,"DIV",{class:!0});var Vm=i(fa);y(bn.$$.fragment,Vm),dg=m(Vm),Mt=r(Vm,"P",{});var fs=i(Mt);pg=s(fs,`When used in normal mode, this method forwards all its arguments to Wav2Vec2FeatureExtractor\u2019s
`),tl=r(fs,"A",{href:!0});var c1=i(tl);mg=s(c1,"pad()"),c1.forEach(t),hg=s(fs,` and returns its output. If used in the context
`),xc=r(fs,"CODE",{});var d1=i(xc);fg=s(d1,"as_target_processor()"),d1.forEach(t),ug=s(fs,` this method forwards all its arguments to
Wav2Vec2CTCTokenizer\u2019s `),ol=r(fs,"A",{href:!0});var p1=i(ol);gg=s(p1,"pad()"),p1.forEach(t),_g=s(fs,`. Please refer to the docstring of the above two methods
for more information.`),fs.forEach(t),Vm.forEach(t),vg=m(We),Xt=r(We,"DIV",{class:!0});var Pl=i(Xt);y(wn.$$.fragment,Pl),bg=m(Pl),yn=r(Pl,"P",{});var Fm=i(yn);wg=s(Fm,"Instantiate a "),al=r(Fm,"A",{href:!0});var m1=i(al);yg=s(m1,"Wav2Vec2ProcessorWithLM"),m1.forEach(t),kg=s(Fm," from a pretrained Wav2Vec2 processor."),Fm.forEach(t),Tg=m(Pl),y(ua.$$.fragment,Pl),Pl.forEach(t),$g=m(We),sl=r(We,"DIV",{class:!0});var h1=i(sl);y(kn.$$.fragment,h1),h1.forEach(t),xg=m(We),mt=r(We,"DIV",{class:!0});var us=i(mt);y(Tn.$$.fragment,us),Wg=m(us),Wc=r(us,"P",{});var f1=i(Wc);jg=s(f1,"Batch decode output logits to audio transcription with language model support."),f1.forEach(t),Vg=m(us),y(ga.$$.fragment,us),Fg=m(us),$n=r(us,"P",{});var Em=i($n);Eg=s(Em,`Example:
See `),nl=r(Em,"A",{href:!0});var u1=i(nl);Cg=s(u1,"Decoding multiple audios"),u1.forEach(t),qg=s(Em,"."),Em.forEach(t),us.forEach(t),Pg=m(We),Gt=r(We,"DIV",{class:!0});var zl=i(Gt);y(xn.$$.fragment,zl),zg=m(zl),jc=r(zl,"P",{});var g1=i(jc);Mg=s(g1,"Decode output logits to audio transcription with language model support."),g1.forEach(t),Ag=m(zl),y(_a.$$.fragment,zl),zl.forEach(t),We.forEach(t),jp=m(o),yo=r(o,"H3",{class:!0});var Cm=i(yo);va=r(Cm,"A",{id:!0,class:!0,href:!0});var _1=i(va);Vc=r(_1,"SPAN",{});var v1=i(Vc);y(Wn.$$.fragment,v1),v1.forEach(t),_1.forEach(t),Lg=m(Cm),Fc=r(Cm,"SPAN",{});var b1=i(Fc);Og=s(b1,"Decoding multiple audios"),b1.forEach(t),Cm.forEach(t),Vp=m(o),xe=r(o,"P",{});var bt=i(xe);Dg=s(bt,"If you are planning to decode multiple batches of audios, you should consider using "),rl=r(bt,"A",{href:!0});var w1=i(rl);Sg=s(w1,"batch_decode()"),w1.forEach(t),Ig=s(bt," and passing an instantiated "),Ec=r(bt,"CODE",{});var y1=i(Ec);Ng=s(y1,"multiprocessing.Pool"),y1.forEach(t),Bg=s(bt,`.
Otherwise, `),il=r(bt,"A",{href:!0});var k1=i(il);Rg=s(k1,"batch_decode()"),k1.forEach(t),Ug=s(bt," performance will be slower than calling "),ll=r(bt,"A",{href:!0});var T1=i(ll);Hg=s(T1,"decode()"),T1.forEach(t),Xg=s(bt," for each audio individually, as it internally instantiates a new "),Cc=r(bt,"CODE",{});var $1=i(Cc);Gg=s($1,"Pool"),$1.forEach(t),Kg=s(bt," for every call. See the example below:"),bt.forEach(t),Fp=m(o),y(jn.$$.fragment,o),Ep=m(o),ko=r(o,"H2",{class:!0});var qm=i(ko);ba=r(qm,"A",{id:!0,class:!0,href:!0});var x1=i(ba);qc=r(x1,"SPAN",{});var W1=i(qc);y(Vn.$$.fragment,W1),W1.forEach(t),x1.forEach(t),Jg=m(qm),Pc=r(qm,"SPAN",{});var j1=i(Pc);Zg=s(j1,"Wav2Vec2 specific outputs"),j1.forEach(t),qm.forEach(t),Cp=m(o),To=r(o,"DIV",{class:!0});var Pm=i(To);y(Fn.$$.fragment,Pm),Qg=m(Pm),En=r(Pm,"P",{});var zm=i(En);Yg=s(zm,"Output type of "),zc=r(zm,"CODE",{});var V1=i(zc);e_=s(V1,"Wav2Vec2DecoderWithLM"),V1.forEach(t),t_=s(zm,", with transcription."),zm.forEach(t),Pm.forEach(t),qp=m(o),$o=r(o,"DIV",{class:!0});var Mm=i($o);y(Cn.$$.fragment,Mm),o_=m(Mm),Mc=r(Mm,"P",{});var F1=i(Mc);a_=s(F1,"Base class for models that have been trained with the Wav2Vec2 loss objective."),F1.forEach(t),Mm.forEach(t),Pp=m(o),xo=r(o,"DIV",{class:!0});var Am=i(xo);y(qn.$$.fragment,Am),s_=m(Am),Pn=r(Am,"P",{});var Lm=i(Pn);n_=s(Lm,"Output type of "),cl=r(Lm,"A",{href:!0});var E1=i(cl);r_=s(E1,"Wav2Vec2ForPreTraining"),E1.forEach(t),i_=s(Lm,", with potential hidden states and attentions."),Lm.forEach(t),Am.forEach(t),zp=m(o),At=r(o,"DIV",{class:!0});var Ml=i(At);y(zn.$$.fragment,Ml),l_=m(Ml),Mn=r(Ml,"P",{});var Om=i(Mn);c_=s(Om,"Output type of "),Ac=r(Om,"CODE",{});var C1=i(Ac);d_=s(C1,"FlaxWav2Vec2BaseModelOutput"),C1.forEach(t),p_=s(Om,", with potential hidden states and attentions."),Om.forEach(t),m_=m(Ml),wa=r(Ml,"DIV",{class:!0});var Dm=i(wa);y(An.$$.fragment,Dm),h_=m(Dm),Lc=r(Dm,"P",{});var q1=i(Lc);f_=s(q1,"\u201CReturns a new object replacing the specified fields with new values."),q1.forEach(t),Dm.forEach(t),Ml.forEach(t),Mp=m(o),Lt=r(o,"DIV",{class:!0});var Al=i(Lt);y(Ln.$$.fragment,Al),u_=m(Al),On=r(Al,"P",{});var Sm=i(On);g_=s(Sm,"Output type of "),Oc=r(Sm,"CODE",{});var P1=i(Oc);__=s(P1,"FlaxWav2Vec2ForPreTrainingOutput"),P1.forEach(t),v_=s(Sm,", with potential hidden states and attentions."),Sm.forEach(t),b_=m(Al),ya=r(Al,"DIV",{class:!0});var Im=i(ya);y(Dn.$$.fragment,Im),w_=m(Im),Dc=r(Im,"P",{});var z1=i(Dc);y_=s(z1,"\u201CReturns a new object replacing the specified fields with new values."),z1.forEach(t),Im.forEach(t),Al.forEach(t),Ap=m(o),Wo=r(o,"H2",{class:!0});var Nm=i(Wo);ka=r(Nm,"A",{id:!0,class:!0,href:!0});var M1=i(ka);Sc=r(M1,"SPAN",{});var A1=i(Sc);y(Sn.$$.fragment,A1),A1.forEach(t),M1.forEach(t),k_=m(Nm),Ic=r(Nm,"SPAN",{});var L1=i(Ic);T_=s(L1,"Wav2Vec2Model"),L1.forEach(t),Nm.forEach(t),Lp=m(o),Ae=r(o,"DIV",{class:!0});var Jt=i(Ae);y(In.$$.fragment,Jt),$_=m(Jt),Nn=r(Jt,"P",{});var Bm=i(Nn);x_=s(Bm,`The bare Wav2Vec2 Model transformer outputting raw hidden-states without any specific head on top.
Wav2Vec2 was proposed in `),Bn=r(Bm,"A",{href:!0,rel:!0});var O1=i(Bn);W_=s(O1,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),O1.forEach(t),j_=s(Bm,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Bm.forEach(t),V_=m(Jt),Rn=r(Jt,"P",{});var Rm=i(Rn);F_=s(Rm,"This model inherits from "),dl=r(Rm,"A",{href:!0});var D1=i(dl);E_=s(D1,"PreTrainedModel"),D1.forEach(t),C_=s(Rm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Rm.forEach(t),q_=m(Jt),Un=r(Jt,"P",{});var Um=i(Un);P_=s(Um,"This model is a PyTorch "),Hn=r(Um,"A",{href:!0,rel:!0});var S1=i(Hn);z_=s(S1,"torch.nn.Module"),S1.forEach(t),M_=s(Um,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Um.forEach(t),A_=m(Jt),Ue=r(Jt,"DIV",{class:!0});var Zt=i(Ue);y(Xn.$$.fragment,Zt),L_=m(Zt),jo=r(Zt,"P",{});var Ll=i(jo);O_=s(Ll,"The "),pl=r(Ll,"A",{href:!0});var I1=i(pl);D_=s(I1,"Wav2Vec2Model"),I1.forEach(t),S_=s(Ll," forward method, overrides the "),Nc=r(Ll,"CODE",{});var N1=i(Nc);I_=s(N1,"__call__"),N1.forEach(t),N_=s(Ll," special method."),Ll.forEach(t),B_=m(Zt),y(Ta.$$.fragment,Zt),R_=m(Zt),y($a.$$.fragment,Zt),U_=m(Zt),y(xa.$$.fragment,Zt),Zt.forEach(t),Jt.forEach(t),Op=m(o),Vo=r(o,"H2",{class:!0});var Hm=i(Vo);Wa=r(Hm,"A",{id:!0,class:!0,href:!0});var B1=i(Wa);Bc=r(B1,"SPAN",{});var R1=i(Bc);y(Gn.$$.fragment,R1),R1.forEach(t),B1.forEach(t),H_=m(Hm),Rc=r(Hm,"SPAN",{});var U1=i(Rc);X_=s(U1,"Wav2Vec2ForCTC"),U1.forEach(t),Hm.forEach(t),Dp=m(o),Le=r(o,"DIV",{class:!0});var Qt=i(Le);y(Kn.$$.fragment,Qt),G_=m(Qt),Fo=r(Qt,"P",{});var Ol=i(Fo);K_=s(Ol,"Wav2Vec2 Model with a "),Uc=r(Ol,"CODE",{});var H1=i(Uc);J_=s(H1,"language modeling"),H1.forEach(t),Z_=s(Ol,` head on top for Connectionist Temporal Classification (CTC).
Wav2Vec2 was proposed in `),Jn=r(Ol,"A",{href:!0,rel:!0});var X1=i(Jn);Q_=s(X1,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),X1.forEach(t),Y_=s(Ol,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Ol.forEach(t),ev=m(Qt),Zn=r(Qt,"P",{});var Xm=i(Zn);tv=s(Xm,"This model inherits from "),ml=r(Xm,"A",{href:!0});var G1=i(ml);ov=s(G1,"PreTrainedModel"),G1.forEach(t),av=s(Xm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Xm.forEach(t),sv=m(Qt),Qn=r(Qt,"P",{});var Gm=i(Qn);nv=s(Gm,"This model is a PyTorch "),Yn=r(Gm,"A",{href:!0,rel:!0});var K1=i(Yn);rv=s(K1,"torch.nn.Module"),K1.forEach(t),iv=s(Gm,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Gm.forEach(t),lv=m(Qt),He=r(Qt,"DIV",{class:!0});var Yt=i(He);y(er.$$.fragment,Yt),cv=m(Yt),Eo=r(Yt,"P",{});var Dl=i(Eo);dv=s(Dl,"The "),hl=r(Dl,"A",{href:!0});var J1=i(hl);pv=s(J1,"Wav2Vec2ForCTC"),J1.forEach(t),mv=s(Dl," forward method, overrides the "),Hc=r(Dl,"CODE",{});var Z1=i(Hc);hv=s(Z1,"__call__"),Z1.forEach(t),fv=s(Dl," special method."),Dl.forEach(t),uv=m(Yt),y(ja.$$.fragment,Yt),gv=m(Yt),y(Va.$$.fragment,Yt),_v=m(Yt),y(Fa.$$.fragment,Yt),Yt.forEach(t),Qt.forEach(t),Sp=m(o),Co=r(o,"H2",{class:!0});var Km=i(Co);Ea=r(Km,"A",{id:!0,class:!0,href:!0});var Q1=i(Ea);Xc=r(Q1,"SPAN",{});var Y1=i(Xc);y(tr.$$.fragment,Y1),Y1.forEach(t),Q1.forEach(t),vv=m(Km),Gc=r(Km,"SPAN",{});var e0=i(Gc);bv=s(e0,"Wav2Vec2ForSequenceClassification"),e0.forEach(t),Km.forEach(t),Ip=m(o),ve=r(o,"DIV",{class:!0});var wt=i(ve);y(or.$$.fragment,wt),wv=m(wt),Kc=r(wt,"P",{});var t0=i(Kc);yv=s(t0,`Wav2Vec2 Model with a sequence classification head on top (a linear layer over the pooled output) for tasks like
SUPERB Keyword Spotting.`),t0.forEach(t),kv=m(wt),ar=r(wt,"P",{});var Jm=i(ar);Tv=s(Jm,"Wav2Vec2 was proposed in "),sr=r(Jm,"A",{href:!0,rel:!0});var o0=i(sr);$v=s(o0,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),o0.forEach(t),xv=s(Jm,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Jm.forEach(t),Wv=m(wt),nr=r(wt,"P",{});var Zm=i(nr);jv=s(Zm,"This model inherits from "),fl=r(Zm,"A",{href:!0});var a0=i(fl);Vv=s(a0,"PreTrainedModel"),a0.forEach(t),Fv=s(Zm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Zm.forEach(t),Ev=m(wt),rr=r(wt,"P",{});var Qm=i(rr);Cv=s(Qm,"This model is a PyTorch "),ir=r(Qm,"A",{href:!0,rel:!0});var s0=i(ir);qv=s(s0,"torch.nn.Module"),s0.forEach(t),Pv=s(Qm,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Qm.forEach(t),zv=m(wt),Xe=r(wt,"DIV",{class:!0});var eo=i(Xe);y(lr.$$.fragment,eo),Mv=m(eo),qo=r(eo,"P",{});var Sl=i(qo);Av=s(Sl,"The "),ul=r(Sl,"A",{href:!0});var n0=i(ul);Lv=s(n0,"Wav2Vec2ForSequenceClassification"),n0.forEach(t),Ov=s(Sl," forward method, overrides the "),Jc=r(Sl,"CODE",{});var r0=i(Jc);Dv=s(r0,"__call__"),r0.forEach(t),Sv=s(Sl," special method."),Sl.forEach(t),Iv=m(eo),y(Ca.$$.fragment,eo),Nv=m(eo),y(qa.$$.fragment,eo),Bv=m(eo),y(Pa.$$.fragment,eo),eo.forEach(t),wt.forEach(t),Np=m(o),Po=r(o,"H2",{class:!0});var Ym=i(Po);za=r(Ym,"A",{id:!0,class:!0,href:!0});var i0=i(za);Zc=r(i0,"SPAN",{});var l0=i(Zc);y(cr.$$.fragment,l0),l0.forEach(t),i0.forEach(t),Rv=m(Ym),Qc=r(Ym,"SPAN",{});var c0=i(Qc);Uv=s(c0,"Wav2Vec2ForAudioFrameClassification"),c0.forEach(t),Ym.forEach(t),Bp=m(o),be=r(o,"DIV",{class:!0});var yt=i(be);y(dr.$$.fragment,yt),Hv=m(yt),Yc=r(yt,"P",{});var d0=i(Yc);Xv=s(d0,"Wav2Vec2 Model with a frame classification head on top for tasks like Speaker Diarization."),d0.forEach(t),Gv=m(yt),pr=r(yt,"P",{});var eh=i(pr);Kv=s(eh,"Wav2Vec2 was proposed in "),mr=r(eh,"A",{href:!0,rel:!0});var p0=i(mr);Jv=s(p0,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),p0.forEach(t),Zv=s(eh,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),eh.forEach(t),Qv=m(yt),hr=r(yt,"P",{});var th=i(hr);Yv=s(th,"This model inherits from "),gl=r(th,"A",{href:!0});var m0=i(gl);e2=s(m0,"PreTrainedModel"),m0.forEach(t),t2=s(th,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),th.forEach(t),o2=m(yt),fr=r(yt,"P",{});var oh=i(fr);a2=s(oh,"This model is a PyTorch "),ur=r(oh,"A",{href:!0,rel:!0});var h0=i(ur);s2=s(h0,"torch.nn.Module"),h0.forEach(t),n2=s(oh,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),oh.forEach(t),r2=m(yt),Ge=r(yt,"DIV",{class:!0});var to=i(Ge);y(gr.$$.fragment,to),i2=m(to),zo=r(to,"P",{});var Il=i(zo);l2=s(Il,"The "),_l=r(Il,"A",{href:!0});var f0=i(_l);c2=s(f0,"Wav2Vec2ForAudioFrameClassification"),f0.forEach(t),d2=s(Il," forward method, overrides the "),ed=r(Il,"CODE",{});var u0=i(ed);p2=s(u0,"__call__"),u0.forEach(t),m2=s(Il," special method."),Il.forEach(t),h2=m(to),y(Ma.$$.fragment,to),f2=m(to),y(Aa.$$.fragment,to),u2=m(to),y(La.$$.fragment,to),to.forEach(t),yt.forEach(t),Rp=m(o),Mo=r(o,"H2",{class:!0});var ah=i(Mo);Oa=r(ah,"A",{id:!0,class:!0,href:!0});var g0=i(Oa);td=r(g0,"SPAN",{});var _0=i(td);y(_r.$$.fragment,_0),_0.forEach(t),g0.forEach(t),g2=m(ah),od=r(ah,"SPAN",{});var v0=i(od);_2=s(v0,"Wav2Vec2ForXVector"),v0.forEach(t),ah.forEach(t),Up=m(o),we=r(o,"DIV",{class:!0});var kt=i(we);y(vr.$$.fragment,kt),v2=m(kt),ad=r(kt,"P",{});var b0=i(ad);b2=s(b0,"Wav2Vec2 Model with an XVector feature extraction head on top for tasks like Speaker Verification."),b0.forEach(t),w2=m(kt),br=r(kt,"P",{});var sh=i(br);y2=s(sh,"Wav2Vec2 was proposed in "),wr=r(sh,"A",{href:!0,rel:!0});var w0=i(wr);k2=s(w0,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),w0.forEach(t),T2=s(sh,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),sh.forEach(t),$2=m(kt),yr=r(kt,"P",{});var nh=i(yr);x2=s(nh,"This model inherits from "),vl=r(nh,"A",{href:!0});var y0=i(vl);W2=s(y0,"PreTrainedModel"),y0.forEach(t),j2=s(nh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),nh.forEach(t),V2=m(kt),kr=r(kt,"P",{});var rh=i(kr);F2=s(rh,"This model is a PyTorch "),Tr=r(rh,"A",{href:!0,rel:!0});var k0=i(Tr);E2=s(k0,"torch.nn.Module"),k0.forEach(t),C2=s(rh,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),rh.forEach(t),q2=m(kt),Ke=r(kt,"DIV",{class:!0});var oo=i(Ke);y($r.$$.fragment,oo),P2=m(oo),Ao=r(oo,"P",{});var Nl=i(Ao);z2=s(Nl,"The "),bl=r(Nl,"A",{href:!0});var T0=i(bl);M2=s(T0,"Wav2Vec2ForXVector"),T0.forEach(t),A2=s(Nl," forward method, overrides the "),sd=r(Nl,"CODE",{});var $0=i(sd);L2=s($0,"__call__"),$0.forEach(t),O2=s(Nl," special method."),Nl.forEach(t),D2=m(oo),y(Da.$$.fragment,oo),S2=m(oo),y(Sa.$$.fragment,oo),I2=m(oo),y(Ia.$$.fragment,oo),oo.forEach(t),kt.forEach(t),Hp=m(o),Lo=r(o,"H2",{class:!0});var ih=i(Lo);Na=r(ih,"A",{id:!0,class:!0,href:!0});var x0=i(Na);nd=r(x0,"SPAN",{});var W0=i(nd);y(xr.$$.fragment,W0),W0.forEach(t),x0.forEach(t),N2=m(ih),rd=r(ih,"SPAN",{});var j0=i(rd);B2=s(j0,"Wav2Vec2ForPreTraining"),j0.forEach(t),ih.forEach(t),Xp=m(o),Oe=r(o,"DIV",{class:!0});var ao=i(Oe);y(Wr.$$.fragment,ao),R2=m(ao),Oo=r(ao,"P",{});var Bl=i(Oo);U2=s(Bl,"Wav2Vec2 Model with a quantizer and "),id=r(Bl,"CODE",{});var V0=i(id);H2=s(V0,"VQ"),V0.forEach(t),X2=s(Bl,` head on top.
Wav2Vec2 was proposed in `),jr=r(Bl,"A",{href:!0,rel:!0});var F0=i(jr);G2=s(F0,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),F0.forEach(t),K2=s(Bl,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Bl.forEach(t),J2=m(ao),Vr=r(ao,"P",{});var lh=i(Vr);Z2=s(lh,"This model inherits from "),wl=r(lh,"A",{href:!0});var E0=i(wl);Q2=s(E0,"PreTrainedModel"),E0.forEach(t),Y2=s(lh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),lh.forEach(t),eb=m(ao),Fr=r(ao,"P",{});var ch=i(Fr);tb=s(ch,"This model is a PyTorch "),Er=r(ch,"A",{href:!0,rel:!0});var C0=i(Er);ob=s(C0,"torch.nn.Module"),C0.forEach(t),ab=s(ch,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ch.forEach(t),sb=m(ao),ht=r(ao,"DIV",{class:!0});var gs=i(ht);y(Cr.$$.fragment,gs),nb=m(gs),Do=r(gs,"P",{});var Rl=i(Do);rb=s(Rl,"The "),yl=r(Rl,"A",{href:!0});var q0=i(yl);ib=s(q0,"Wav2Vec2ForPreTraining"),q0.forEach(t),lb=s(Rl," forward method, overrides the "),ld=r(Rl,"CODE",{});var P0=i(ld);cb=s(P0,"__call__"),P0.forEach(t),db=s(Rl," special method."),Rl.forEach(t),pb=m(gs),y(Ba.$$.fragment,gs),mb=m(gs),y(Ra.$$.fragment,gs),gs.forEach(t),ao.forEach(t),Gp=m(o),So=r(o,"H2",{class:!0});var dh=i(So);Ua=r(dh,"A",{id:!0,class:!0,href:!0});var z0=i(Ua);cd=r(z0,"SPAN",{});var M0=i(cd);y(qr.$$.fragment,M0),M0.forEach(t),z0.forEach(t),hb=m(dh),dd=r(dh,"SPAN",{});var A0=i(dd);fb=s(A0,"TFWav2Vec2Model"),A0.forEach(t),dh.forEach(t),Kp=m(o),ye=r(o,"DIV",{class:!0});var Tt=i(ye);y(Pr.$$.fragment,Tt),ub=m(Tt),pd=r(Tt,"P",{});var L0=i(pd);gb=s(L0,"The bare TFWav2Vec2 Model transformer outputing raw hidden-states without any specific head on top."),L0.forEach(t),_b=m(Tt),zr=r(Tt,"P",{});var ph=i(zr);vb=s(ph,"This model inherits from "),kl=r(ph,"A",{href:!0});var O0=i(kl);bb=s(O0,"TFPreTrainedModel"),O0.forEach(t),wb=s(ph,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ph.forEach(t),yb=m(Tt),Mr=r(Tt,"P",{});var mh=i(Mr);kb=s(mh,"This model is also a "),Ar=r(mh,"A",{href:!0,rel:!0});var D0=i(Ar);Tb=s(D0,"tf.keras.Model"),D0.forEach(t),$b=s(mh,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),mh.forEach(t),xb=m(Tt),y(Ha.$$.fragment,Tt),Wb=m(Tt),ft=r(Tt,"DIV",{class:!0});var _s=i(ft);y(Lr.$$.fragment,_s),jb=m(_s),Io=r(_s,"P",{});var Ul=i(Io);Vb=s(Ul,"The "),Tl=r(Ul,"A",{href:!0});var S0=i(Tl);Fb=s(S0,"TFWav2Vec2Model"),S0.forEach(t),Eb=s(Ul," forward method, overrides the "),md=r(Ul,"CODE",{});var I0=i(md);Cb=s(I0,"__call__"),I0.forEach(t),qb=s(Ul," special method."),Ul.forEach(t),Pb=m(_s),y(Xa.$$.fragment,_s),zb=m(_s),y(Ga.$$.fragment,_s),_s.forEach(t),Tt.forEach(t),Jp=m(o),No=r(o,"H2",{class:!0});var hh=i(No);Ka=r(hh,"A",{id:!0,class:!0,href:!0});var N0=i(Ka);hd=r(N0,"SPAN",{});var B0=i(hd);y(Or.$$.fragment,B0),B0.forEach(t),N0.forEach(t),Mb=m(hh),fd=r(hh,"SPAN",{});var R0=i(fd);Ab=s(R0,"TFWav2Vec2ForCTC"),R0.forEach(t),hh.forEach(t),Zp=m(o),ke=r(o,"DIV",{class:!0});var $t=i(ke);y(Dr.$$.fragment,$t),Lb=m($t),Sr=r($t,"P",{});var fh=i(Sr);Ob=s(fh,"TFWav2Vec2 Model with a "),ud=r(fh,"CODE",{});var U0=i(ud);Db=s(U0,"language modeling"),U0.forEach(t),Sb=s(fh," head on top for Connectionist Temporal Classification (CTC)."),fh.forEach(t),Ib=m($t),Ir=r($t,"P",{});var uh=i(Ir);Nb=s(uh,"This model inherits from "),$l=r(uh,"A",{href:!0});var H0=i($l);Bb=s(H0,"TFPreTrainedModel"),H0.forEach(t),Rb=s(uh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),uh.forEach(t),Ub=m($t),Nr=r($t,"P",{});var gh=i(Nr);Hb=s(gh,"This model is also a "),Br=r(gh,"A",{href:!0,rel:!0});var X0=i(Br);Xb=s(X0,"tf.keras.Model"),X0.forEach(t),Gb=s(gh,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),gh.forEach(t),Kb=m($t),y(Ja.$$.fragment,$t),Jb=m($t),ut=r($t,"DIV",{class:!0});var vs=i(ut);y(Rr.$$.fragment,vs),Zb=m(vs),Bo=r(vs,"P",{});var Hl=i(Bo);Qb=s(Hl,"The "),xl=r(Hl,"A",{href:!0});var G0=i(xl);Yb=s(G0,"TFWav2Vec2ForCTC"),G0.forEach(t),ew=s(Hl," forward method, overrides the "),gd=r(Hl,"CODE",{});var K0=i(gd);tw=s(K0,"__call__"),K0.forEach(t),ow=s(Hl," special method."),Hl.forEach(t),aw=m(vs),y(Za.$$.fragment,vs),sw=m(vs),y(Qa.$$.fragment,vs),vs.forEach(t),$t.forEach(t),Qp=m(o),Ro=r(o,"H2",{class:!0});var _h=i(Ro);Ya=r(_h,"A",{id:!0,class:!0,href:!0});var J0=i(Ya);_d=r(J0,"SPAN",{});var Z0=i(_d);y(Ur.$$.fragment,Z0),Z0.forEach(t),J0.forEach(t),nw=m(_h),vd=r(_h,"SPAN",{});var Q0=i(vd);rw=s(Q0,"FlaxWav2Vec2Model"),Q0.forEach(t),_h.forEach(t),Yp=m(o),ie=r(o,"DIV",{class:!0});var Ze=i(ie);y(Hr.$$.fragment,Ze),iw=m(Ze),Xr=r(Ze,"P",{});var vh=i(Xr);lw=s(vh,`The bare Wav2Vec2 Model transformer outputting raw hidden-states without any specific head on top.
Wav2Vec2 was proposed in `),Gr=r(vh,"A",{href:!0,rel:!0});var Y0=i(Gr);cw=s(Y0,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Y0.forEach(t),dw=s(vh,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),vh.forEach(t),pw=m(Ze),Kr=r(Ze,"P",{});var bh=i(Kr);mw=s(bh,"This model inherits from "),Wl=r(bh,"A",{href:!0});var eT=i(Wl);hw=s(eT,"FlaxPreTrainedModel"),eT.forEach(t),fw=s(bh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),bh.forEach(t),uw=m(Ze),Jr=r(Ze,"P",{});var wh=i(Jr);gw=s(wh,`This model is also a Flax Linen
`),Zr=r(wh,"A",{href:!0,rel:!0});var tT=i(Zr);_w=s(tT,"flax.nn.Module"),tT.forEach(t),vw=s(wh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),wh.forEach(t),bw=m(Ze),bd=r(Ze,"P",{});var oT=i(bd);ww=s(oT,"Finally, this model supports inherent JAX features such as:"),oT.forEach(t),yw=m(Ze),Ot=r(Ze,"UL",{});var bs=i(Ot);wd=r(bs,"LI",{});var aT=i(wd);Qr=r(aT,"A",{href:!0,rel:!0});var sT=i(Qr);kw=s(sT,"Just-In-Time (JIT) compilation"),sT.forEach(t),aT.forEach(t),Tw=m(bs),yd=r(bs,"LI",{});var nT=i(yd);Yr=r(nT,"A",{href:!0,rel:!0});var rT=i(Yr);$w=s(rT,"Automatic Differentiation"),rT.forEach(t),nT.forEach(t),xw=m(bs),kd=r(bs,"LI",{});var iT=i(kd);ei=r(iT,"A",{href:!0,rel:!0});var lT=i(ei);Ww=s(lT,"Vectorization"),lT.forEach(t),iT.forEach(t),jw=m(bs),Td=r(bs,"LI",{});var cT=i(Td);ti=r(cT,"A",{href:!0,rel:!0});var dT=i(ti);Vw=s(dT,"Parallelization"),dT.forEach(t),cT.forEach(t),bs.forEach(t),Fw=m(Ze),gt=r(Ze,"DIV",{class:!0});var ws=i(gt);y(oi.$$.fragment,ws),Ew=m(ws),Uo=r(ws,"P",{});var Xl=i(Uo);Cw=s(Xl,"The "),$d=r(Xl,"CODE",{});var pT=i($d);qw=s(pT,"FlaxWav2Vec2PreTrainedModel"),pT.forEach(t),Pw=s(Xl," forward method, overrides the "),xd=r(Xl,"CODE",{});var mT=i(xd);zw=s(mT,"__call__"),mT.forEach(t),Mw=s(Xl," special method."),Xl.forEach(t),Aw=m(ws),y(es.$$.fragment,ws),Lw=m(ws),y(ts.$$.fragment,ws),ws.forEach(t),Ze.forEach(t),em=m(o),Ho=r(o,"H2",{class:!0});var yh=i(Ho);os=r(yh,"A",{id:!0,class:!0,href:!0});var hT=i(os);Wd=r(hT,"SPAN",{});var fT=i(Wd);y(ai.$$.fragment,fT),fT.forEach(t),hT.forEach(t),Ow=m(yh),jd=r(yh,"SPAN",{});var uT=i(jd);Dw=s(uT,"FlaxWav2Vec2ForCTC"),uT.forEach(t),yh.forEach(t),tm=m(o),le=r(o,"DIV",{class:!0});var Qe=i(le);y(si.$$.fragment,Qe),Sw=m(Qe),Xo=r(Qe,"P",{});var Gl=i(Xo);Iw=s(Gl,"Wav2Vec2 Model with a "),Vd=r(Gl,"CODE",{});var gT=i(Vd);Nw=s(gT,"language modeling"),gT.forEach(t),Bw=s(Gl,` head on top for Connectionist Temporal Classification (CTC).
Wav2Vec2 was proposed in `),ni=r(Gl,"A",{href:!0,rel:!0});var _T=i(ni);Rw=s(_T,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),_T.forEach(t),Uw=s(Gl,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Gl.forEach(t),Hw=m(Qe),ri=r(Qe,"P",{});var kh=i(ri);Xw=s(kh,"This model inherits from "),jl=r(kh,"A",{href:!0});var vT=i(jl);Gw=s(vT,"FlaxPreTrainedModel"),vT.forEach(t),Kw=s(kh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kh.forEach(t),Jw=m(Qe),ii=r(Qe,"P",{});var Th=i(ii);Zw=s(Th,`This model is also a Flax Linen
`),li=r(Th,"A",{href:!0,rel:!0});var bT=i(li);Qw=s(bT,"flax.nn.Module"),bT.forEach(t),Yw=s(Th,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Th.forEach(t),ey=m(Qe),Fd=r(Qe,"P",{});var wT=i(Fd);ty=s(wT,"Finally, this model supports inherent JAX features such as:"),wT.forEach(t),oy=m(Qe),Dt=r(Qe,"UL",{});var ys=i(Dt);Ed=r(ys,"LI",{});var yT=i(Ed);ci=r(yT,"A",{href:!0,rel:!0});var kT=i(ci);ay=s(kT,"Just-In-Time (JIT) compilation"),kT.forEach(t),yT.forEach(t),sy=m(ys),Cd=r(ys,"LI",{});var TT=i(Cd);di=r(TT,"A",{href:!0,rel:!0});var $T=i(di);ny=s($T,"Automatic Differentiation"),$T.forEach(t),TT.forEach(t),ry=m(ys),qd=r(ys,"LI",{});var xT=i(qd);pi=r(xT,"A",{href:!0,rel:!0});var WT=i(pi);iy=s(WT,"Vectorization"),WT.forEach(t),xT.forEach(t),ly=m(ys),Pd=r(ys,"LI",{});var jT=i(Pd);mi=r(jT,"A",{href:!0,rel:!0});var VT=i(mi);cy=s(VT,"Parallelization"),VT.forEach(t),jT.forEach(t),ys.forEach(t),dy=m(Qe),_t=r(Qe,"DIV",{class:!0});var ks=i(_t);y(hi.$$.fragment,ks),py=m(ks),Go=r(ks,"P",{});var Kl=i(Go);my=s(Kl,"The "),zd=r(Kl,"CODE",{});var FT=i(zd);hy=s(FT,"FlaxWav2Vec2PreTrainedModel"),FT.forEach(t),fy=s(Kl," forward method, overrides the "),Md=r(Kl,"CODE",{});var ET=i(Md);uy=s(ET,"__call__"),ET.forEach(t),gy=s(Kl," special method."),Kl.forEach(t),_y=m(ks),y(as.$$.fragment,ks),vy=m(ks),y(ss.$$.fragment,ks),ks.forEach(t),Qe.forEach(t),om=m(o),Ko=r(o,"H2",{class:!0});var $h=i(Ko);ns=r($h,"A",{id:!0,class:!0,href:!0});var CT=i(ns);Ad=r(CT,"SPAN",{});var qT=i(Ad);y(fi.$$.fragment,qT),qT.forEach(t),CT.forEach(t),by=m($h),Ld=r($h,"SPAN",{});var PT=i(Ld);wy=s(PT,"FlaxWav2Vec2ForPreTraining"),PT.forEach(t),$h.forEach(t),am=m(o),ce=r(o,"DIV",{class:!0});var Ye=i(ce);y(ui.$$.fragment,Ye),yy=m(Ye),Jo=r(Ye,"P",{});var Jl=i(Jo);ky=s(Jl,"Wav2Vec2 Model with a quantizer and "),Od=r(Jl,"CODE",{});var zT=i(Od);Ty=s(zT,"VQ"),zT.forEach(t),$y=s(Jl,` head on top.
Wav2Vec2 was proposed in `),gi=r(Jl,"A",{href:!0,rel:!0});var MT=i(gi);xy=s(MT,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),MT.forEach(t),Wy=s(Jl,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Jl.forEach(t),jy=m(Ye),_i=r(Ye,"P",{});var xh=i(_i);Vy=s(xh,"This model inherits from "),Vl=r(xh,"A",{href:!0});var AT=i(Vl);Fy=s(AT,"FlaxPreTrainedModel"),AT.forEach(t),Ey=s(xh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xh.forEach(t),Cy=m(Ye),vi=r(Ye,"P",{});var Wh=i(vi);qy=s(Wh,`This model is also a Flax Linen
`),bi=r(Wh,"A",{href:!0,rel:!0});var LT=i(bi);Py=s(LT,"flax.nn.Module"),LT.forEach(t),zy=s(Wh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Wh.forEach(t),My=m(Ye),Dd=r(Ye,"P",{});var OT=i(Dd);Ay=s(OT,"Finally, this model supports inherent JAX features such as:"),OT.forEach(t),Ly=m(Ye),St=r(Ye,"UL",{});var Ts=i(St);Sd=r(Ts,"LI",{});var DT=i(Sd);wi=r(DT,"A",{href:!0,rel:!0});var ST=i(wi);Oy=s(ST,"Just-In-Time (JIT) compilation"),ST.forEach(t),DT.forEach(t),Dy=m(Ts),Id=r(Ts,"LI",{});var IT=i(Id);yi=r(IT,"A",{href:!0,rel:!0});var NT=i(yi);Sy=s(NT,"Automatic Differentiation"),NT.forEach(t),IT.forEach(t),Iy=m(Ts),Nd=r(Ts,"LI",{});var BT=i(Nd);ki=r(BT,"A",{href:!0,rel:!0});var RT=i(ki);Ny=s(RT,"Vectorization"),RT.forEach(t),BT.forEach(t),By=m(Ts),Bd=r(Ts,"LI",{});var UT=i(Bd);Ti=r(UT,"A",{href:!0,rel:!0});var HT=i(Ti);Ry=s(HT,"Parallelization"),HT.forEach(t),UT.forEach(t),Ts.forEach(t),Uy=m(Ye),vt=r(Ye,"DIV",{class:!0});var $s=i(vt);y($i.$$.fragment,$s),Hy=m($s),Zo=r($s,"P",{});var Zl=i(Zo);Xy=s(Zl,"The "),Fl=r(Zl,"A",{href:!0});var XT=i(Fl);Gy=s(XT,"FlaxWav2Vec2ForPreTraining"),XT.forEach(t),Ky=s(Zl," forward method, overrides the "),Rd=r(Zl,"CODE",{});var GT=i(Rd);Jy=s(GT,"__call__"),GT.forEach(t),Zy=s(Zl," special method."),Zl.forEach(t),Qy=m($s),y(rs.$$.fragment,$s),Yy=m($s),y(is.$$.fragment,$s),$s.forEach(t),Ye.forEach(t),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(L$)),d(u,"id","wav2vec2"),d(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(u,"href","#wav2vec2"),d(h,"class","relative group"),d(M,"id","overview"),d(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(M,"href","#overview"),d(z,"class","relative group"),d(I,"href","https://arxiv.org/abs/2006.11477"),d(I,"rel","nofollow"),d(U,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer"),d(Pe,"href","https://huggingface.co/patrickvonplaten"),d(Pe,"rel","nofollow"),d($e,"id","resources"),d($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d($e,"href","#resources"),d(Y,"class","relative group"),d(ot,"href","https://colab.research.google.com/github/m3hrdadfi/soxan/blob/main/notebooks/Emotion_recognition_in_Greek_speech_using_Wav2Vec2.ipynb"),d(ot,"rel","nofollow"),d(fe,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC"),d(ne,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/audio-classification"),d(ne,"rel","nofollow"),d(Me,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/audio_classification.ipynb"),d(Me,"rel","nofollow"),d(js,"href","https://huggingface.co/blog/wav2vec2-with-ngram"),d(js,"rel","nofollow"),d(Fs,"href","https://huggingface.co/blog/fine-tune-wav2vec2-english"),d(Fs,"rel","nofollow"),d(Cs,"href","https://huggingface.co/blog/fine-tune-xlsr-wav2vec2"),d(Cs,"rel","nofollow"),d(Ps,"href","https://colab.research.google.com/github/Muennighoff/ytclipcc/blob/main/wav2vec_youtube_captions.ipynb"),d(Ps,"rel","nofollow"),d(Ai,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC"),d(zs,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/speech_recognition.ipynb"),d(zs,"rel","nofollow"),d(Ms,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multi_lingual_speech_recognition.ipynb"),d(Ms,"rel","nofollow"),d(Ls,"href","https://www.philschmid.de/automatic-speech-recognition-sagemaker"),d(Ls,"rel","nofollow"),d(Qo,"id","transformers.Wav2Vec2Config"),d(Qo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Qo,"href","#transformers.Wav2Vec2Config"),d(fo,"class","relative group"),d(Di,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Model"),d(Ss,"href","https://huggingface.co/facebook/wav2vec2-base-960h"),d(Ss,"rel","nofollow"),d(Si,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(Ii,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ea,"id","transformers.Wav2Vec2CTCTokenizer"),d(ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ea,"href","#transformers.Wav2Vec2CTCTokenizer"),d(_o,"class","relative group"),d(Ni,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),d(ta,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bi,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(aa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(sa,"id","transformers.Wav2Vec2FeatureExtractor"),d(sa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(sa,"href","#transformers.Wav2Vec2FeatureExtractor"),d(vo,"class","relative group"),d(Ri,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.SequenceFeatureExtractor"),d(na,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ra,"id","transformers.Wav2Vec2Processor"),d(ra,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ra,"href","#transformers.Wav2Vec2Processor"),d(bo,"class","relative group"),d(Ui,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor"),d(Hi,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor"),d(Xi,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),d(tn,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__"),d(Gi,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.decode"),d(an,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor.__call__"),d(sn,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),d(ia,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ki,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.SequenceFeatureExtractor.pad"),d(Ji,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.pad"),d(la,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Zi,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Qi,"href","/docs/transformers/main/en/main_classes/processors#transformers.ProcessorMixin.from_pretrained"),d(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Yi,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),d(da,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(el,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),d(pa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ma,"id","transformers.Wav2Vec2ProcessorWithLM"),d(ma,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ma,"href","#transformers.Wav2Vec2ProcessorWithLM"),d(wo,"class","relative group"),d(_n,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2FeatureExtractor.__call__"),d(vn,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),d(ha,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(tl,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.SequenceFeatureExtractor.pad"),d(ol,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.pad"),d(fa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(al,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM"),d(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(sl,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nl,"href","#decoding-multiple-audios"),d(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(va,"id","decoding-multiple-audios"),d(va,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(va,"href","#decoding-multiple-audios"),d(yo,"class","relative group"),d(rl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM.batch_decode"),d(il,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM.batch_decode"),d(ll,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM.decode"),d(ba,"id","transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput"),d(ba,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ba,"href","#transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput"),d(ko,"class","relative group"),d(To,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(cl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForPreTraining"),d(xo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(wa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ya,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ka,"id","transformers.Wav2Vec2Model"),d(ka,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ka,"href","#transformers.Wav2Vec2Model"),d(Wo,"class","relative group"),d(Bn,"href","https://arxiv.org/abs/2006.11477"),d(Bn,"rel","nofollow"),d(dl,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Hn,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Hn,"rel","nofollow"),d(pl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Model"),d(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Wa,"id","transformers.Wav2Vec2ForCTC"),d(Wa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Wa,"href","#transformers.Wav2Vec2ForCTC"),d(Vo,"class","relative group"),d(Jn,"href","https://arxiv.org/abs/2006.11477"),d(Jn,"rel","nofollow"),d(ml,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Yn,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Yn,"rel","nofollow"),d(hl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC"),d(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ea,"id","transformers.Wav2Vec2ForSequenceClassification"),d(Ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ea,"href","#transformers.Wav2Vec2ForSequenceClassification"),d(Co,"class","relative group"),d(sr,"href","https://arxiv.org/abs/2006.11477"),d(sr,"rel","nofollow"),d(fl,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(ir,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(ir,"rel","nofollow"),d(ul,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForSequenceClassification"),d(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(za,"id","transformers.Wav2Vec2ForAudioFrameClassification"),d(za,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(za,"href","#transformers.Wav2Vec2ForAudioFrameClassification"),d(Po,"class","relative group"),d(mr,"href","https://arxiv.org/abs/2006.11477"),d(mr,"rel","nofollow"),d(gl,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(ur,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(ur,"rel","nofollow"),d(_l,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForAudioFrameClassification"),d(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Oa,"id","transformers.Wav2Vec2ForXVector"),d(Oa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Oa,"href","#transformers.Wav2Vec2ForXVector"),d(Mo,"class","relative group"),d(wr,"href","https://arxiv.org/abs/2006.11477"),d(wr,"rel","nofollow"),d(vl,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Tr,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Tr,"rel","nofollow"),d(bl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForXVector"),d(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Na,"id","transformers.Wav2Vec2ForPreTraining"),d(Na,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Na,"href","#transformers.Wav2Vec2ForPreTraining"),d(Lo,"class","relative group"),d(jr,"href","https://arxiv.org/abs/2006.11477"),d(jr,"rel","nofollow"),d(wl,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Er,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Er,"rel","nofollow"),d(yl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForPreTraining"),d(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ua,"id","transformers.TFWav2Vec2Model"),d(Ua,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ua,"href","#transformers.TFWav2Vec2Model"),d(So,"class","relative group"),d(kl,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),d(Ar,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(Ar,"rel","nofollow"),d(Tl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.TFWav2Vec2Model"),d(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ka,"id","transformers.TFWav2Vec2ForCTC"),d(Ka,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ka,"href","#transformers.TFWav2Vec2ForCTC"),d(No,"class","relative group"),d($l,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),d(Br,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(Br,"rel","nofollow"),d(xl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.TFWav2Vec2ForCTC"),d(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ya,"id","transformers.FlaxWav2Vec2Model"),d(Ya,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ya,"href","#transformers.FlaxWav2Vec2Model"),d(Ro,"class","relative group"),d(Gr,"href","https://arxiv.org/abs/2006.11477"),d(Gr,"rel","nofollow"),d(Wl,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(Zr,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),d(Zr,"rel","nofollow"),d(Qr,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(Qr,"rel","nofollow"),d(Yr,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(Yr,"rel","nofollow"),d(ei,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(ei,"rel","nofollow"),d(ti,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(ti,"rel","nofollow"),d(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(os,"id","transformers.FlaxWav2Vec2ForCTC"),d(os,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(os,"href","#transformers.FlaxWav2Vec2ForCTC"),d(Ho,"class","relative group"),d(ni,"href","https://arxiv.org/abs/2006.11477"),d(ni,"rel","nofollow"),d(jl,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(li,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),d(li,"rel","nofollow"),d(ci,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(ci,"rel","nofollow"),d(di,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(di,"rel","nofollow"),d(pi,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(pi,"rel","nofollow"),d(mi,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(mi,"rel","nofollow"),d(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ns,"id","transformers.FlaxWav2Vec2ForPreTraining"),d(ns,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ns,"href","#transformers.FlaxWav2Vec2ForPreTraining"),d(Ko,"class","relative group"),d(gi,"href","https://arxiv.org/abs/2006.11477"),d(gi,"rel","nofollow"),d(Vl,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(bi,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),d(bi,"rel","nofollow"),d(wi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(wi,"rel","nofollow"),d(yi,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(yi,"rel","nofollow"),d(ki,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(ki,"rel","nofollow"),d(Ti,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(Ti,"rel","nofollow"),d(Fl,"href","/docs/transformers/main/en/model_doc/wav2vec2#transformers.FlaxWav2Vec2ForPreTraining"),d(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,g){e(document.head,c),_(o,v,g),_(o,h,g),e(h,u),e(u,b),k(l,b,null),e(h,f),e(h,V),e(V,A),_(o,L,g),_(o,z,g),e(z,M),e(M,N),k(E,N,null),e(z,O),e(z,C),e(C,me),_(o,K,g),_(o,S,g),e(S,he),e(S,I),e(I,R),e(S,De),_(o,X,g),_(o,J,g),e(J,Se),_(o,Ve,g),_(o,Z,g),e(Z,et),e(et,xt),_(o,Ie,g),_(o,D,g),e(D,Q),_(o,it,g),_(o,ae,g),e(ae,tt),e(tt,Wt),e(ae,Fe),e(ae,Ee),e(Ee,jt),e(Ee,U),e(U,Vt),e(Ee,Ce),_(o,lt,g),_(o,Te,g),e(Te,qe),e(Te,Pe),e(Pe,Ft),e(Te,ge),_(o,ct,g),_(o,Y,g),e(Y,$e),e($e,ze),k(B,ze,null),e(Y,Et),e(Y,ee),e(ee,Ct),_(o,dt,g),_(o,j,g),e(j,q),_(o,Nt,g),k(_e,o,g),_(o,Bt,g),_(o,Ne,g),e(Ne,P),e(P,so),e(P,ot),e(ot,no),e(P,ro),e(Ne,io),e(Ne,H),e(H,fe),e(fe,lo),e(H,co),e(H,ne),e(ne,po),e(H,mo),e(H,Me),e(Me,ho),e(H,at),_(o,Rt,g),k(xs,o,g),_(o,fp,g),_(o,Be,g),e(Be,Ws),e(Ws,jh),e(Ws,js),e(js,Vh),e(Ws,Fh),e(Be,Eh),e(Be,Vs),e(Vs,Ch),e(Vs,Fs),e(Fs,qh),e(Vs,Ph),e(Be,zh),e(Be,Es),e(Es,Mh),e(Es,Cs),e(Cs,Ah),e(Es,Lh),e(Be,Oh),e(Be,qs),e(qs,Dh),e(qs,Ps),e(Ps,Sh),e(qs,Ih),e(Be,Nh),e(Be,Ut),e(Ut,Ai),e(Ai,Bh),e(Ut,Rh),e(Ut,zs),e(zs,Uh),e(Ut,Hh),e(Ut,Ms),e(Ms,Xh),e(Ut,Gh),_(o,up,g),_(o,Li,g),e(Li,Kh),_(o,gp,g),_(o,Oi,g),e(Oi,As),e(As,Jh),e(As,Ls),e(Ls,Zh),e(As,Qh),_(o,_p,g),_(o,fo,g),e(fo,Qo),e(Qo,Ql),k(Os,Ql,null),e(fo,Yh),e(fo,Yl),e(Yl,ef),_(o,vp,g),_(o,st,g),k(Ds,st,null),e(st,tf),e(st,uo),e(uo,of),e(uo,Di),e(Di,af),e(uo,sf),e(uo,Ss),e(Ss,nf),e(uo,rf),e(st,lf),e(st,go),e(go,cf),e(go,Si),e(Si,df),e(go,pf),e(go,Ii),e(Ii,mf),e(go,hf),e(st,ff),k(Yo,st,null),_(o,bp,g),_(o,_o,g),e(_o,ea),e(ea,ec),k(Is,ec,null),e(_o,uf),e(_o,tc),e(tc,gf),_(o,wp,g),_(o,re,g),k(Ns,re,null),e(re,_f),e(re,oc),e(oc,vf),e(re,bf),e(re,Bs),e(Bs,wf),e(Bs,Ni),e(Ni,yf),e(Bs,kf),e(re,Tf),e(re,ta),k(Rs,ta,null),e(ta,$f),e(ta,ac),e(ac,xf),e(re,Wf),e(re,Bi),k(Us,Bi,null),e(re,jf),e(re,pt),k(Hs,pt,null),e(pt,Vf),e(pt,sc),e(sc,Ff),e(pt,Ef),e(pt,Xs),e(Xs,Cf),e(Xs,nc),e(nc,qf),e(Xs,Pf),e(pt,zf),k(oa,pt,null),e(re,Mf),e(re,aa),k(Gs,aa,null),e(aa,Af),e(aa,rc),e(rc,Lf),_(o,yp,g),_(o,vo,g),e(vo,sa),e(sa,ic),k(Ks,ic,null),e(vo,Of),e(vo,lc),e(lc,Df),_(o,kp,g),_(o,nt,g),k(Js,nt,null),e(nt,Sf),e(nt,cc),e(cc,If),e(nt,Nf),e(nt,Zs),e(Zs,Bf),e(Zs,Ri),e(Ri,Rf),e(Zs,Uf),e(nt,Hf),e(nt,na),k(Qs,na,null),e(na,Xf),e(na,dc),e(dc,Gf),_(o,Tp,g),_(o,bo,g),e(bo,ra),e(ra,pc),k(Ys,pc,null),e(bo,Kf),e(bo,mc),e(mc,Jf),_(o,$p,g),_(o,G,g),k(en,G,null),e(G,Zf),e(G,hc),e(hc,Qf),e(G,Yf),e(G,Re),e(Re,Ui),e(Ui,eu),e(Re,tu),e(Re,Hi),e(Hi,ou),e(Re,au),e(Re,Xi),e(Xi,su),e(Re,nu),e(Re,tn),e(tn,fc),e(fc,ru),e(tn,iu),e(Re,lu),e(Re,Gi),e(Gi,cu),e(Re,du),e(G,pu),e(G,ia),k(on,ia,null),e(ia,mu),e(ia,qt),e(qt,hu),e(qt,an),e(an,uc),e(uc,fu),e(an,uu),e(qt,gu),e(qt,gc),e(gc,_u),e(qt,vu),e(qt,sn),e(sn,_c),e(_c,bu),e(sn,wu),e(qt,yu),e(G,ku),e(G,la),k(nn,la,null),e(la,Tu),e(la,Pt),e(Pt,$u),e(Pt,Ki),e(Ki,xu),e(Pt,Wu),e(Pt,vc),e(vc,ju),e(Pt,Vu),e(Pt,Ji),e(Ji,Fu),e(Pt,Eu),e(G,Cu),e(G,Zi),k(rn,Zi,null),e(G,qu),e(G,Ht),k(ln,Ht,null),e(Ht,Pu),e(Ht,cn),e(cn,zu),e(cn,Qi),e(Qi,Mu),e(cn,Au),e(Ht,Lu),k(ca,Ht,null),e(G,Ou),e(G,da),k(dn,da,null),e(da,Du),e(da,pn),e(pn,Su),e(pn,Yi),e(Yi,Iu),e(pn,Nu),e(G,Bu),e(G,pa),k(mn,pa,null),e(pa,Ru),e(pa,hn),e(hn,Uu),e(hn,el),e(el,Hu),e(hn,Xu),_(o,xp,g),_(o,wo,g),e(wo,ma),e(ma,bc),k(fn,bc,null),e(wo,Gu),e(wo,wc),e(wc,Ku),_(o,Wp,g),_(o,te,g),k(un,te,null),e(te,Ju),e(te,yc),e(yc,Zu),e(te,Qu),e(te,ha),k(gn,ha,null),e(ha,Yu),e(ha,zt),e(zt,eg),e(zt,_n),e(_n,kc),e(kc,tg),e(_n,og),e(zt,ag),e(zt,Tc),e(Tc,sg),e(zt,ng),e(zt,vn),e(vn,$c),e($c,rg),e(vn,ig),e(zt,lg),e(te,cg),e(te,fa),k(bn,fa,null),e(fa,dg),e(fa,Mt),e(Mt,pg),e(Mt,tl),e(tl,mg),e(Mt,hg),e(Mt,xc),e(xc,fg),e(Mt,ug),e(Mt,ol),e(ol,gg),e(Mt,_g),e(te,vg),e(te,Xt),k(wn,Xt,null),e(Xt,bg),e(Xt,yn),e(yn,wg),e(yn,al),e(al,yg),e(yn,kg),e(Xt,Tg),k(ua,Xt,null),e(te,$g),e(te,sl),k(kn,sl,null),e(te,xg),e(te,mt),k(Tn,mt,null),e(mt,Wg),e(mt,Wc),e(Wc,jg),e(mt,Vg),k(ga,mt,null),e(mt,Fg),e(mt,$n),e($n,Eg),e($n,nl),e(nl,Cg),e($n,qg),e(te,Pg),e(te,Gt),k(xn,Gt,null),e(Gt,zg),e(Gt,jc),e(jc,Mg),e(Gt,Ag),k(_a,Gt,null),_(o,jp,g),_(o,yo,g),e(yo,va),e(va,Vc),k(Wn,Vc,null),e(yo,Lg),e(yo,Fc),e(Fc,Og),_(o,Vp,g),_(o,xe,g),e(xe,Dg),e(xe,rl),e(rl,Sg),e(xe,Ig),e(xe,Ec),e(Ec,Ng),e(xe,Bg),e(xe,il),e(il,Rg),e(xe,Ug),e(xe,ll),e(ll,Hg),e(xe,Xg),e(xe,Cc),e(Cc,Gg),e(xe,Kg),_(o,Fp,g),k(jn,o,g),_(o,Ep,g),_(o,ko,g),e(ko,ba),e(ba,qc),k(Vn,qc,null),e(ko,Jg),e(ko,Pc),e(Pc,Zg),_(o,Cp,g),_(o,To,g),k(Fn,To,null),e(To,Qg),e(To,En),e(En,Yg),e(En,zc),e(zc,e_),e(En,t_),_(o,qp,g),_(o,$o,g),k(Cn,$o,null),e($o,o_),e($o,Mc),e(Mc,a_),_(o,Pp,g),_(o,xo,g),k(qn,xo,null),e(xo,s_),e(xo,Pn),e(Pn,n_),e(Pn,cl),e(cl,r_),e(Pn,i_),_(o,zp,g),_(o,At,g),k(zn,At,null),e(At,l_),e(At,Mn),e(Mn,c_),e(Mn,Ac),e(Ac,d_),e(Mn,p_),e(At,m_),e(At,wa),k(An,wa,null),e(wa,h_),e(wa,Lc),e(Lc,f_),_(o,Mp,g),_(o,Lt,g),k(Ln,Lt,null),e(Lt,u_),e(Lt,On),e(On,g_),e(On,Oc),e(Oc,__),e(On,v_),e(Lt,b_),e(Lt,ya),k(Dn,ya,null),e(ya,w_),e(ya,Dc),e(Dc,y_),_(o,Ap,g),_(o,Wo,g),e(Wo,ka),e(ka,Sc),k(Sn,Sc,null),e(Wo,k_),e(Wo,Ic),e(Ic,T_),_(o,Lp,g),_(o,Ae,g),k(In,Ae,null),e(Ae,$_),e(Ae,Nn),e(Nn,x_),e(Nn,Bn),e(Bn,W_),e(Nn,j_),e(Ae,V_),e(Ae,Rn),e(Rn,F_),e(Rn,dl),e(dl,E_),e(Rn,C_),e(Ae,q_),e(Ae,Un),e(Un,P_),e(Un,Hn),e(Hn,z_),e(Un,M_),e(Ae,A_),e(Ae,Ue),k(Xn,Ue,null),e(Ue,L_),e(Ue,jo),e(jo,O_),e(jo,pl),e(pl,D_),e(jo,S_),e(jo,Nc),e(Nc,I_),e(jo,N_),e(Ue,B_),k(Ta,Ue,null),e(Ue,R_),k($a,Ue,null),e(Ue,U_),k(xa,Ue,null),_(o,Op,g),_(o,Vo,g),e(Vo,Wa),e(Wa,Bc),k(Gn,Bc,null),e(Vo,H_),e(Vo,Rc),e(Rc,X_),_(o,Dp,g),_(o,Le,g),k(Kn,Le,null),e(Le,G_),e(Le,Fo),e(Fo,K_),e(Fo,Uc),e(Uc,J_),e(Fo,Z_),e(Fo,Jn),e(Jn,Q_),e(Fo,Y_),e(Le,ev),e(Le,Zn),e(Zn,tv),e(Zn,ml),e(ml,ov),e(Zn,av),e(Le,sv),e(Le,Qn),e(Qn,nv),e(Qn,Yn),e(Yn,rv),e(Qn,iv),e(Le,lv),e(Le,He),k(er,He,null),e(He,cv),e(He,Eo),e(Eo,dv),e(Eo,hl),e(hl,pv),e(Eo,mv),e(Eo,Hc),e(Hc,hv),e(Eo,fv),e(He,uv),k(ja,He,null),e(He,gv),k(Va,He,null),e(He,_v),k(Fa,He,null),_(o,Sp,g),_(o,Co,g),e(Co,Ea),e(Ea,Xc),k(tr,Xc,null),e(Co,vv),e(Co,Gc),e(Gc,bv),_(o,Ip,g),_(o,ve,g),k(or,ve,null),e(ve,wv),e(ve,Kc),e(Kc,yv),e(ve,kv),e(ve,ar),e(ar,Tv),e(ar,sr),e(sr,$v),e(ar,xv),e(ve,Wv),e(ve,nr),e(nr,jv),e(nr,fl),e(fl,Vv),e(nr,Fv),e(ve,Ev),e(ve,rr),e(rr,Cv),e(rr,ir),e(ir,qv),e(rr,Pv),e(ve,zv),e(ve,Xe),k(lr,Xe,null),e(Xe,Mv),e(Xe,qo),e(qo,Av),e(qo,ul),e(ul,Lv),e(qo,Ov),e(qo,Jc),e(Jc,Dv),e(qo,Sv),e(Xe,Iv),k(Ca,Xe,null),e(Xe,Nv),k(qa,Xe,null),e(Xe,Bv),k(Pa,Xe,null),_(o,Np,g),_(o,Po,g),e(Po,za),e(za,Zc),k(cr,Zc,null),e(Po,Rv),e(Po,Qc),e(Qc,Uv),_(o,Bp,g),_(o,be,g),k(dr,be,null),e(be,Hv),e(be,Yc),e(Yc,Xv),e(be,Gv),e(be,pr),e(pr,Kv),e(pr,mr),e(mr,Jv),e(pr,Zv),e(be,Qv),e(be,hr),e(hr,Yv),e(hr,gl),e(gl,e2),e(hr,t2),e(be,o2),e(be,fr),e(fr,a2),e(fr,ur),e(ur,s2),e(fr,n2),e(be,r2),e(be,Ge),k(gr,Ge,null),e(Ge,i2),e(Ge,zo),e(zo,l2),e(zo,_l),e(_l,c2),e(zo,d2),e(zo,ed),e(ed,p2),e(zo,m2),e(Ge,h2),k(Ma,Ge,null),e(Ge,f2),k(Aa,Ge,null),e(Ge,u2),k(La,Ge,null),_(o,Rp,g),_(o,Mo,g),e(Mo,Oa),e(Oa,td),k(_r,td,null),e(Mo,g2),e(Mo,od),e(od,_2),_(o,Up,g),_(o,we,g),k(vr,we,null),e(we,v2),e(we,ad),e(ad,b2),e(we,w2),e(we,br),e(br,y2),e(br,wr),e(wr,k2),e(br,T2),e(we,$2),e(we,yr),e(yr,x2),e(yr,vl),e(vl,W2),e(yr,j2),e(we,V2),e(we,kr),e(kr,F2),e(kr,Tr),e(Tr,E2),e(kr,C2),e(we,q2),e(we,Ke),k($r,Ke,null),e(Ke,P2),e(Ke,Ao),e(Ao,z2),e(Ao,bl),e(bl,M2),e(Ao,A2),e(Ao,sd),e(sd,L2),e(Ao,O2),e(Ke,D2),k(Da,Ke,null),e(Ke,S2),k(Sa,Ke,null),e(Ke,I2),k(Ia,Ke,null),_(o,Hp,g),_(o,Lo,g),e(Lo,Na),e(Na,nd),k(xr,nd,null),e(Lo,N2),e(Lo,rd),e(rd,B2),_(o,Xp,g),_(o,Oe,g),k(Wr,Oe,null),e(Oe,R2),e(Oe,Oo),e(Oo,U2),e(Oo,id),e(id,H2),e(Oo,X2),e(Oo,jr),e(jr,G2),e(Oo,K2),e(Oe,J2),e(Oe,Vr),e(Vr,Z2),e(Vr,wl),e(wl,Q2),e(Vr,Y2),e(Oe,eb),e(Oe,Fr),e(Fr,tb),e(Fr,Er),e(Er,ob),e(Fr,ab),e(Oe,sb),e(Oe,ht),k(Cr,ht,null),e(ht,nb),e(ht,Do),e(Do,rb),e(Do,yl),e(yl,ib),e(Do,lb),e(Do,ld),e(ld,cb),e(Do,db),e(ht,pb),k(Ba,ht,null),e(ht,mb),k(Ra,ht,null),_(o,Gp,g),_(o,So,g),e(So,Ua),e(Ua,cd),k(qr,cd,null),e(So,hb),e(So,dd),e(dd,fb),_(o,Kp,g),_(o,ye,g),k(Pr,ye,null),e(ye,ub),e(ye,pd),e(pd,gb),e(ye,_b),e(ye,zr),e(zr,vb),e(zr,kl),e(kl,bb),e(zr,wb),e(ye,yb),e(ye,Mr),e(Mr,kb),e(Mr,Ar),e(Ar,Tb),e(Mr,$b),e(ye,xb),k(Ha,ye,null),e(ye,Wb),e(ye,ft),k(Lr,ft,null),e(ft,jb),e(ft,Io),e(Io,Vb),e(Io,Tl),e(Tl,Fb),e(Io,Eb),e(Io,md),e(md,Cb),e(Io,qb),e(ft,Pb),k(Xa,ft,null),e(ft,zb),k(Ga,ft,null),_(o,Jp,g),_(o,No,g),e(No,Ka),e(Ka,hd),k(Or,hd,null),e(No,Mb),e(No,fd),e(fd,Ab),_(o,Zp,g),_(o,ke,g),k(Dr,ke,null),e(ke,Lb),e(ke,Sr),e(Sr,Ob),e(Sr,ud),e(ud,Db),e(Sr,Sb),e(ke,Ib),e(ke,Ir),e(Ir,Nb),e(Ir,$l),e($l,Bb),e(Ir,Rb),e(ke,Ub),e(ke,Nr),e(Nr,Hb),e(Nr,Br),e(Br,Xb),e(Nr,Gb),e(ke,Kb),k(Ja,ke,null),e(ke,Jb),e(ke,ut),k(Rr,ut,null),e(ut,Zb),e(ut,Bo),e(Bo,Qb),e(Bo,xl),e(xl,Yb),e(Bo,ew),e(Bo,gd),e(gd,tw),e(Bo,ow),e(ut,aw),k(Za,ut,null),e(ut,sw),k(Qa,ut,null),_(o,Qp,g),_(o,Ro,g),e(Ro,Ya),e(Ya,_d),k(Ur,_d,null),e(Ro,nw),e(Ro,vd),e(vd,rw),_(o,Yp,g),_(o,ie,g),k(Hr,ie,null),e(ie,iw),e(ie,Xr),e(Xr,lw),e(Xr,Gr),e(Gr,cw),e(Xr,dw),e(ie,pw),e(ie,Kr),e(Kr,mw),e(Kr,Wl),e(Wl,hw),e(Kr,fw),e(ie,uw),e(ie,Jr),e(Jr,gw),e(Jr,Zr),e(Zr,_w),e(Jr,vw),e(ie,bw),e(ie,bd),e(bd,ww),e(ie,yw),e(ie,Ot),e(Ot,wd),e(wd,Qr),e(Qr,kw),e(Ot,Tw),e(Ot,yd),e(yd,Yr),e(Yr,$w),e(Ot,xw),e(Ot,kd),e(kd,ei),e(ei,Ww),e(Ot,jw),e(Ot,Td),e(Td,ti),e(ti,Vw),e(ie,Fw),e(ie,gt),k(oi,gt,null),e(gt,Ew),e(gt,Uo),e(Uo,Cw),e(Uo,$d),e($d,qw),e(Uo,Pw),e(Uo,xd),e(xd,zw),e(Uo,Mw),e(gt,Aw),k(es,gt,null),e(gt,Lw),k(ts,gt,null),_(o,em,g),_(o,Ho,g),e(Ho,os),e(os,Wd),k(ai,Wd,null),e(Ho,Ow),e(Ho,jd),e(jd,Dw),_(o,tm,g),_(o,le,g),k(si,le,null),e(le,Sw),e(le,Xo),e(Xo,Iw),e(Xo,Vd),e(Vd,Nw),e(Xo,Bw),e(Xo,ni),e(ni,Rw),e(Xo,Uw),e(le,Hw),e(le,ri),e(ri,Xw),e(ri,jl),e(jl,Gw),e(ri,Kw),e(le,Jw),e(le,ii),e(ii,Zw),e(ii,li),e(li,Qw),e(ii,Yw),e(le,ey),e(le,Fd),e(Fd,ty),e(le,oy),e(le,Dt),e(Dt,Ed),e(Ed,ci),e(ci,ay),e(Dt,sy),e(Dt,Cd),e(Cd,di),e(di,ny),e(Dt,ry),e(Dt,qd),e(qd,pi),e(pi,iy),e(Dt,ly),e(Dt,Pd),e(Pd,mi),e(mi,cy),e(le,dy),e(le,_t),k(hi,_t,null),e(_t,py),e(_t,Go),e(Go,my),e(Go,zd),e(zd,hy),e(Go,fy),e(Go,Md),e(Md,uy),e(Go,gy),e(_t,_y),k(as,_t,null),e(_t,vy),k(ss,_t,null),_(o,om,g),_(o,Ko,g),e(Ko,ns),e(ns,Ad),k(fi,Ad,null),e(Ko,by),e(Ko,Ld),e(Ld,wy),_(o,am,g),_(o,ce,g),k(ui,ce,null),e(ce,yy),e(ce,Jo),e(Jo,ky),e(Jo,Od),e(Od,Ty),e(Jo,$y),e(Jo,gi),e(gi,xy),e(Jo,Wy),e(ce,jy),e(ce,_i),e(_i,Vy),e(_i,Vl),e(Vl,Fy),e(_i,Ey),e(ce,Cy),e(ce,vi),e(vi,qy),e(vi,bi),e(bi,Py),e(vi,zy),e(ce,My),e(ce,Dd),e(Dd,Ay),e(ce,Ly),e(ce,St),e(St,Sd),e(Sd,wi),e(wi,Oy),e(St,Dy),e(St,Id),e(Id,yi),e(yi,Sy),e(St,Iy),e(St,Nd),e(Nd,ki),e(ki,Ny),e(St,By),e(St,Bd),e(Bd,Ti),e(Ti,Ry),e(ce,Uy),e(ce,vt),k($i,vt,null),e(vt,Hy),e(vt,Zo),e(Zo,Xy),e(Zo,Fl),e(Fl,Gy),e(Zo,Ky),e(Zo,Rd),e(Rd,Jy),e(Zo,Zy),e(vt,Qy),k(rs,vt,null),e(vt,Yy),k(is,vt,null),sm=!0},p(o,[g]){const xi={};g&2&&(xi.$$scope={dirty:g,ctx:o}),Yo.$set(xi);const Ud={};g&2&&(Ud.$$scope={dirty:g,ctx:o}),oa.$set(Ud);const Hd={};g&2&&(Hd.$$scope={dirty:g,ctx:o}),ca.$set(Hd);const Xd={};g&2&&(Xd.$$scope={dirty:g,ctx:o}),ua.$set(Xd);const Wi={};g&2&&(Wi.$$scope={dirty:g,ctx:o}),ga.$set(Wi);const Gd={};g&2&&(Gd.$$scope={dirty:g,ctx:o}),_a.$set(Gd);const Kd={};g&2&&(Kd.$$scope={dirty:g,ctx:o}),Ta.$set(Kd);const Jd={};g&2&&(Jd.$$scope={dirty:g,ctx:o}),$a.$set(Jd);const ji={};g&2&&(ji.$$scope={dirty:g,ctx:o}),xa.$set(ji);const Zd={};g&2&&(Zd.$$scope={dirty:g,ctx:o}),ja.$set(Zd);const Qd={};g&2&&(Qd.$$scope={dirty:g,ctx:o}),Va.$set(Qd);const Yd={};g&2&&(Yd.$$scope={dirty:g,ctx:o}),Fa.$set(Yd);const ep={};g&2&&(ep.$$scope={dirty:g,ctx:o}),Ca.$set(ep);const tp={};g&2&&(tp.$$scope={dirty:g,ctx:o}),qa.$set(tp);const Vi={};g&2&&(Vi.$$scope={dirty:g,ctx:o}),Pa.$set(Vi);const op={};g&2&&(op.$$scope={dirty:g,ctx:o}),Ma.$set(op);const Fi={};g&2&&(Fi.$$scope={dirty:g,ctx:o}),Aa.$set(Fi);const ap={};g&2&&(ap.$$scope={dirty:g,ctx:o}),La.$set(ap);const Ei={};g&2&&(Ei.$$scope={dirty:g,ctx:o}),Da.$set(Ei);const sp={};g&2&&(sp.$$scope={dirty:g,ctx:o}),Sa.$set(sp);const Ci={};g&2&&(Ci.$$scope={dirty:g,ctx:o}),Ia.$set(Ci);const np={};g&2&&(np.$$scope={dirty:g,ctx:o}),Ba.$set(np);const rp={};g&2&&(rp.$$scope={dirty:g,ctx:o}),Ra.$set(rp);const ip={};g&2&&(ip.$$scope={dirty:g,ctx:o}),Ha.$set(ip);const lp={};g&2&&(lp.$$scope={dirty:g,ctx:o}),Xa.$set(lp);const qi={};g&2&&(qi.$$scope={dirty:g,ctx:o}),Ga.$set(qi);const Pi={};g&2&&(Pi.$$scope={dirty:g,ctx:o}),Ja.$set(Pi);const cp={};g&2&&(cp.$$scope={dirty:g,ctx:o}),Za.$set(cp);const Kt={};g&2&&(Kt.$$scope={dirty:g,ctx:o}),Qa.$set(Kt);const dp={};g&2&&(dp.$$scope={dirty:g,ctx:o}),es.$set(dp);const pp={};g&2&&(pp.$$scope={dirty:g,ctx:o}),ts.$set(pp);const mp={};g&2&&(mp.$$scope={dirty:g,ctx:o}),as.$set(mp);const rt={};g&2&&(rt.$$scope={dirty:g,ctx:o}),ss.$set(rt);const zi={};g&2&&(zi.$$scope={dirty:g,ctx:o}),rs.$set(zi);const hp={};g&2&&(hp.$$scope={dirty:g,ctx:o}),is.$set(hp)},i(o){sm||(T(l.$$.fragment,o),T(E.$$.fragment,o),T(B.$$.fragment,o),T(_e.$$.fragment,o),T(xs.$$.fragment,o),T(Os.$$.fragment,o),T(Ds.$$.fragment,o),T(Yo.$$.fragment,o),T(Is.$$.fragment,o),T(Ns.$$.fragment,o),T(Rs.$$.fragment,o),T(Us.$$.fragment,o),T(Hs.$$.fragment,o),T(oa.$$.fragment,o),T(Gs.$$.fragment,o),T(Ks.$$.fragment,o),T(Js.$$.fragment,o),T(Qs.$$.fragment,o),T(Ys.$$.fragment,o),T(en.$$.fragment,o),T(on.$$.fragment,o),T(nn.$$.fragment,o),T(rn.$$.fragment,o),T(ln.$$.fragment,o),T(ca.$$.fragment,o),T(dn.$$.fragment,o),T(mn.$$.fragment,o),T(fn.$$.fragment,o),T(un.$$.fragment,o),T(gn.$$.fragment,o),T(bn.$$.fragment,o),T(wn.$$.fragment,o),T(ua.$$.fragment,o),T(kn.$$.fragment,o),T(Tn.$$.fragment,o),T(ga.$$.fragment,o),T(xn.$$.fragment,o),T(_a.$$.fragment,o),T(Wn.$$.fragment,o),T(jn.$$.fragment,o),T(Vn.$$.fragment,o),T(Fn.$$.fragment,o),T(Cn.$$.fragment,o),T(qn.$$.fragment,o),T(zn.$$.fragment,o),T(An.$$.fragment,o),T(Ln.$$.fragment,o),T(Dn.$$.fragment,o),T(Sn.$$.fragment,o),T(In.$$.fragment,o),T(Xn.$$.fragment,o),T(Ta.$$.fragment,o),T($a.$$.fragment,o),T(xa.$$.fragment,o),T(Gn.$$.fragment,o),T(Kn.$$.fragment,o),T(er.$$.fragment,o),T(ja.$$.fragment,o),T(Va.$$.fragment,o),T(Fa.$$.fragment,o),T(tr.$$.fragment,o),T(or.$$.fragment,o),T(lr.$$.fragment,o),T(Ca.$$.fragment,o),T(qa.$$.fragment,o),T(Pa.$$.fragment,o),T(cr.$$.fragment,o),T(dr.$$.fragment,o),T(gr.$$.fragment,o),T(Ma.$$.fragment,o),T(Aa.$$.fragment,o),T(La.$$.fragment,o),T(_r.$$.fragment,o),T(vr.$$.fragment,o),T($r.$$.fragment,o),T(Da.$$.fragment,o),T(Sa.$$.fragment,o),T(Ia.$$.fragment,o),T(xr.$$.fragment,o),T(Wr.$$.fragment,o),T(Cr.$$.fragment,o),T(Ba.$$.fragment,o),T(Ra.$$.fragment,o),T(qr.$$.fragment,o),T(Pr.$$.fragment,o),T(Ha.$$.fragment,o),T(Lr.$$.fragment,o),T(Xa.$$.fragment,o),T(Ga.$$.fragment,o),T(Or.$$.fragment,o),T(Dr.$$.fragment,o),T(Ja.$$.fragment,o),T(Rr.$$.fragment,o),T(Za.$$.fragment,o),T(Qa.$$.fragment,o),T(Ur.$$.fragment,o),T(Hr.$$.fragment,o),T(oi.$$.fragment,o),T(es.$$.fragment,o),T(ts.$$.fragment,o),T(ai.$$.fragment,o),T(si.$$.fragment,o),T(hi.$$.fragment,o),T(as.$$.fragment,o),T(ss.$$.fragment,o),T(fi.$$.fragment,o),T(ui.$$.fragment,o),T($i.$$.fragment,o),T(rs.$$.fragment,o),T(is.$$.fragment,o),sm=!0)},o(o){$(l.$$.fragment,o),$(E.$$.fragment,o),$(B.$$.fragment,o),$(_e.$$.fragment,o),$(xs.$$.fragment,o),$(Os.$$.fragment,o),$(Ds.$$.fragment,o),$(Yo.$$.fragment,o),$(Is.$$.fragment,o),$(Ns.$$.fragment,o),$(Rs.$$.fragment,o),$(Us.$$.fragment,o),$(Hs.$$.fragment,o),$(oa.$$.fragment,o),$(Gs.$$.fragment,o),$(Ks.$$.fragment,o),$(Js.$$.fragment,o),$(Qs.$$.fragment,o),$(Ys.$$.fragment,o),$(en.$$.fragment,o),$(on.$$.fragment,o),$(nn.$$.fragment,o),$(rn.$$.fragment,o),$(ln.$$.fragment,o),$(ca.$$.fragment,o),$(dn.$$.fragment,o),$(mn.$$.fragment,o),$(fn.$$.fragment,o),$(un.$$.fragment,o),$(gn.$$.fragment,o),$(bn.$$.fragment,o),$(wn.$$.fragment,o),$(ua.$$.fragment,o),$(kn.$$.fragment,o),$(Tn.$$.fragment,o),$(ga.$$.fragment,o),$(xn.$$.fragment,o),$(_a.$$.fragment,o),$(Wn.$$.fragment,o),$(jn.$$.fragment,o),$(Vn.$$.fragment,o),$(Fn.$$.fragment,o),$(Cn.$$.fragment,o),$(qn.$$.fragment,o),$(zn.$$.fragment,o),$(An.$$.fragment,o),$(Ln.$$.fragment,o),$(Dn.$$.fragment,o),$(Sn.$$.fragment,o),$(In.$$.fragment,o),$(Xn.$$.fragment,o),$(Ta.$$.fragment,o),$($a.$$.fragment,o),$(xa.$$.fragment,o),$(Gn.$$.fragment,o),$(Kn.$$.fragment,o),$(er.$$.fragment,o),$(ja.$$.fragment,o),$(Va.$$.fragment,o),$(Fa.$$.fragment,o),$(tr.$$.fragment,o),$(or.$$.fragment,o),$(lr.$$.fragment,o),$(Ca.$$.fragment,o),$(qa.$$.fragment,o),$(Pa.$$.fragment,o),$(cr.$$.fragment,o),$(dr.$$.fragment,o),$(gr.$$.fragment,o),$(Ma.$$.fragment,o),$(Aa.$$.fragment,o),$(La.$$.fragment,o),$(_r.$$.fragment,o),$(vr.$$.fragment,o),$($r.$$.fragment,o),$(Da.$$.fragment,o),$(Sa.$$.fragment,o),$(Ia.$$.fragment,o),$(xr.$$.fragment,o),$(Wr.$$.fragment,o),$(Cr.$$.fragment,o),$(Ba.$$.fragment,o),$(Ra.$$.fragment,o),$(qr.$$.fragment,o),$(Pr.$$.fragment,o),$(Ha.$$.fragment,o),$(Lr.$$.fragment,o),$(Xa.$$.fragment,o),$(Ga.$$.fragment,o),$(Or.$$.fragment,o),$(Dr.$$.fragment,o),$(Ja.$$.fragment,o),$(Rr.$$.fragment,o),$(Za.$$.fragment,o),$(Qa.$$.fragment,o),$(Ur.$$.fragment,o),$(Hr.$$.fragment,o),$(oi.$$.fragment,o),$(es.$$.fragment,o),$(ts.$$.fragment,o),$(ai.$$.fragment,o),$(si.$$.fragment,o),$(hi.$$.fragment,o),$(as.$$.fragment,o),$(ss.$$.fragment,o),$(fi.$$.fragment,o),$(ui.$$.fragment,o),$($i.$$.fragment,o),$(rs.$$.fragment,o),$(is.$$.fragment,o),sm=!1},d(o){t(c),o&&t(v),o&&t(h),x(l),o&&t(L),o&&t(z),x(E),o&&t(K),o&&t(S),o&&t(X),o&&t(J),o&&t(Ve),o&&t(Z),o&&t(Ie),o&&t(D),o&&t(it),o&&t(ae),o&&t(lt),o&&t(Te),o&&t(ct),o&&t(Y),x(B),o&&t(dt),o&&t(j),o&&t(Nt),x(_e,o),o&&t(Bt),o&&t(Ne),o&&t(Rt),x(xs,o),o&&t(fp),o&&t(Be),o&&t(up),o&&t(Li),o&&t(gp),o&&t(Oi),o&&t(_p),o&&t(fo),x(Os),o&&t(vp),o&&t(st),x(Ds),x(Yo),o&&t(bp),o&&t(_o),x(Is),o&&t(wp),o&&t(re),x(Ns),x(Rs),x(Us),x(Hs),x(oa),x(Gs),o&&t(yp),o&&t(vo),x(Ks),o&&t(kp),o&&t(nt),x(Js),x(Qs),o&&t(Tp),o&&t(bo),x(Ys),o&&t($p),o&&t(G),x(en),x(on),x(nn),x(rn),x(ln),x(ca),x(dn),x(mn),o&&t(xp),o&&t(wo),x(fn),o&&t(Wp),o&&t(te),x(un),x(gn),x(bn),x(wn),x(ua),x(kn),x(Tn),x(ga),x(xn),x(_a),o&&t(jp),o&&t(yo),x(Wn),o&&t(Vp),o&&t(xe),o&&t(Fp),x(jn,o),o&&t(Ep),o&&t(ko),x(Vn),o&&t(Cp),o&&t(To),x(Fn),o&&t(qp),o&&t($o),x(Cn),o&&t(Pp),o&&t(xo),x(qn),o&&t(zp),o&&t(At),x(zn),x(An),o&&t(Mp),o&&t(Lt),x(Ln),x(Dn),o&&t(Ap),o&&t(Wo),x(Sn),o&&t(Lp),o&&t(Ae),x(In),x(Xn),x(Ta),x($a),x(xa),o&&t(Op),o&&t(Vo),x(Gn),o&&t(Dp),o&&t(Le),x(Kn),x(er),x(ja),x(Va),x(Fa),o&&t(Sp),o&&t(Co),x(tr),o&&t(Ip),o&&t(ve),x(or),x(lr),x(Ca),x(qa),x(Pa),o&&t(Np),o&&t(Po),x(cr),o&&t(Bp),o&&t(be),x(dr),x(gr),x(Ma),x(Aa),x(La),o&&t(Rp),o&&t(Mo),x(_r),o&&t(Up),o&&t(we),x(vr),x($r),x(Da),x(Sa),x(Ia),o&&t(Hp),o&&t(Lo),x(xr),o&&t(Xp),o&&t(Oe),x(Wr),x(Cr),x(Ba),x(Ra),o&&t(Gp),o&&t(So),x(qr),o&&t(Kp),o&&t(ye),x(Pr),x(Ha),x(Lr),x(Xa),x(Ga),o&&t(Jp),o&&t(No),x(Or),o&&t(Zp),o&&t(ke),x(Dr),x(Ja),x(Rr),x(Za),x(Qa),o&&t(Qp),o&&t(Ro),x(Ur),o&&t(Yp),o&&t(ie),x(Hr),x(oi),x(es),x(ts),o&&t(em),o&&t(Ho),x(ai),o&&t(tm),o&&t(le),x(si),x(hi),x(as),x(ss),o&&t(om),o&&t(Ko),x(fi),o&&t(am),o&&t(ce),x(ui),x($i),x(rs),x(is)}}}const L$={local:"wav2vec2",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.Wav2Vec2Config",title:"Wav2Vec2Config"},{local:"transformers.Wav2Vec2CTCTokenizer",title:"Wav2Vec2CTCTokenizer"},{local:"transformers.Wav2Vec2FeatureExtractor",title:"Wav2Vec2FeatureExtractor"},{local:"transformers.Wav2Vec2Processor",title:"Wav2Vec2Processor"},{local:"transformers.Wav2Vec2ProcessorWithLM",sections:[{local:"decoding-multiple-audios",title:"Decoding multiple audios"}],title:"Wav2Vec2ProcessorWithLM"},{local:"transformers.models.wav2vec2_with_lm.processing_wav2vec2_with_lm.Wav2Vec2DecoderWithLMOutput",title:"Wav2Vec2 specific outputs"},{local:"transformers.Wav2Vec2Model",title:"Wav2Vec2Model"},{local:"transformers.Wav2Vec2ForCTC",title:"Wav2Vec2ForCTC"},{local:"transformers.Wav2Vec2ForSequenceClassification",title:"Wav2Vec2ForSequenceClassification"},{local:"transformers.Wav2Vec2ForAudioFrameClassification",title:"Wav2Vec2ForAudioFrameClassification"},{local:"transformers.Wav2Vec2ForXVector",title:"Wav2Vec2ForXVector"},{local:"transformers.Wav2Vec2ForPreTraining",title:"Wav2Vec2ForPreTraining"},{local:"transformers.TFWav2Vec2Model",title:"TFWav2Vec2Model"},{local:"transformers.TFWav2Vec2ForCTC",title:"TFWav2Vec2ForCTC"},{local:"transformers.FlaxWav2Vec2Model",title:"FlaxWav2Vec2Model"},{local:"transformers.FlaxWav2Vec2ForCTC",title:"FlaxWav2Vec2ForCTC"},{local:"transformers.FlaxWav2Vec2ForPreTraining",title:"FlaxWav2Vec2ForPreTraining"}],title:"Wav2Vec2"};function O$(W){return e$(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class H$ extends JT{constructor(c){super();ZT(this,c,O$,A$,QT,{})}}export{H$ as default,L$ as metadata};
